#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xudma_navss_psil_pair, "", "");
KSYMTAB_FUNC(xudma_navss_psil_unpair, "", "");
KSYMTAB_FUNC(of_xudma_dev_get, "", "");
KSYMTAB_FUNC(xudma_get_device, "", "");
KSYMTAB_FUNC(xudma_get_ringacc, "", "");
KSYMTAB_FUNC(xudma_dev_get_psil_base, "", "");
KSYMTAB_FUNC(xudma_dev_get_tisci_rm, "", "");
KSYMTAB_FUNC(xudma_alloc_gp_rflow_range, "", "");
KSYMTAB_FUNC(xudma_free_gp_rflow_range, "", "");
KSYMTAB_FUNC(xudma_rflow_is_gp, "", "");
KSYMTAB_FUNC(xudma_tchan_get, "", "");
KSYMTAB_FUNC(xudma_tchan_put, "", "");
KSYMTAB_FUNC(xudma_rchan_get, "", "");
KSYMTAB_FUNC(xudma_rchan_put, "", "");
KSYMTAB_FUNC(xudma_rflow_get, "", "");
KSYMTAB_FUNC(xudma_rflow_put, "", "");
KSYMTAB_FUNC(xudma_get_rflow_ring_offset, "", "");
KSYMTAB_FUNC(xudma_tchan_get_id, "", "");
KSYMTAB_FUNC(xudma_rchan_get_id, "", "");
KSYMTAB_FUNC(xudma_rflow_get_id, "", "");
KSYMTAB_FUNC(xudma_tchanrt_read, "", "");
KSYMTAB_FUNC(xudma_tchanrt_write, "", "");
KSYMTAB_FUNC(xudma_rchanrt_read, "", "");
KSYMTAB_FUNC(xudma_rchanrt_write, "", "");
KSYMTAB_FUNC(xudma_is_pktdma, "", "");
KSYMTAB_FUNC(xudma_pktdma_tflow_get_irq, "", "");
KSYMTAB_FUNC(xudma_pktdma_rflow_get_irq, "", "");

SYMBOL_CRC(xudma_navss_psil_pair, 0x5402da9f, "");
SYMBOL_CRC(xudma_navss_psil_unpair, 0xae33c403, "");
SYMBOL_CRC(of_xudma_dev_get, 0x738546e2, "");
SYMBOL_CRC(xudma_get_device, 0xa59da3c1, "");
SYMBOL_CRC(xudma_get_ringacc, 0x66826f5a, "");
SYMBOL_CRC(xudma_dev_get_psil_base, 0x851b9121, "");
SYMBOL_CRC(xudma_dev_get_tisci_rm, 0x0711edc8, "");
SYMBOL_CRC(xudma_alloc_gp_rflow_range, 0x2e5b27da, "");
SYMBOL_CRC(xudma_free_gp_rflow_range, 0x224ce651, "");
SYMBOL_CRC(xudma_rflow_is_gp, 0xca62afaf, "");
SYMBOL_CRC(xudma_tchan_get, 0x2aabaf9d, "");
SYMBOL_CRC(xudma_tchan_put, 0x1b5196fc, "");
SYMBOL_CRC(xudma_rchan_get, 0x17825d3f, "");
SYMBOL_CRC(xudma_rchan_put, 0x09f9b261, "");
SYMBOL_CRC(xudma_rflow_get, 0xe90253f0, "");
SYMBOL_CRC(xudma_rflow_put, 0x582606eb, "");
SYMBOL_CRC(xudma_get_rflow_ring_offset, 0x120ff8e1, "");
SYMBOL_CRC(xudma_tchan_get_id, 0xda10443c, "");
SYMBOL_CRC(xudma_rchan_get_id, 0x3dd3f054, "");
SYMBOL_CRC(xudma_rflow_get_id, 0x1cf5efa6, "");
SYMBOL_CRC(xudma_tchanrt_read, 0xc89846c4, "");
SYMBOL_CRC(xudma_tchanrt_write, 0xd828f063, "");
SYMBOL_CRC(xudma_rchanrt_read, 0x012de2ea, "");
SYMBOL_CRC(xudma_rchanrt_write, 0xad682b8f, "");
SYMBOL_CRC(xudma_is_pktdma, 0x3b0f23d2, "");
SYMBOL_CRC(xudma_pktdma_tflow_get_irq, 0x9b6c724e, "");
SYMBOL_CRC(xudma_pktdma_rflow_get_irq, 0x9eb187fa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x80d4c042, "__platform_driver_register" },
	{ 0xbce68759, "__dynamic_dev_dbg" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf12ee599, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4ada0f5a, "__dma_request_channel" },
	{ 0x357457c3, "psil_get_ep_config" },
	{ 0xdcb764ad, "memset" },
	{ 0x8220a38e, "k3_ringacc_get_ring_id" },
	{ 0x676c688f, "k3_ringacc_ring_free" },
	{ 0x30a528e4, "msi_domain_get_virq" },
	{ 0x741ef8c0, "_dev_info" },
	{ 0x774d1720, "seq_printf" },
	{ 0xe227d033, "seq_puts" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x1c74f905, "platform_driver_unregister" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2c90d905, "dma_free_attrs" },
	{ 0x4f761646, "__of_parse_phandle_with_args" },
	{ 0x479efa1c, "of_find_device_by_node" },
	{ 0xe325d3e7, "put_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x5de412cd, "k3_ringacc_ring_push" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x88cd7a9a, "k3_ringacc_ring_get_occ" },
	{ 0x664eb54a, "k3_ringacc_ring_reset_dma" },
	{ 0xcd759b82, "k3_ringacc_ring_reset" },
	{ 0x717587ea, "dma_set_mask" },
	{ 0x78dd86ff, "dma_set_coherent_mask" },
	{ 0x31ce226f, "_dev_warn" },
	{ 0x2fac3c71, "k3_ringacc_request_rings_pair" },
	{ 0xbb0d471a, "k3_ringacc_ring_cfg" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0xa0f19fae, "dma_alloc_attrs" },
	{ 0xbb9f87ae, "dma_async_tx_descriptor_init" },
	{ 0x6e6f1aa6, "vchan_tx_desc_free" },
	{ 0xaaf70a79, "vchan_tx_submit" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xf4494314, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7ce705da, "dma_map_page_attrs" },
	{ 0x784f95c8, "__dma_sync_single_for_device" },
	{ 0x735c143c, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xd6e3ba82, "vchan_dma_desc_free_list" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd6d5d5f9, "devm_ti_sci_get_of_resource" },
	{ 0xdb72579, "ti_sci_inta_msi_domain_alloc_irqs" },
	{ 0xc92564eb, "of_device_is_compatible" },
	{ 0x5d02398d, "devm_platform_ioremap_resource_byname" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfaf06a1, "of_match_node" },
	{ 0xb8499f69, "ti_sci_get_by_phandle" },
	{ 0x59f2edda, "of_property_read_variable_u32_array" },
	{ 0x7bbef49a, "k3_ringacc_dmarings_init" },
	{ 0xc180345a, "of_msi_get_domain" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xad80caa4, "devm_kasprintf" },
	{ 0x3b6e7fe7, "vchan_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4be7dc26, "dma_async_device_register" },
	{ 0x4f035e30, "of_dma_controller_register" },
	{ 0x73f0f976, "soc_device_match" },
	{ 0x1df796f8, "of_k3_ringacc_get_by_phandle" },
	{ 0x6b256efa, "dma_async_device_unregister" },
	{ 0xd5807af3, "k3_ringacc_ring_pop" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe3e4237b, "dma_pool_create" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x758a43fe, "k3_ringacc_get_ring_irq_num" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "k3-psil-lib,virt-dma");

MODULE_ALIAS("of:N*T*Cti,am654-navss-main-udmap");
MODULE_ALIAS("of:N*T*Cti,am654-navss-main-udmapC*");
MODULE_ALIAS("of:N*T*Cti,am654-navss-mcu-udmap");
MODULE_ALIAS("of:N*T*Cti,am654-navss-mcu-udmapC*");
MODULE_ALIAS("of:N*T*Cti,j721e-navss-main-udmap");
MODULE_ALIAS("of:N*T*Cti,j721e-navss-main-udmapC*");
MODULE_ALIAS("of:N*T*Cti,j721e-navss-mcu-udmap");
MODULE_ALIAS("of:N*T*Cti,j721e-navss-mcu-udmapC*");
MODULE_ALIAS("of:N*T*Cti,am64-dmss-bcdma");
MODULE_ALIAS("of:N*T*Cti,am64-dmss-bcdmaC*");
MODULE_ALIAS("of:N*T*Cti,am64-dmss-pktdma");
MODULE_ALIAS("of:N*T*Cti,am64-dmss-pktdmaC*");
MODULE_ALIAS("of:N*T*Cti,am62a-dmss-bcdma-csirx");
MODULE_ALIAS("of:N*T*Cti,am62a-dmss-bcdma-csirxC*");
MODULE_ALIAS("of:N*T*Cti,j721s2-dmss-bcdma-csi");
MODULE_ALIAS("of:N*T*Cti,j721s2-dmss-bcdma-csiC*");

MODULE_INFO(srcversion, "A77321EE4CB2E739383716F");
MODULE_INFO(rhelversion, "9.6");
