#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x70d978c1, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x6fde2974, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x467e2cde, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xe44b21b2, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x85cf2d9a, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x4a0e3e20, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x12de56fb, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x78d3aaf6, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xeee2f34d, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xcbaa8f31, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xcdc79485, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xecc2c286, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xf6438387, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x3c8dd176, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0xc505ec46, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e219572, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0xa623b19e, "dma_mmap_pages" },
	{ 0xb58bf074, "dma_free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x73fb1735, "drm_gem_create_mmap_offset" },
	{ 0xf89cd7d8, "drm_gem_object_init" },
	{ 0x493ba1df, "drm_atomic_helper_damage_iter_init" },
	{ 0x1a7caccb, "dma_alloc_pages" },
	{ 0x818378a4, "drm_gem_private_object_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xeb5e4556, "drm_gem_vm_close" },
	{ 0xb5b182a0, "drm_gem_vm_open" },
	{ 0x17e2cc26, "down_write" },
	{ 0xe547e4fc, "up_write" },
	{ 0xaa7efcc3, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xa0f19fae, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x731cf6ec, "drm_gem_handle_create" },
	{ 0xcd4cb1be, "drm_gem_fb_get_obj" },
	{ 0xbe21c0fd, "__drm_dev_dbg" },
	{ 0x2c90d905, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x784f95c8, "__dma_sync_single_for_device" },
	{ 0x3a66551b, "dma_buf_vmap_unlocked" },
	{ 0x4de06c05, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb700d966, "dma_get_sgtable_attrs" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x64e3121e, "drm_prime_gem_destroy" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "022E95739579CC8FE5ED61C");
MODULE_INFO(rhelversion, "9.6");
