#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xbc513daf, "");
SYMBOL_CRC(drm_gem_vram_put, 0x9cdd4313, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x3126830e, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x2b6a7f0d, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x66e1c38c, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xe294a3e4, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x6613f6d1, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xbb6ef124, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x3a2dde56, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x7695899d, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xef84712c, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x897f280b, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xc9780700, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x34fc7216, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x3c80b242, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xf1252fc8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e1efdd8, "ttm_range_man_init_nocheck" },
	{ 0xbceedd68, "ww_mutex_lock_interruptible" },
	{ 0x94bf75c1, "ttm_resource_manager_debug" },
	{ 0x35e3665e, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x44333e51, "ttm_range_man_fini_nocheck" },
	{ 0xf89cd7d8, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xde317ce7, "ttm_bo_pin" },
	{ 0x735c143c, "dev_driver_string" },
	{ 0x6efdcaca, "drm_gem_ttm_mmap" },
	{ 0x1a986ddb, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2551894, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xaa7efcc3, "drm_gem_object_release" },
	{ 0x977593f4, "ttm_tt_init" },
	{ 0x731cf6ec, "drm_gem_handle_create" },
	{ 0xcd4cb1be, "drm_gem_fb_get_obj" },
	{ 0x565da5b7, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x2888fd18, "drm_debugfs_add_files" },
	{ 0xdd50ca2b, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb27843df, "ttm_device_init" },
	{ 0xaf774578, "ttm_bo_validate" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4aa6d3ce, "ttm_bo_move_to_lru_tail" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x4c9bd2d1, "ttm_bo_vmap" },
	{ 0xfba34849, "ttm_bo_put" },
	{ 0xa414cc44, "ttm_resource_free" },
	{ 0x61ef9e2e, "ttm_bo_move_memcpy" },
	{ 0xca99726e, "ttm_tt_fini" },
	{ 0xe5f9d2cc, "ttm_device_fini" },
	{ 0xb3a68438, "drm_gem_plane_helper_prepare_fb" },
	{ 0xb721c563, "ttm_bo_eviction_valuable" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xe3ae229e, "drm_gem_ttm_print_info" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");
MODULE_INFO(rhelversion, "9.6");
