#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x9a9a4023, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xefd36ca7, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x0bae525a, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x68f415c8, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xb20c0698, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x1a3a2900, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xcdf6708c, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x45552990, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xe772f7db, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x1de2c542, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x3c09bb6c, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xc6157dd0, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xe3fa97f5, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x4b74c53a, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x2c845486, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xc01eab21, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x7d27b04e, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x95fee693, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x10026d37, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x5d64f676, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x28b6305d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf05ab6b, "mdiobus_write" },
	{ 0x28456973, "mdiobus_read" },
	{ 0x6d4f5ffc, "phy_write_mmd" },
	{ 0x8e9b63e0, "phy_modify" },
	{ 0xa31b99bc, "phy_trigger_machine" },
	{ 0xaf006a75, "phy_error" },
	{ 0x2f4b95ad, "phy_modify_changed" },
	{ 0x15aa710b, "genphy_update_link" },
	{ 0x240f6f7f, "genphy_read_lpa" },
	{ 0xbe838cfe, "phy_resolve_aneg_pause" },
	{ 0xd49e4e8b, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf12ee599, "_dev_err" },
	{ 0xa45c8b72, "phy_read_mmd" },
	{ 0x781d6689, "ethnl_cable_test_result_with_src" },
	{ 0xbc350823, "ethnl_cable_test_fault_length_with_src" },
	{ 0x9861c6d4, "phy_modify_mmd" },
	{ 0xdd766409, "genphy_soft_reset" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
