#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x46f06b06, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xa87d688c, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x072da84f, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x65e2904d, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x059c8035, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xc3d8a088, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x4ecbc803, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x87d2fb53, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xbf1be726, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x927765fe, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x918dd1b8, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xe76f178e, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x0f8c442c, "_gpl");
SYMBOL_CRC(usbnet_open, 0x5ec2a486, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x1342c099, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xd3289bd6, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x33ed333d, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x66c93f31, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xb24a2ec7, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x484a8963, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xc95b47ec, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x34b80e51, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xd292723b, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xdcbdfd5c, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x125cd169, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x85babdef, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x6092fe51, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x58958ce6, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x377ea363, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x0c3a5321, "");
SYMBOL_CRC(usbnet_manage_power, 0xb2c360b8, "");
SYMBOL_CRC(usbnet_link_change, 0xc97dedcb, "");
SYMBOL_CRC(usbnet_read_cmd, 0xdd89e7f3, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x9e0e79b6, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x3554437d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xc666010d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x9af50f2a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9769d45a, "usb_set_interface" },
	{ 0x37a66d1, "usb_string" },
	{ 0xbce68759, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x29e68135, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe520c0b6, "skb_queue_purge_reason" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x50a2f459, "usb_get_urb" },
	{ 0xc5c5c32b, "usb_unlink_urb" },
	{ 0x4c1806a1, "usb_free_urb" },
	{ 0x123e157, "usb_submit_urb" },
	{ 0x93c2fc1c, "netdev_err" },
	{ 0x5472fb12, "mii_ethtool_get_link_ksettings" },
	{ 0x98e49dbc, "mii_ethtool_set_link_ksettings" },
	{ 0x3ff89c4c, "mii_nway_restart" },
	{ 0xff315185, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x23d288ef, "unregister_netdev" },
	{ 0x66efaa7f, "usb_scuttle_anchored_urbs" },
	{ 0xac6d48cf, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd3fee633, "free_netdev" },
	{ 0xd93e0126, "netdev_info" },
	{ 0x21259bc2, "netif_carrier_on" },
	{ 0x53b28fbf, "netif_carrier_off" },
	{ 0x1c608461, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0xa2a03089, "usb_autopm_get_interface" },
	{ 0xb881e7f0, "usb_autopm_put_interface" },
	{ 0x9da6174b, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xcc5d26fa, "mii_link_ok" },
	{ 0x14aa82d9, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x92a8bc2d, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7451cb4d, "remove_wait_queue" },
	{ 0x898977bd, "netif_device_detach" },
	{ 0xf16d8716, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xa5a3a746, "skb_defer_rx_timestamp" },
	{ 0xcb2b1d9f, "netif_rx" },
	{ 0xbc420053, "eth_type_trans" },
	{ 0xc8e9d027, "skb_queue_tail" },
	{ 0xc6fd05c2, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0x1dc9623a, "register_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x929b8785, "pm_runtime_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x40e0379d, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x80ebc2f2, "skb_clone_tx_timestamp" },
	{ 0xe1f64038, "usb_autopm_get_interface_async" },
	{ 0x815e4d37, "dev_kfree_skb_any_reason" },
	{ 0x732c1256, "skb_tstamp_tx" },
	{ 0xa711c1a3, "usb_anchor_urb" },
	{ 0x44f51784, "__netdev_alloc_skb" },
	{ 0x233d86b6, "consume_skb" },
	{ 0xd74a66f2, "netif_tx_wake_queue" },
	{ 0xbb480c17, "__wake_up" },
	{ 0xfa5bddb, "usb_autopm_get_interface_no_resume" },
	{ 0xb3bd8e9f, "usb_get_from_anchor" },
	{ 0x356e9033, "skb_put" },
	{ 0x12edc46c, "usb_clear_halt" },
	{ 0xce0ca47c, "eth_mac_addr" },
	{ 0x29c7690b, "eth_validate_addr" },
	{ 0x66ad0e26, "dev_get_tstats64" },
	{ 0xe2f6ba39, "ethtool_op_get_ts_info" },
	{ 0x9ad0f6d0, "param_ops_int" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "D10E818D1D587F6CA0A230B");
MODULE_INFO(rhelversion, "9.6");
