#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xa5faa784, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x637c3b7f, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x6334c54a, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x9fe809df, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xaa1dc73f, "__skb_checksum_complete" },
	{ 0xe5d00f7b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x82c20f6c, "skb_copy_bits" },
	{ 0xe1027e8e, "__nlmsg_put" },
	{ 0xfcffe7a7, "netdev_adjacent_change_commit" },
	{ 0xce0ca47c, "eth_mac_addr" },
	{ 0x356e9033, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x91d66634, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x81d428a9, "ip6_dst_hoplimit" },
	{ 0xe8e48d44, "param_ops_ushort" },
	{ 0x233d86b6, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x1f384fea, "udp_sock_create4" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x11272982, "udp_tunnel6_xmit_skb" },
	{ 0x37fa73fa, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xaa981c86, "__unregister_nexthop_notifier" },
	{ 0xfc86488b, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x29c7690b, "eth_validate_addr" },
	{ 0x7b035952, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x345f6d73, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfa83f43c, "rtnl_create_link" },
	{ 0x45eddeb4, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xdf5b75e2, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xb662a61d, "ether_setup" },
	{ 0x5ea7573e, "udp_tunnel_drop_rx_port" },
	{ 0x84e6c49b, "netdev_upper_dev_link" },
	{ 0xb0882c31, "pskb_expand_head" },
	{ 0x271d8240, "register_pernet_subsys" },
	{ 0xbc420053, "eth_type_trans" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xb539bef2, "__alloc_skb" },
	{ 0xaa4475d, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd383219a, "eth_gro_complete" },
	{ 0xb516ac6d, "rtnl_set_sk_err" },
	{ 0x941f1e97, "eth_gro_receive" },
	{ 0x83df36ed, "rtnl_configure_link" },
	{ 0xd71dbdd0, "skb_tunnel_check_pmtu" },
	{ 0x2357f606, "udp_tunnel_dst_lookup" },
	{ 0xcb93d86d, "rtnl_unicast" },
	{ 0x464efb8, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xaa80241, "__skb_get_hash_net" },
	{ 0x93f4069d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9ea2634, "__dev_get_by_index" },
	{ 0x66b6264e, "rtnl_link_unregister" },
	{ 0x4a713741, "ipv6_stub" },
	{ 0x8c377f80, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xf28ddd2d, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6fd3b94a, "dev_get_by_index_rcu" },
	{ 0xedad2f62, "gro_cells_receive" },
	{ 0xacbdf8b6, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xcc5d9c11, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd3fee633, "free_netdev" },
	{ 0x95ca6cb, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5e7d73ac, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc0348ce6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x14aa82d9, "ethtool_op_get_link" },
	{ 0x501e75cc, "nexthop_find_by_id" },
	{ 0xf3ca85cf, "arp_create" },
	{ 0xd423e5d, "__ethtool_get_link_ksettings" },
	{ 0xbc3dfad8, "netdev_adjacent_change_prepare" },
	{ 0x92a27632, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xbf2a6161, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x92b110b, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xea3df838, "rht_bucket_nested_insert" },
	{ 0xec544ad5, "netdev_adjacent_change_abort" },
	{ 0x5bbfdf13, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5cc6679d, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a994eb1, "__iptunnel_pull_header" },
	{ 0x2c8d44bc, "__pskb_pull_tail" },
	{ 0x66ad0e26, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xcb2b1d9f, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xa4daadb, "rhashtable_destroy" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x84442f7, "setup_udp_tunnel_sock" },
	{ 0x6b31de74, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x30bfd07d, "skb_trim" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x29e68135, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd4053c1, "skb_scrub_packet" },
	{ 0xdb7e0af, "nexthop_select_path" },
	{ 0x2c0fb999, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa5de7fb1, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3a4af5b0, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xecf6d78b, "param_ops_bool" },
	{ 0x4c61001f, "udp_tun_rx_dst" },
	{ 0x25eac7a9, "rtnl_notify" },
	{ 0xe8ddb341, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xddb008da, "__netif_rx" },
	{ 0xc828fa38, "skb_clone" },
	{ 0xa7004b98, "metadata_dst_alloc" },
	{ 0x44b31cfc, "dst_release" },
	{ 0xacc3bedc, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x8b7a37ab, "udp_tunnel_notify_del_rx_port" },
	{ 0x5c086846, "register_nexthop_notifier" },
	{ 0x5f6d336e, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xc61173e0, "gro_find_receive_by_type" },
	{ 0x4f6b4610, "netdev_core_stats_inc" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xd93e0126, "netdev_info" },
	{ 0x2e75e48e, "neigh_lookup" },
	{ 0xb6917d10, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe7fbaaef, "register_netdevice" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.6");
