#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x7abb9e2b, "");
SYMBOL_CRC(sas_remove_host, 0x148dc989, "");
SYMBOL_CRC(sas_get_address, 0x1141fac8, "");
SYMBOL_CRC(sas_tlr_supported, 0x30cd4881, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x6650ee12, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x4e414e6a, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xef6d2344, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xf301799a, "");
SYMBOL_CRC(sas_phy_add, 0xaf9de09d, "");
SYMBOL_CRC(sas_phy_free, 0x30b35f3e, "");
SYMBOL_CRC(sas_phy_delete, 0x3d35d48c, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x3deba949, "");
SYMBOL_CRC(sas_port_alloc, 0xef4b764c, "");
SYMBOL_CRC(sas_port_alloc_num, 0x7589f12c, "");
SYMBOL_CRC(sas_port_add, 0x64e5c13d, "");
SYMBOL_CRC(sas_port_free, 0x1da7f921, "");
SYMBOL_CRC(sas_port_delete, 0xe5a26b4d, "");
SYMBOL_CRC(scsi_is_sas_port, 0x8eec5ea2, "");
SYMBOL_CRC(sas_port_get_phy, 0x93251291, "");
SYMBOL_CRC(sas_port_add_phy, 0x20dc67d2, "");
SYMBOL_CRC(sas_port_delete_phy, 0x138f8629, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xe71f7f3c, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x78432d56, "");
SYMBOL_CRC(sas_end_device_alloc, 0x1b7d94e5, "");
SYMBOL_CRC(sas_expander_alloc, 0xaf0136f3, "");
SYMBOL_CRC(sas_rphy_add, 0xc18160fa, "");
SYMBOL_CRC(sas_rphy_free, 0xafc14ef3, "");
SYMBOL_CRC(sas_rphy_delete, 0x2814c8a1, "");
SYMBOL_CRC(sas_rphy_unlink, 0xbb0a170d, "");
SYMBOL_CRC(sas_rphy_remove, 0xf518b200, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x98bb3564, "");
SYMBOL_CRC(sas_attach_transport, 0x9bf465b4, "");
SYMBOL_CRC(sas_release_transport, 0x0fedfbc3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb9e683aa, "device_for_each_child" },
	{ 0xe325d3e7, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xc19a9e4c, "device_add" },
	{ 0x86c27223, "transport_add_device" },
	{ 0x32bfe033, "transport_configure_device" },
	{ 0x31d965f1, "device_del" },
	{ 0xdb4d3443, "transport_destroy_device" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x73d1ed90, "get_device" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0x3a576945, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xee35fb4a, "scsi_scan_target" },
	{ 0xfaf8766, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x2450813c, "transport_class_register" },
	{ 0x9fba9489, "transport_class_unregister" },
	{ 0xa10b5d1c, "transport_remove_device" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0xe3876ff6, "attribute_container_register" },
	{ 0x62dabca5, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb07aebe0, "dev_printk" },
	{ 0x939dc755, "scsi_mode_sense" },
	{ 0xec14a1ce, "attribute_container_unregister" },
	{ 0xd6528447, "scsi_remove_host" },
	{ 0xa9215540, "bsg_remove_queue" },
	{ 0xc413e6b3, "scsi_remove_target" },
	{ 0x454ec15b, "scsi_is_host_device" },
	{ 0x31ce226f, "_dev_warn" },
	{ 0x2ecf7131, "bsg_job_done" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0x45c07103, "dma_opt_mapping_size" },
	{ 0x8a2fb383, "device_initialize" },
	{ 0xf70962d0, "dev_set_name" },
	{ 0xcd00778b, "transport_setup_device" },
	{ 0x5a6f7d87, "scsi_get_vpd_page" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
