#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geni_se_get_qup_hw_version, "", "");
KSYMTAB_FUNC(geni_se_init, "", "");
KSYMTAB_FUNC(geni_se_select_mode, "", "");
KSYMTAB_FUNC(geni_se_config_packing, "", "");
KSYMTAB_FUNC(geni_se_resources_off, "", "");
KSYMTAB_FUNC(geni_se_resources_on, "", "");
KSYMTAB_FUNC(geni_se_clk_tbl_get, "", "");
KSYMTAB_FUNC(geni_se_clk_freq_match, "", "");
KSYMTAB_FUNC(geni_se_tx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_rx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_icc_get, "", "");
KSYMTAB_FUNC(geni_icc_set_bw, "", "");
KSYMTAB_FUNC(geni_icc_set_tag, "", "");
KSYMTAB_FUNC(geni_icc_enable, "", "");
KSYMTAB_FUNC(geni_icc_disable, "", "");

SYMBOL_CRC(geni_se_get_qup_hw_version, 0x260c1015, "");
SYMBOL_CRC(geni_se_init, 0x5f8daf89, "");
SYMBOL_CRC(geni_se_select_mode, 0x8e791eb8, "");
SYMBOL_CRC(geni_se_config_packing, 0x42b5559a, "");
SYMBOL_CRC(geni_se_resources_off, 0x9936e2b4, "");
SYMBOL_CRC(geni_se_resources_on, 0x74e46c34, "");
SYMBOL_CRC(geni_se_clk_tbl_get, 0x3e785546, "");
SYMBOL_CRC(geni_se_clk_freq_match, 0x03e4ec3e, "");
SYMBOL_CRC(geni_se_tx_init_dma, 0x5a4fba74, "");
SYMBOL_CRC(geni_se_tx_dma_prep, 0xcbca5461, "");
SYMBOL_CRC(geni_se_rx_init_dma, 0x1d10677f, "");
SYMBOL_CRC(geni_se_rx_dma_prep, 0xccb7928f, "");
SYMBOL_CRC(geni_se_tx_dma_unprep, 0x8a99cda0, "");
SYMBOL_CRC(geni_se_rx_dma_unprep, 0x910ffd5d, "");
SYMBOL_CRC(geni_icc_get, 0x334cbf86, "");
SYMBOL_CRC(geni_icc_set_bw, 0xe620f94b, "");
SYMBOL_CRC(geni_icc_set_tag, 0x2b138983, "");
SYMBOL_CRC(geni_icc_enable, 0xdb4c804c, "");
SYMBOL_CRC(geni_icc_disable, 0xa536494b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5a5189e1, "dma_unmap_page_attrs" },
	{ 0x46dd8487, "is_acpi_device_node" },
	{ 0x4c69b3f9, "devm_of_icc_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf12ee599, "_dev_err" },
	{ 0x1922af4c, "icc_set_bw" },
	{ 0x8a11681c, "icc_set_tag" },
	{ 0x1123db23, "icc_enable" },
	{ 0x46e1b512, "icc_disable" },
	{ 0x80d4c042, "__platform_driver_register" },
	{ 0xf4494314, "devm_kmalloc" },
	{ 0x6990e3ac, "devm_platform_ioremap_resource" },
	{ 0x1735cd3e, "devm_of_platform_populate" },
	{ 0xbce68759, "__dynamic_dev_dbg" },
	{ 0xf7ec727b, "device_get_match_data" },
	{ 0xe2071302, "of_count_phandle_with_args" },
	{ 0x3c422fe6, "devm_clk_bulk_get" },
	{ 0x1c74f905, "platform_driver_unregister" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x25cba327, "pinctrl_pm_select_default_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6df08d6, "pinctrl_pm_select_sleep_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7ce705da, "dma_map_page_attrs" },
	{ 0x735c143c, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,geni-se-qup");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-qupC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hubC*");

MODULE_INFO(srcversion, "6BEB0E519200071345C77E9");
MODULE_INFO(rhelversion, "9.6");
