#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0xb32cd15e, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x6ea8fe3d, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0xbcfc839e, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0xc77821ee, "_gpl");
SYMBOL_CRC(ucsi_resume, 0xe842bda8, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xea884456, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x82336339, "_gpl");
SYMBOL_CRC(ucsi_create, 0xf347bbe5, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x3d6db31c, "_gpl");
SYMBOL_CRC(ucsi_register, 0xc8d258b3, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x55d3fb73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0xbcebe08d, "typec_partner_set_pd_revision" },
	{ 0xf71826d8, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x86e37e63, "typec_register_partner" },
	{ 0x879ab859, "typec_port_set_usb_power_delivery" },
	{ 0x6e11f551, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc973041a, "typec_port_register_altmode" },
	{ 0x50ecce94, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6375aec2, "trace_raw_output_prep" },
	{ 0xa684059b, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x9194764a, "trace_event_printf" },
	{ 0x53428e3b, "trace_event_raw_init" },
	{ 0xe83d64a4, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x73b63f55, "seq_lseek" },
	{ 0xc6e4fd2c, "bpf_trace_run2" },
	{ 0xdde3232f, "event_triggers_call" },
	{ 0x40f4d6a1, "typec_set_mode" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xbce68759, "__dynamic_dev_dbg" },
	{ 0xb213e00b, "trace_event_buffer_commit" },
	{ 0x79403ff8, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xdbb59025, "trace_event_ignore_this_pid" },
	{ 0xfe6b6b72, "typec_partner_register_altmode" },
	{ 0x4ae21ce5, "typec_partner_set_num_altmodes" },
	{ 0x8924043d, "typec_unregister_partner" },
	{ 0x46d81533, "typec_set_pwr_opmode" },
	{ 0x226b81b1, "typec_cable_set_identity" },
	{ 0xa0a159e2, "debugfs_attr_read" },
	{ 0x1cdd50e2, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd2a13aa4, "perf_trace_run_bpf_submit" },
	{ 0xf12ee599, "_dev_err" },
	{ 0xba088ea3, "typec_altmode_update_active" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x200f901e, "device_property_read_u8_array" },
	{ 0xb155b118, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x20fe4da5, "usb_power_delivery_register_capabilities" },
	{ 0xce6b2d6e, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x9dc850f7, "debugfs_remove" },
	{ 0x625bf281, "usb_power_delivery_unregister" },
	{ 0x59e6838b, "trace_event_reg" },
	{ 0xd1145ed4, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x91e856d3, "typec_unregister_port" },
	{ 0x1d670394, "power_supply_get_drvdata" },
	{ 0xdcb764ad, "memset" },
	{ 0x31ce226f, "_dev_warn" },
	{ 0xb3d401ed, "typec_register_port" },
	{ 0x4a833946, "typec_plug_set_num_altmodes" },
	{ 0x8042b514, "typec_partner_set_usb_power_delivery" },
	{ 0x56c88217, "power_supply_changed" },
	{ 0xd2824696, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x415017ff, "typec_plug_register_altmode" },
	{ 0xad80caa4, "devm_kasprintf" },
	{ 0xb62a9b1e, "seq_read" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc0327b79, "debugfs_create_file" },
	{ 0x2784247b, "trace_event_buffer_reserve" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x37713bcd, "typec_unregister_altmode" },
	{ 0x6db86491, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x774d1720, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xf588f37e, "usb_power_delivery_unregister_capabilities" },
	{ 0xb755e686, "typec_get_drvdata" },
	{ 0xea284ef9, "typec_partner_set_identity" },
	{ 0x7bc345a3, "power_supply_unregister" },
	{ 0xc0c39ab6, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe50f69eb, "typec_set_pwr_role" },
	{ 0xe3aa8447, "typec_partner_usb_power_delivery_register" },
	{ 0x188c0d9, "dev_err_probe" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x67fec48, "usb_debug_root" },
	{ 0xa41558dd, "device_get_next_child_node" },
	{ 0x6a1fcc1e, "single_open" },
	{ 0xe8f4172b, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6cbfa1e1, "__dev_fwnode" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "46260D74E018D4EF5195BF1");
MODULE_INFO(rhelversion, "9.6");
