#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0x9eea3c52, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x100d5a72, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x73fd806d, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x28af7a99, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x2d079253, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xfb7387e0, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x4a529c45, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x41135242, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x12004f49, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0xf4db9423, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0x0dfb48ce, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0x8088d16b, "");
SYMBOL_CRC(vfio_unpin_pages, 0x928df3b6, "");
SYMBOL_CRC(vfio_dma_rw, 0xbc1d8372, "");
SYMBOL_CRC(vfio_file_iommu_group, 0x35b13354, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x051ff4c2, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x390a6345, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xc6a6f871, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x06330782, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x3e892237, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xdaa75c1b, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x6d6218ec, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0xdbebd500, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x2bcd56f2, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0xc228a83a, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x9003c916, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0xf128885b, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x89e180ae, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0xf38e4ce2, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xda5cbc5c, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0xa8cd37b9, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0xaa355eea, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xe6b6241c, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x1d78affe, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x27e178fa, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0xa12162ef, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb26a71e5, "anon_inode_getfile" },
	{ 0x9f705e04, "__init_rwsem" },
	{ 0xa68c9fae, "alloc_anon_inode" },
	{ 0x659ba0de, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x479b07b9, "iommufd_access_detach" },
	{ 0x84e0d6a8, "ida_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf70962d0, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x96dac065, "cdev_device_del" },
	{ 0xd5e9f13b, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x1b106254, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xdc341665, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x8a2fb383, "device_initialize" },
	{ 0xd900b6f6, "iommufd_device_attach" },
	{ 0xfe038961, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa49520e, "iommufd_access_pin_pages" },
	{ 0x3e8e5a8c, "iput" },
	{ 0x92a8bc2d, "add_wait_queue" },
	{ 0x6375f411, "iommufd_ctx_from_fd" },
	{ 0x72b3f920, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0xbce68759, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xd8a74561, "iommufd_vfio_compat_set_no_iommu" },
	{ 0x4af3a64b, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0x2bb12230, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe325d3e7, "put_device" },
	{ 0x3df11f3f, "iommufd_ctx_from_file" },
	{ 0x741ef8c0, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4b38d6b7, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x5736d245, "fput" },
	{ 0x17e2cc26, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xe547e4fc, "up_write" },
	{ 0xc19a9e4c, "device_add" },
	{ 0x5d68d448, "xa_load" },
	{ 0xda7cbb47, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xef3aaac7, "class_create" },
	{ 0x6a1d783d, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x3751d750, "ida_free" },
	{ 0x8e3e164a, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x31d965f1, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x31ce226f, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0xd10999eb, "iommufd_access_destroy" },
	{ 0x95147fa6, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1a6158a7, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0xc85bf139, "__xa_cmpxchg" },
	{ 0xdf79aca5, "iommufd_device_to_id" },
	{ 0x203c6fc1, "init_pseudo" },
	{ 0x5bc0068a, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xec749284, "__pm_runtime_resume" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xecf6d78b, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x293615b8, "xa_destroy" },
	{ 0xa62e3899, "iommufd_ctx_put" },
	{ 0xde4700b1, "iommufd_access_create" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xb233b826, "iommufd_device_detach" },
	{ 0xfb25f43, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2bb1f420, "simple_release_fs" },
	{ 0xc780c995, "kill_anon_super" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xebdb7c97, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x55b2ca07, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x3eeaf6b3, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xdd49ccf4, "up_read" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x784869c8, "__pm_runtime_idle" },
	{ 0xb1d88ac1, "cdev_init" },
	{ 0x4667fda9, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xebb541ef, "eventfd_ctx_fileget" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xa62995fa, "iommu_group_remove_device" },
	{ 0x4a63117f, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.6");
