#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x2c86b517, "");
SYMBOL_CRC(bt_sock_register, 0x0304041a, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x959799c7, "");
SYMBOL_CRC(bt_sock_link, 0x6060bee6, "");
SYMBOL_CRC(bt_sock_unlink, 0xfd7a1b3f, "");
SYMBOL_CRC(bt_sock_linked, 0x0fdd6022, "");
SYMBOL_CRC(bt_accept_enqueue, 0x7ebf4180, "");
SYMBOL_CRC(bt_accept_unlink, 0x5483ff2c, "");
SYMBOL_CRC(bt_accept_dequeue, 0xb40d352c, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x836d0d36, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x7d637073, "");
SYMBOL_CRC(bt_sock_poll, 0x889c4b9d, "");
SYMBOL_CRC(bt_sock_ioctl, 0xe4fa5484, "");
SYMBOL_CRC(bt_sock_wait_state, 0xec976064, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x65f99d08, "");
SYMBOL_CRC(bt_procfs_init, 0x01b7b4b7, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x61c8014d, "");
SYMBOL_CRC(bt_debugfs, 0xb90c3a10, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0xbe71e0c5, "");
SYMBOL_CRC(hci_free_dev, 0x605a0276, "");
SYMBOL_CRC(hci_register_dev, 0x02b71427, "");
SYMBOL_CRC(hci_unregister_dev, 0xa7e8a1f4, "");
SYMBOL_CRC(hci_release_dev, 0x11a5d0a2, "");
SYMBOL_CRC(hci_suspend_dev, 0x9bd9a885, "");
SYMBOL_CRC(hci_resume_dev, 0x8bf0deca, "");
SYMBOL_CRC(hci_reset_dev, 0x61ad26ac, "");
SYMBOL_CRC(hci_recv_frame, 0xbfc6256e, "");
SYMBOL_CRC(hci_recv_diag, 0x232c2912, "");
SYMBOL_CRC(hci_set_hw_info, 0x783cf484, "");
SYMBOL_CRC(hci_set_fw_info, 0xd33182ed, "");
SYMBOL_CRC(hci_register_cb, 0xda6b851e, "");
SYMBOL_CRC(hci_unregister_cb, 0x60d36db7, "");
SYMBOL_CRC(__hci_cmd_send, 0x0969121d, "");
SYMBOL_CRC(hci_get_route, 0xdb9e70cb, "");
SYMBOL_CRC(hci_conn_security, 0x9ed9953f, "");
SYMBOL_CRC(hci_conn_check_secure, 0xbf18805e, "");
SYMBOL_CRC(hci_conn_switch_role, 0xb079a7b0, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x3809f190, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x76258abc, "");
SYMBOL_CRC(l2cap_add_psm, 0x55d07bc0, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x813ebe97, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x665c0808, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x54a6e772, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xc87f74a3, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x34f38db0, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x9ad5d068, "");
SYMBOL_CRC(l2cap_register_user, 0x1728d841, "");
SYMBOL_CRC(l2cap_unregister_user, 0xfc552f3d, "");
SYMBOL_CRC(l2cap_conn_get, 0x0a0fd8b5, "");
SYMBOL_CRC(l2cap_conn_put, 0x44622c8b, "");
SYMBOL_CRC(l2cap_chan_send, 0x9ffa3455, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x55533d9a, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x848816d1, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xde636641, "");
SYMBOL_CRC(__hci_cmd_sync, 0x6263344e, "");
SYMBOL_CRC(hci_cmd_sync, 0x425f82e2, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x0833572d, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x8fe64f21, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x857dc8cc, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x419f3f45, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x036b02d2, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x5906e79c, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0xbb19eb56, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x0ef3e465, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xcabbb829, "");
SYMBOL_CRC(hci_cmd_sync_run, 0xffc9a039, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x0775e533, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x3c1f0d78, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xe0d0a15e, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x02dd278e, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0xca5ed555, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0xfd8ce6ae, "");
SYMBOL_CRC(hci_devcd_init, 0xb518ea23, "");
SYMBOL_CRC(hci_devcd_append, 0x78873f63, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x529b821a, "");
SYMBOL_CRC(hci_devcd_complete, 0x56f1a0c5, "");
SYMBOL_CRC(hci_devcd_abort, 0x20502389, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x80755617, "skb_free_datagram" },
	{ 0xd4efebad, "sock_queue_rcv_skb_reason" },
	{ 0x27e178fa, "ida_alloc_range" },
	{ 0xa12162ef, "try_module_get" },
	{ 0xc2479d80, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf71826d8, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x84e0d6a8, "ida_destroy" },
	{ 0x1c4ecf38, "idr_find" },
	{ 0x6e11f551, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x356e9033, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf70962d0, "dev_set_name" },
	{ 0xfdfb9dd9, "scm_detach_fds" },
	{ 0x541568d4, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20f64cd4, "device_unregister" },
	{ 0x40e0379d, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0xd936df23, "debugfs_create_u16" },
	{ 0x4b306dbe, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x6d88acbc, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xcc9c5b42, "add_wait_queue_exclusive" },
	{ 0x8a2fb383, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x73b63f55, "seq_lseek" },
	{ 0x92a8bc2d, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x93bfabe8, "sock_no_connect" },
	{ 0xc5583a33, "prepare_to_wait_event" },
	{ 0x99e2c0d0, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xbb480c17, "__wake_up" },
	{ 0x25d9b7f8, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x73d1ed90, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x92e0d1a8, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb1d369c0, "__put_cred" },
	{ 0xdd999660, "put_cmsg" },
	{ 0xe520c0b6, "skb_queue_purge_reason" },
	{ 0x56577ffd, "crypto_destroy_tfm" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0xa3054a82, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xff8e19a1, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4d1f5a99, "sock_register" },
	{ 0x49681b14, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe325d3e7, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb539bef2, "__alloc_skb" },
	{ 0xcb4e8647, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x90f4c888, "rt_write_unlock" },
	{ 0xac2cb341, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc8e9d027, "skb_queue_tail" },
	{ 0x4b38d6b7, "module_put" },
	{ 0xb3950f9c, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x88e3e1c, "idr_remove" },
	{ 0xa0a159e2, "debugfs_attr_read" },
	{ 0x79d86f8, "__sock_recv_timestamp" },
	{ 0xa240ae03, "sock_no_shutdown" },
	{ 0xbd7d3dcf, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3a6ef356, "crypto_req_done" },
	{ 0x11e8342d, "init_net" },
	{ 0x41810d4d, "crypto_shash_setkey" },
	{ 0x148bae46, "simple_open" },
	{ 0x8c377f80, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc19a9e4c, "device_add" },
	{ 0xacf09f4b, "idr_alloc" },
	{ 0xb155b118, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4a3bbea4, "init_uts_ns" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0x9c0a9e96, "sk_free" },
	{ 0x6f9a1ca4, "device_move" },
	{ 0xdd3b3ebf, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x25882c53, "mutex_lock" },
	{ 0xacbdf8b6, "skb_push" },
	{ 0x7e6cb46d, "sock_no_listen" },
	{ 0x9dc850f7, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x59706a93, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x65694868, "iov_iter_kvec" },
	{ 0x3751d750, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xcb63e729, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xc0348ce6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x87ce239a, "dev_coredumpv" },
	{ 0x866a2cf2, "skb_copy_datagram_iter" },
	{ 0x558e3854, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xe4173605, "sk_alloc" },
	{ 0x31d965f1, "device_del" },
	{ 0xd247c0a3, "__sock_queue_rcv_skb" },
	{ 0x8e4a6d20, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x553b60d, "default_llseek" },
	{ 0x28bf4a1f, "__sock_recv_wifi_status" },
	{ 0xddac37c3, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x74639166, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x4b04b83c, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4b71617, "sock_no_mmap" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x2c8d44bc, "__pskb_pull_tail" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x434f8804, "__scm_destroy" },
	{ 0x8fdd80eb, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x30bfd07d, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x3a2f6afe, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb62a9b1e, "seq_read" },
	{ 0xbe3c2eb6, "rt_read_lock" },
	{ 0x7c4646a0, "sock_i_ino" },
	{ 0xc0327b79, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x797bb02a, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xecf6d78b, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x4b8cbb4e, "skb_recv_datagram" },
	{ 0x9d7af243, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4a1d81bd, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5c8fda8d, "remove_proc_entry" },
	{ 0x3e78390f, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x774d1720, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x21998ce5, "skb_copy" },
	{ 0xc828fa38, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9cf2a52f, "rt_write_lock" },
	{ 0x64154485, "_copy_from_iter" },
	{ 0x89b8272b, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x7451cb4d, "remove_wait_queue" },
	{ 0xe227d033, "seq_puts" },
	{ 0x2685276, "sock_gettstamp" },
	{ 0xc0c39ab6, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3839cce3, "pid_vnr" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0x8191825d, "from_kuid_munged" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x2c135fa8, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb8739297, "proc_create_seq_private" },
	{ 0x35f5be7, "debugfs_create_u8" },
	{ 0x6a1fcc1e, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x41fdc3c7, "crypto_alloc_shash" },
	{ 0xe8f4172b, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3e82737c, "fwnode_property_read_u8_array" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xc85fb44b, "put_pid" },
	{ 0x89f03341, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x86fb5898, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6cbfa1e1, "__dev_fwnode" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb6917d10, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf756f764, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "7FC17935133A8AA3F10AD0C");
MODULE_INFO(rhelversion, "9.6");
