#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_set_type_register, "_gpl", "");
KSYMTAB_FUNC(ip_set_type_unregister, "_gpl", "");
KSYMTAB_FUNC(ip_set_alloc, "_gpl", "");
KSYMTAB_FUNC(ip_set_free, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr4, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ipaddr6, "_gpl", "");
KSYMTAB_FUNC(ip_set_init_comment, "_gpl", "");
KSYMTAB_DATA(ip_set_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_elem_len, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_match_extensions, "_gpl", "");
KSYMTAB_FUNC(ip_set_test, "_gpl", "");
KSYMTAB_FUNC(ip_set_add, "_gpl", "");
KSYMTAB_FUNC(ip_set_del, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_byname, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_name_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_get_byindex, "_gpl", "");
KSYMTAB_FUNC(ip_set_nfnl_put, "_gpl", "");
KSYMTAB_FUNC(ip_set_put_flags, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip4_port, "_gpl", "");
KSYMTAB_FUNC(ip_set_get_ip6_port, "_gpl", "");
KSYMTAB_DATA(ip_set_netmask_map, "_gpl", "");
KSYMTAB_DATA(ip_set_hostmask_map, "_gpl", "");
KSYMTAB_FUNC(ip_set_range_to_cidr, "_gpl", "");

SYMBOL_CRC(ip_set_type_register, 0x190b8dec, "_gpl");
SYMBOL_CRC(ip_set_type_unregister, 0x10245ae0, "_gpl");
SYMBOL_CRC(ip_set_alloc, 0xf3b4d4ae, "_gpl");
SYMBOL_CRC(ip_set_free, 0x397f6231, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr4, 0xa293f8a6, "_gpl");
SYMBOL_CRC(ip_set_get_ipaddr6, 0x9e98722b, "_gpl");
SYMBOL_CRC(ip_set_init_comment, 0x828f797e, "_gpl");
SYMBOL_CRC(ip_set_extensions, 0xcdb9ac68, "_gpl");
SYMBOL_CRC(ip_set_elem_len, 0xe37e0d0c, "_gpl");
SYMBOL_CRC(ip_set_get_extensions, 0xad6e319e, "_gpl");
SYMBOL_CRC(ip_set_put_extensions, 0xc3045b73, "_gpl");
SYMBOL_CRC(ip_set_match_extensions, 0x1a79623b, "_gpl");
SYMBOL_CRC(ip_set_test, 0xd220820c, "_gpl");
SYMBOL_CRC(ip_set_add, 0x041827ae, "_gpl");
SYMBOL_CRC(ip_set_del, 0x2558e6af, "_gpl");
SYMBOL_CRC(ip_set_get_byname, 0xfde35e82, "_gpl");
SYMBOL_CRC(ip_set_put_byindex, 0x8c463ef6, "_gpl");
SYMBOL_CRC(ip_set_name_byindex, 0x5bcc0097, "_gpl");
SYMBOL_CRC(ip_set_nfnl_get_byindex, 0xd6bd2e72, "_gpl");
SYMBOL_CRC(ip_set_nfnl_put, 0xea10a503, "_gpl");
SYMBOL_CRC(ip_set_put_flags, 0x6314d760, "_gpl");
SYMBOL_CRC(ip_set_get_ip4_port, 0x28f5cd53, "_gpl");
SYMBOL_CRC(ip_set_get_ip6_port, 0x94dae65b, "_gpl");
SYMBOL_CRC(ip_set_netmask_map, 0x81fff2d1, "_gpl");
SYMBOL_CRC(ip_set_hostmask_map, 0x7924b6de, "_gpl");
SYMBOL_CRC(ip_set_range_to_cidr, 0x22d966c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39081f43, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa12162ef, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x82c20f6c, "skb_copy_bits" },
	{ 0xe1027e8e, "__nlmsg_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2ea65c3c, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7efb974, "nfnetlink_subsys_register" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xdd8354a2, "netlink_ack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x271d8240, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x90476c81, "nf_unregister_sockopt" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe585728e, "ipv6_skip_exthdr" },
	{ 0xa916b694, "strnlen" },
	{ 0xb539bef2, "__alloc_skb" },
	{ 0x90f4c888, "rt_write_unlock" },
	{ 0x4b38d6b7, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x5172f2cf, "nfnetlink_unicast" },
	{ 0x5792f848, "strlcpy" },
	{ 0x5a921311, "strncmp" },
	{ 0xf00a075f, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0xe77440ed, "ns_capable" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbf2a6161, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8eed1589, "nfnetlink_subsys_unregister" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x30bfd07d, "skb_trim" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbe3c2eb6, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0x4a1d81bd, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9cf2a52f, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x9ad0f6d0, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "5815AF39C0D30A0623F12F4");
MODULE_INFO(rhelversion, "9.6");
