#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xca6189ae, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x394231a7, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xeaf6d9de, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0xf0ee9de3, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xd0b7c476, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xe6de0217, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x7df63466, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x510da6f5, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xe7c35b1f, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xf9853c04, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x5a6da9d5, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xf1312693, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x94e0c11d, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x981d5325, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xf7b90b71, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xa226cdfe, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xc2444c6e, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xd5625dc8, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xe082314b, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xd124bcd2, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x900f5fd4, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x2f788049, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x571e30ac, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x0e1f09c3, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x2b803fd9, "_gpl");
SYMBOL_CRC(print_tuple, 0x560305e3, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xfb4cd5f7, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x08f4adaa, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x591d1e6f, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x533ea1c6, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x6c9c54fa, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x7cfa428d, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x967d8471, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x6cb89f6e, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xa35ecd29, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x06d35ce3, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x1875af32, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xde813724, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x1eccc9a7, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xa331b1a4, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xb5ccd4e3, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x44d89de6, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x4c5a7a0e, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xb6e0753d, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x2aa4be86, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x9820e7bd, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x23ab02fc, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xf54f6ff2, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xeb7f7334, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xa2fe5721, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x6f77d7a0, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x2619b003, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x531b4932, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xa73d1c12, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x6eed9c82, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x4c4813f3, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xd9e23c8f, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x031237bd, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xa3d2acfa, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x00c05a93, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xf8e58fda, "_gpl");
SYMBOL_CRC(nf_confirm, 0xe6935466, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x0b5e8410, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x3fcf89bc, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x0fb1b231, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x1c88f16c, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xf1ff4dec, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xf997898e, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x7b7de949, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xc79c0710, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x459c2c42, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x21ec659a, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x4040d4d0, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xf71ee663, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x42cb96cf, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xd352c874, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xae6ba06e, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x19b09579, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x50154049, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x85f27b52, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x1e75c657, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x8f0fa7b2, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xc572b535, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x274c7bc9, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x6617c3ad, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xa84d225d, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x643d60b4, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x8ad4c0ba, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xb5c1b116, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x72f74bcc, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x55a1578f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9848c4db, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa12162ef, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf93abced, "nf_defrag_ipv4_disable" },
	{ 0xfcc62527, "nf_ip6_checksum" },
	{ 0x29694549, "proc_dou8vec_minmax" },
	{ 0x82c20f6c, "skb_copy_bits" },
	{ 0x988431ab, "param_ops_uint" },
	{ 0x19980fef, "proc_dointvec_jiffies" },
	{ 0xde277cb6, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2ea65c3c, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x60e1c856, "nfct_btf_struct_access" },
	{ 0x4d90aa89, "param_set_uint" },
	{ 0xbf3e1eb2, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4bfdc6db, "nf_ct_frag6_gather" },
	{ 0xbe5e75d, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf68bce4c, "kmem_cache_create" },
	{ 0x16275375, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1e11deb1, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x271d8240, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x90476c81, "nf_unregister_sockopt" },
	{ 0x33df0406, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf481e73b, "make_kuid" },
	{ 0x654c0fe4, "nf_defrag_ipv6_disable" },
	{ 0xe585728e, "ipv6_skip_exthdr" },
	{ 0xc9dff8e9, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x67e85bfc, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x4b38d6b7, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2cddec50, "nf_checksum" },
	{ 0x4c54f303, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x11e8342d, "init_net" },
	{ 0x8902bece, "nf_ip6_check_hbh_len" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0x25882c53, "mutex_lock" },
	{ 0xbdb8e294, "kmem_cache_free" },
	{ 0x59706a93, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd0d4676b, "nf_checksum_partial" },
	{ 0x674d3b47, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x2c1de72c, "nf_unregister_net_hooks" },
	{ 0xc0348ce6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbf2a6161, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0xc4826742, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x77269359, "nf_log_packet" },
	{ 0x95917f06, "make_kgid" },
	{ 0x3183071a, "nf_ip_checksum" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x8a35beaa, "register_btf_kfunc_id_set" },
	{ 0xca2812f2, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a6158a7, "down_read" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x1cc7f653, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8306c887, "__skb_checksum" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x2f12a323, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xecf6d78b, "param_ops_bool" },
	{ 0x63c5076d, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5c8fda8d, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x774d1720, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1d64d5ca, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x37771dde, "proc_dointvec" },
	{ 0xe227d033, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3045d1b0, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x9b530471, "unregister_net_sysctl_table" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x3e908adf, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x88008a57, "pskb_trim_rcsum_slow" },
	{ 0xdd49ccf4, "up_read" },
	{ 0xf47539f4, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x32636b1a, "kmem_cache_destroy" },
	{ 0xb6917d10, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "0DA85C06403759E7A5359CC");
MODULE_INFO(rhelversion, "9.6");
