#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x91a2a7fc, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xc4ebf2f5, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xac7526c0, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x80755617, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd4efebad, "sock_queue_rcv_skb_reason" },
	{ 0x1ff82b65, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcfc32941, "bpf_trace_run4" },
	{ 0x82c20f6c, "skb_copy_bits" },
	{ 0x24a0fbed, "radix_tree_insert" },
	{ 0x356e9033, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x233d86b6, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6375aec2, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x918fdd12, "radix_tree_lookup" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x9194764a, "trace_event_printf" },
	{ 0x38a5f9fd, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x53428e3b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xdde3232f, "event_triggers_call" },
	{ 0xbb480c17, "__wake_up" },
	{ 0x25d9b7f8, "__module_get" },
	{ 0x14047872, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x92e0d1a8, "__pskb_copy_fclone" },
	{ 0x60979f5a, "sk_error_report" },
	{ 0xe520c0b6, "skb_queue_purge_reason" },
	{ 0x9febcf9a, "radix_tree_iter_delete" },
	{ 0xb213e00b, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0xff8e19a1, "proto_unregister" },
	{ 0x4d1f5a99, "sock_register" },
	{ 0x49681b14, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdbb59025, "trace_event_ignore_this_pid" },
	{ 0xb539bef2, "__alloc_skb" },
	{ 0x90f4c888, "rt_write_unlock" },
	{ 0xac2cb341, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4b38d6b7, "module_put" },
	{ 0x7246708c, "__xa_alloc" },
	{ 0xa240ae03, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd2a13aa4, "perf_trace_run_bpf_submit" },
	{ 0x72dbea6e, "__traceiter_sk_data_ready" },
	{ 0x11e8342d, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xeb1e489a, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0x5d68d448, "xa_load" },
	{ 0x48d6b6d5, "kernel_getsockname" },
	{ 0x45d15b3a, "do_wait_intr_irq" },
	{ 0x9c0a9e96, "sk_free" },
	{ 0xdd3b3ebf, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x25882c53, "mutex_lock" },
	{ 0xacbdf8b6, "skb_push" },
	{ 0x7e6cb46d, "sock_no_listen" },
	{ 0x59e6838b, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xc0348ce6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x866a2cf2, "skb_copy_datagram_iter" },
	{ 0xe4173605, "sk_alloc" },
	{ 0x74639166, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x4b71617, "sock_no_mmap" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0xe09072ad, "sock_no_sendpage" },
	{ 0x44f51784, "__netdev_alloc_skb" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x7e7f0211, "__xa_insert" },
	{ 0x49101b6f, "xa_erase" },
	{ 0x62cb49b2, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6e088484, "skb_set_owner_w" },
	{ 0x2784247b, "trace_event_buffer_reserve" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xca39020c, "sock_create_kern" },
	{ 0xb3452ead, "xa_find" },
	{ 0x4b8cbb4e, "skb_recv_datagram" },
	{ 0x9d7af243, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa50f1545, "xa_store" },
	{ 0x9cf2a52f, "rt_write_lock" },
	{ 0x64154485, "_copy_from_iter" },
	{ 0x86dd2292, "sock_release" },
	{ 0x2685276, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc873152, "xa_find_after" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2c135fa8, "iov_iter_revert" },
	{ 0x41da8874, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0x86fb5898, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xb6917d10, "release_sock" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.6");
