#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x63fd3fc5, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x6dc6a519, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x10bdda60, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x0d072280, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x49bdc693, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee476c06, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xc2479d80, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6a9e0c5, "inet_addr_type_table" },
	{ 0xe5d00f7b, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x82c20f6c, "skb_copy_bits" },
	{ 0x7b05d79d, "inet_unregister_protosw" },
	{ 0x1c4ecf38, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x2b51f4ea, "sock_wfree" },
	{ 0x356e9033, "skb_put" },
	{ 0xde277cb6, "register_net_sysctl" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf59e8d08, "__fl6_sock_lookup" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x81d428a9, "ip6_dst_hoplimit" },
	{ 0x233d86b6, "consume_skb" },
	{ 0xbfd9b35f, "inet6_add_offload" },
	{ 0x541568d4, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x57165884, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6375aec2, "trace_raw_output_prep" },
	{ 0x6285b851, "l3mdev_fib_table_by_index" },
	{ 0x1f384fea, "udp_sock_create4" },
	{ 0x40e0379d, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc38a5201, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x4b306dbe, "finish_wait" },
	{ 0xe5d49062, "skb_segment" },
	{ 0x9194764a, "trace_event_printf" },
	{ 0x95d21c54, "__ip_dev_find" },
	{ 0x11272982, "udp_tunnel6_xmit_skb" },
	{ 0xb07e9305, "sock_common_getsockopt" },
	{ 0x2a1bab2e, "inet_bind" },
	{ 0xd68b2dcc, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x19b3bc30, "prepare_to_wait" },
	{ 0xfe038961, "fd_install" },
	{ 0x53428e3b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x60bb6d28, "inet_register_protosw" },
	{ 0xd6ac1cf3, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xc6e4fd2c, "bpf_trace_run2" },
	{ 0xe2b67b19, "sock_common_setsockopt" },
	{ 0x7a9ee67e, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xbb480c17, "__wake_up" },
	{ 0xdde3232f, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xec8f6d89, "ip_route_output_flow" },
	{ 0x1287071e, "rhashtable_walk_enter" },
	{ 0xf68bce4c, "kmem_cache_create" },
	{ 0x9192b1db, "__sk_mem_schedule" },
	{ 0xa6a0741, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xfea5786e, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1e11deb1, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x60979f5a, "sk_error_report" },
	{ 0x271d8240, "register_pernet_subsys" },
	{ 0xdd999660, "put_cmsg" },
	{ 0xb213e00b, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xd7073f7e, "inet_sock_destruct" },
	{ 0x56577ffd, "crypto_destroy_tfm" },
	{ 0x9ca4ccf1, "sock_kmalloc" },
	{ 0x8e65a51, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xb2112252, "inet_getname" },
	{ 0xff8e19a1, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xdbb59025, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb539bef2, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xe9115060, "inet_release" },
	{ 0x90f4c888, "rt_write_unlock" },
	{ 0x67e85bfc, "kmem_cache_alloc" },
	{ 0xac2cb341, "proto_register" },
	{ 0xa7b3d026, "skb_copy_expand" },
	{ 0xb7fb0c77, "__wake_up_sync_key" },
	{ 0xb3950f9c, "__sock_recv_ts_and_drops" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x88e3e1c, "idr_remove" },
	{ 0xfd8f412, "inet_ctl_sock_create" },
	{ 0xa137f4a5, "inet_ioctl" },
	{ 0x5ed667c3, "reuseport_add_sock" },
	{ 0xcc54f138, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x19d70bf7, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xbd7d3dcf, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd2a13aa4, "perf_trace_run_bpf_submit" },
	{ 0x5736d245, "fput" },
	{ 0x72dbea6e, "__traceiter_sk_data_ready" },
	{ 0xe730de8, "inet_accept" },
	{ 0x11e8342d, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x41810d4d, "crypto_shash_setkey" },
	{ 0x8c377f80, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xb60b8151, "inet_add_offload" },
	{ 0x7d146cb3, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa9fef0b8, "inet_add_protocol" },
	{ 0x928fd299, "inet_shutdown" },
	{ 0x9c0a9e96, "sk_free" },
	{ 0xbe4cce3, "sock_wake_async" },
	{ 0x6fd3b94a, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x36af93d2, "inet_del_offload" },
	{ 0xacbdf8b6, "skb_push" },
	{ 0x6689376b, "__ip_queue_xmit" },
	{ 0xbdb8e294, "kmem_cache_free" },
	{ 0x42454ef1, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0xd496c847, "proc_doulongvec_minmax" },
	{ 0x59e6838b, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd668284b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xe77440ed, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc0348ce6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x30c2c0b0, "inet6_ioctl" },
	{ 0x866a2cf2, "skb_copy_datagram_iter" },
	{ 0xf125159d, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8575a163, "idr_alloc_cyclic" },
	{ 0xe4173605, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xbf2a6161, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x76886d52, "ip6_dst_lookup_flow" },
	{ 0x92b110b, "rhashtable_free_and_destroy" },
	{ 0x74639166, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xea3df838, "rht_bucket_nested_insert" },
	{ 0x5bbfdf13, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4b71617, "sock_no_mmap" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0x2c8d44bc, "__pskb_pull_tail" },
	{ 0xe09072ad, "sock_no_sendpage" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x84442f7, "setup_udp_tunnel_sock" },
	{ 0x6b31de74, "udp_sock_create6" },
	{ 0x30bfd07d, "skb_trim" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc21a64f4, "sk_common_release" },
	{ 0x62cb49b2, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x2c0fb999, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xbe3c2eb6, "rt_read_lock" },
	{ 0xc13457f1, "inet6_getname" },
	{ 0x7c4646a0, "sock_i_ino" },
	{ 0x999ff7c1, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x588082ed, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xc55699d8, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6e088484, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2784247b, "trace_event_buffer_reserve" },
	{ 0x8306c887, "__skb_checksum" },
	{ 0x74a9c528, "reuseport_alloc" },
	{ 0xc2c6b405, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x2c538c01, "inet6_release" },
	{ 0xaa006208, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc2b2fb99, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xecf6d78b, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x9b039385, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4a1d81bd, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x40be6ac1, "rhltable_init" },
	{ 0xe8ddb341, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x774d1720, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x266f9197, "proc_create_net_single" },
	{ 0x21998ce5, "skb_copy" },
	{ 0xc828fa38, "skb_clone" },
	{ 0xb310f60b, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x44b31cfc, "dst_release" },
	{ 0x9cf2a52f, "rt_write_lock" },
	{ 0x64154485, "_copy_from_iter" },
	{ 0x86dd2292, "sock_release" },
	{ 0xaaa53878, "inet_recv_error" },
	{ 0x37771dde, "proc_dointvec" },
	{ 0xe227d033, "seq_puts" },
	{ 0x2685276, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0xcabbc4a5, "rhashtable_walk_next" },
	{ 0x7cb4f205, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8c5c2ee2, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb2f110f8, "send_sig" },
	{ 0x9b530471, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x1b770a72, "inet6_add_protocol" },
	{ 0x8191825d, "from_kuid_munged" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0xa7c62061, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x8f20fbf9, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe39b1935, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcd4c9228, "reuseport_detach_sock" },
	{ 0xd00f34c4, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x2c135fa8, "iov_iter_revert" },
	{ 0x41fdc3c7, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3eeab02a, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x86fb5898, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x32636b1a, "kmem_cache_destroy" },
	{ 0xb6917d10, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf756f764, "skb_queue_head" },
	{ 0x5775cbf8, "proc_dointvec_minmax" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "218632A41ED2E03CADC829E");
MODULE_INFO(rhelversion, "9.6");
