#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x2e6778d8, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x73f7eff5, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xdcb0acaa, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x91156a82, "");
SYMBOL_CRC(gss_mech_put, 0xdb742710, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xc829afdd, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x0de7a7fb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1e585e3a, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa12162ef, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1bcfdedd, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x2bf4eea6, "xdr_buf_from_iov" },
	{ 0xcfc32941, "bpf_trace_run4" },
	{ 0x13a11c8b, "xdr_stream_decode_opaque_auth" },
	{ 0x988431ab, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x16bb8e7d, "xdr_write_pages" },
	{ 0x523c4343, "rpc_shutdown_client" },
	{ 0xac9a0b45, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x529d6bec, "xdr_inline_decode" },
	{ 0x35464071, "cache_create_net" },
	{ 0xe8cf97b6, "rpcauth_destroy_credcache" },
	{ 0x6375aec2, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xcbe98bee, "bpf_trace_run6" },
	{ 0xacb9465c, "rpc_net_ns" },
	{ 0xf617deee, "read_bytes_from_xdr_buf" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x4b306dbe, "finish_wait" },
	{ 0x693274be, "rpc_wake_up" },
	{ 0x9194764a, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc971f666, "sunrpc_cache_lookup_rcu" },
	{ 0x19b3bc30, "prepare_to_wait" },
	{ 0x53428e3b, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x8cadf3c2, "__put_devmap_managed_page_refs" },
	{ 0x1143da17, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xc6e4fd2c, "bpf_trace_run2" },
	{ 0xc5583a33, "prepare_to_wait_event" },
	{ 0x88b4504a, "xdr_truncate_decode" },
	{ 0xb5f66dfb, "rpcauth_unregister" },
	{ 0xdde3232f, "event_triggers_call" },
	{ 0xbb480c17, "__wake_up" },
	{ 0xc66c0ff7, "__xdr_commit_encode" },
	{ 0x25d9b7f8, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd501d190, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xb1d369c0, "__put_cred" },
	{ 0x271d8240, "register_pernet_subsys" },
	{ 0xb213e00b, "trace_event_buffer_commit" },
	{ 0xece71dc5, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x77e7b6fe, "rpc_release_client" },
	{ 0x63758d4e, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd60fd4d7, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1050f775, "svc_auth_register" },
	{ 0x4838b2f0, "xdr_stream_encode_opaque_auth" },
	{ 0xdbb59025, "trace_event_ignore_this_pid" },
	{ 0xf481e73b, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x40143b78, "rpc_destroy_pipe_data" },
	{ 0x5734a781, "__free_pages" },
	{ 0x54c478cb, "rpc_pipe_generic_upcall" },
	{ 0x4b38d6b7, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x5f8a7d7c, "cache_unregister_net" },
	{ 0x56f7a950, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd2a13aa4, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfda82204, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xea1e7538, "rpcauth_init_credcache" },
	{ 0xd67a18e8, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x75fd5db0, "xdr_init_decode" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x59e6838b, "trace_event_reg" },
	{ 0xc23c1b88, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfdcced1a, "rpc_sleep_on_timeout" },
	{ 0xe2b89f2a, "rpc_create" },
	{ 0x7f1ea0e6, "bpf_trace_run1" },
	{ 0x983b0fa7, "rpc_call_sync" },
	{ 0xddac37c3, "from_kuid" },
	{ 0xbf2a6161, "unregister_pernet_subsys" },
	{ 0x86bbd48a, "rpc_queue_upcall" },
	{ 0xaeb984cf, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa66bf95a, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xa5abf041, "svcauth_unix_set_client" },
	{ 0xd7aa07b5, "xdr_buf_subsegment" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x95917f06, "make_kgid" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x7e61c4e5, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x5398deae, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53259595, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x62cb49b2, "bpf_trace_run3" },
	{ 0x1cc7f653, "__put_net" },
	{ 0xc5190c8e, "rpc_mkpipe_dentry" },
	{ 0x18cad4b1, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x3e900a11, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2784247b, "trace_event_buffer_reserve" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xdf5d153e, "cache_register_net" },
	{ 0x2a622e6e, "init_user_ns" },
	{ 0x46955ec2, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xca403d1f, "xdr_inline_pages" },
	{ 0x2bfc372f, "__folio_put" },
	{ 0x5c8fda8d, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x96d8a3a4, "rpc_init_wait_queue" },
	{ 0xe8c67b57, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf1a7aa03, "rpc_unlink" },
	{ 0x7947d8f, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x8191825d, "from_kuid_munged" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x4bd03624, "rpcauth_init_cred" },
	{ 0x759ffabc, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x914f27ca, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe92085c6, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x48eacc6f, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x814a6769, "sunrpc_cache_update" },
	{ 0x2a81194a, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd85b8b75, "rpc_destroy_wait_queue" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe541f639, "auth_domain_put" },
	{ 0x4689c494, "rpcauth_unwrap_resp_decode" },
	{ 0x5e6225f5, "rpcauth_register" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.6");
