#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_timer_instance_new, "", "");
KSYMTAB_FUNC(snd_timer_instance_free, "", "");
KSYMTAB_FUNC(snd_timer_open, "", "");
KSYMTAB_FUNC(snd_timer_close, "", "");
KSYMTAB_FUNC(snd_timer_resolution, "", "");
KSYMTAB_FUNC(snd_timer_start, "", "");
KSYMTAB_FUNC(snd_timer_stop, "", "");
KSYMTAB_FUNC(snd_timer_continue, "", "");
KSYMTAB_FUNC(snd_timer_pause, "", "");
KSYMTAB_FUNC(snd_timer_interrupt, "", "");
KSYMTAB_FUNC(snd_timer_new, "", "");
KSYMTAB_FUNC(snd_timer_notify, "", "");
KSYMTAB_FUNC(snd_timer_global_new, "", "");
KSYMTAB_FUNC(snd_timer_global_free, "", "");
KSYMTAB_FUNC(snd_timer_global_register, "", "");

SYMBOL_CRC(snd_timer_instance_new, 0x32358650, "");
SYMBOL_CRC(snd_timer_instance_free, 0xd5ef3794, "");
SYMBOL_CRC(snd_timer_open, 0x0c9bf5e6, "");
SYMBOL_CRC(snd_timer_close, 0x3a23227c, "");
SYMBOL_CRC(snd_timer_resolution, 0x27b00a33, "");
SYMBOL_CRC(snd_timer_start, 0x6e15e1d8, "");
SYMBOL_CRC(snd_timer_stop, 0x68045513, "");
SYMBOL_CRC(snd_timer_continue, 0xac0bfa99, "");
SYMBOL_CRC(snd_timer_pause, 0xa0c0e082, "");
SYMBOL_CRC(snd_timer_interrupt, 0x48f3fa5e, "");
SYMBOL_CRC(snd_timer_new, 0x9fbbe0b5, "");
SYMBOL_CRC(snd_timer_notify, 0x5c2926aa, "");
SYMBOL_CRC(snd_timer_global_new, 0xe66c54b0, "");
SYMBOL_CRC(snd_timer_global_free, 0x96370e93, "");
SYMBOL_CRC(snd_timer_global_register, 0xaac86100, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x27e178fa, "ida_alloc_range" },
	{ 0xa12162ef, "try_module_get" },
	{ 0xc0530582, "snd_info_register" },
	{ 0xb6fb82ee, "snd_info_create_module_entry" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xf70962d0, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0xfd9d8e94, "snd_info_free_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0x92a8bc2d, "add_wait_queue" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x4559495c, "snd_fasync_helper" },
	{ 0xbb480c17, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x73d1ed90, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x2fc79c73, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe325d3e7, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x4b38d6b7, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xfcdedb64, "noop_llseek" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x3751d750, "ida_free" },
	{ 0x8df3789f, "snd_oss_info_register" },
	{ 0xcfdee164, "snd_unregister_device" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2712742b, "snd_device_alloc" },
	{ 0xf26c1916, "snd_device_new" },
	{ 0xdcb764ad, "memset" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5af762f1, "snd_fasync_free" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x774d1720, "seq_printf" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x7451cb4d, "remove_wait_queue" },
	{ 0x9f2e30b9, "stream_open" },
	{ 0xf8f2a4eb, "snd_kill_fasync" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x9ad0f6d0, "param_ops_int" },
	{ 0x2d1259fa, "snd_register_device" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "snd");


MODULE_INFO(srcversion, "A02D128E220BAF278040FC0");
MODULE_INFO(rhelversion, "9.6");
