#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x6b6123cc, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x4bbd705a, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x86227952, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x783ad1a5, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x3b4c6acd, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x63ae9f88, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0xeda082aa, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xc0d420ee, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xb4ef2d07, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x56793fd2, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x4bafc301, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xa3032761, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xcb52f80e, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xb325cde8, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x658d26eb, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xf985a3b2, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xd1be446b, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x9cc4a2da, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0xc77a1623, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0x7ab2452b, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0x422d778a, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0xd16bc70e, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x10f59453, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0xdbe57732, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xedaf9fbd, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xc78480da, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x107dda34, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x70ba8bb8, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x9395f2e7, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x047a96e4, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xb141ba0d, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0xb58fb40d, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x28ef9386, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xa38d28fb, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xcb140213, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0x74adf8d8, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0xa04000fd, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0xfc7ce719, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x967e0520, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x7ba35086, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0xe7e5a9ae, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xe165edf2, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x63901294, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0xcd444b3e, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0x87d03640, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x3d7bf2d5, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x1e348db9, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xc08d0c3d, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xfa7e1409, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0x7136a904, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0x61302cf6, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0x9a265da1, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x4f214033, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x4b2d0be0, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x5eccc11f, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x578ccbe6, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x6768a56b, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x0b27e2f0, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x9a0b87c0, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x08f3059d, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x2ccfc134, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xbd1d61e8, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0x8943f3d7, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x8f6681fd, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0x3f048b2c, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x938bd28b, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0xe88a75c6, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0x68616e64, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x1435af22, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xcdc82834, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x70df75be, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xc2d3299b, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x48b25c1d, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x5f432df1, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0xed5a9530, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xf74b46f1, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xf5c9ee61, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x729f0a15, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0xab99f2ae, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xbfc40d4c, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x974ea1b4, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0x32b4019e, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xe86be9c4, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xd959c1ed, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x41604fdd, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x2cc78a21, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0xa70898af, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0xd669b0e7, "_gpl");
SYMBOL_CRC(is_cxl_region, 0xcd7b2379, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xeae80d3e, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xde2608c7, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0xea16974b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ff2aa6, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x27e178fa, "ida_alloc_range" },
	{ 0xdf23c622, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xf71826d8, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xcfc32941, "bpf_trace_run4" },
	{ 0x6e11f551, "debugfs_attr_write" },
	{ 0xf4494314, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf70962d0, "dev_set_name" },
	{ 0xe8e48d44, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6375aec2, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x96dac065, "cdev_device_del" },
	{ 0xcbe98bee, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0x20f64cd4, "device_unregister" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x9194764a, "trace_event_printf" },
	{ 0xc21dc66e, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x8a2fb383, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x53428e3b, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x73b63f55, "seq_lseek" },
	{ 0xb9e683aa, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc6e4fd2c, "bpf_trace_run2" },
	{ 0xdde3232f, "event_triggers_call" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0x4cf46622, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0x73d1ed90, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xbce68759, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5eaf3c7f, "platform_bus" },
	{ 0x735c143c, "dev_driver_string" },
	{ 0xb213e00b, "trace_event_buffer_commit" },
	{ 0x5a20b831, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xe6695113, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x2bb12230, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe325d3e7, "put_device" },
	{ 0xdbb59025, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0x6f7406f6, "bus_for_each_dev" },
	{ 0x3a576945, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa0a159e2, "debugfs_attr_read" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd2a13aa4, "perf_trace_run_bpf_submit" },
	{ 0x69175828, "sysfs_update_group" },
	{ 0x1abcd881, "bus_unregister" },
	{ 0x17e2cc26, "down_write" },
	{ 0x74112383, "devm_kfree" },
	{ 0xf12ee599, "_dev_err" },
	{ 0xe547e4fc, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6981da50, "debugfs_create_bool" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7da7c723, "bus_find_device" },
	{ 0xc19a9e4c, "device_add" },
	{ 0x62dabca5, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb155b118, "simple_attr_release" },
	{ 0x5d68d448, "xa_load" },
	{ 0xfcdedb64, "noop_llseek" },
	{ 0xe6c68f13, "bpf_trace_run5" },
	{ 0x1f463f8d, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x764eccf7, "kernfs_find_and_get_ns" },
	{ 0x9dc850f7, "debugfs_remove" },
	{ 0x90c439, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x59e6838b, "trace_event_reg" },
	{ 0x3751d750, "ida_free" },
	{ 0x9bd5f3bd, "driver_unregister" },
	{ 0x64340c75, "pcie_link_speed_mbps" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc703b96b, "device_find_child" },
	{ 0x1116bc74, "mutex_lock_interruptible" },
	{ 0x7f05c562, "devm_release_action" },
	{ 0x31d965f1, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe4f82439, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xdcb764ad, "memset" },
	{ 0x31ce226f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x11c18145, "device_for_each_child_reverse_from" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1a6158a7, "down_read" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x7e7f0211, "__xa_insert" },
	{ 0x49101b6f, "xa_erase" },
	{ 0x62cb49b2, "bpf_trace_run3" },
	{ 0xb62a9b1e, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc0327b79, "debugfs_create_file" },
	{ 0x65e0f915, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x2784247b, "trace_event_buffer_reserve" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0x51bde6f7, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd602b84e, "einj_cxl_available_error_type_show" },
	{ 0x293615b8, "xa_destroy" },
	{ 0xb3452ead, "xa_find" },
	{ 0x8a521fc, "kernfs_put" },
	{ 0x7a239bfd, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x774d1720, "seq_printf" },
	{ 0xa50f1545, "xa_store" },
	{ 0xe4e70b6a, "device_match_name" },
	{ 0x6f93b21e, "einj_cxl_inject_error" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc0c39ab6, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x9344c504, "pci_walk_bus" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0xc873152, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x450f8a22, "__devm_add_action" },
	{ 0x45b202f2, "pci_find_dvsec_capability" },
	{ 0xa277b8cc, "device_find_child_by_name" },
	{ 0x73e5e18e, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6a1fcc1e, "single_open" },
	{ 0x3165e8c9, "pci_write_config_word" },
	{ 0xe8f4172b, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x22cf3290, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdd49ccf4, "up_read" },
	{ 0xe79d946c, "driver_register" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb1d88ac1, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69ecb631, "pci_bus_type" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x3337d3f6, "bus_register" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "A817BA2FA461C2BBF82B58D");
MODULE_INFO(rhelversion, "9.6");
