#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(devm_aperture_acquire_from_firmware, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_framebuffers, "", "");
KSYMTAB_FUNC(drm_aperture_remove_conflicting_pci_framebuffers, "", "");
KSYMTAB_FUNC(__drm_crtc_commit_free, "", "");
KSYMTAB_FUNC(drm_crtc_commit_wait, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_release, "", "");
KSYMTAB_FUNC(drm_atomic_state_init, "", "");
KSYMTAB_FUNC(drm_atomic_state_alloc, "", "");
KSYMTAB_FUNC(drm_atomic_state_default_clear, "", "");
KSYMTAB_FUNC(drm_atomic_state_clear, "", "");
KSYMTAB_FUNC(__drm_atomic_state_free, "", "");
KSYMTAB_FUNC(drm_atomic_get_crtc_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_init, "", "");
KSYMTAB_FUNC(drm_atomic_private_obj_fini, "", "");
KSYMTAB_FUNC(drm_atomic_get_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_private_obj_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_connector_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_crtc_for_encoder, "", "");
KSYMTAB_FUNC(drm_atomic_get_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_bridge_state, "", "");
KSYMTAB_FUNC(drm_atomic_add_encoder_bridges, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_connectors, "", "");
KSYMTAB_FUNC(drm_atomic_add_affected_planes, "", "");
KSYMTAB_FUNC(drm_atomic_check_only, "", "");
KSYMTAB_FUNC(drm_atomic_commit, "", "");
KSYMTAB_FUNC(drm_atomic_nonblocking_commit, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_print_new_state, "", "");
KSYMTAB_FUNC(drm_state_dump, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_mode_prop_for_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_fb_for_plane, "", "");
KSYMTAB_FUNC(drm_atomic_set_crtc_for_connector, "", "");
KSYMTAB_FUNC(drm_is_current_master, "", "");
KSYMTAB_FUNC(drm_master_get, "", "");
KSYMTAB_FUNC(drm_file_get_master, "", "");
KSYMTAB_FUNC(drm_master_put, "", "");
KSYMTAB_FUNC(drm_master_internal_acquire, "", "");
KSYMTAB_FUNC(drm_master_internal_release, "", "");
KSYMTAB_FUNC(drm_plane_create_alpha_property, "", "");
KSYMTAB_FUNC(drm_plane_create_rotation_property, "", "");
KSYMTAB_FUNC(drm_rotation_simplify, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_property, "", "");
KSYMTAB_FUNC(drm_plane_create_zpos_immutable_property, "", "");
KSYMTAB_FUNC(drm_atomic_normalize_zpos, "", "");
KSYMTAB_FUNC(drm_plane_create_blend_mode_property, "", "");
KSYMTAB_FUNC(drm_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_bridge_add, "", "");
KSYMTAB_FUNC(drm_bridge_remove, "", "");
KSYMTAB_FUNC(drm_bridge_attach, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_valid, "", "");
KSYMTAB_FUNC(drm_bridge_chain_mode_set, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_post_disable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_pre_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_enable, "", "");
KSYMTAB_FUNC(drm_atomic_bridge_chain_check, "", "");
KSYMTAB_FUNC(drm_bridge_detect, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_get_modes, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_edid_read, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_enable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_disable, "_gpl", "");
KSYMTAB_FUNC(drm_bridge_hpd_notify, "_gpl", "");
KSYMTAB_FUNC(of_drm_find_bridge, "", "");
KSYMTAB_FUNC(drm_clflush_pages, "", "");
KSYMTAB_FUNC(drm_clflush_sg, "", "");
KSYMTAB_FUNC(drm_clflush_virt_range, "", "");
KSYMTAB_FUNC(drm_need_swiotlb, "", "");
KSYMTAB_FUNC(drm_memcpy_from_wc, "", "");
KSYMTAB_FUNC(drm_client_init, "", "");
KSYMTAB_FUNC(drm_client_register, "", "");
KSYMTAB_FUNC(drm_client_release, "", "");
KSYMTAB_FUNC(drm_client_dev_unregister, "", "");
KSYMTAB_FUNC(drm_client_dev_hotplug, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap_local, "", "");
KSYMTAB_FUNC(drm_client_buffer_vmap, "", "");
KSYMTAB_FUNC(drm_client_buffer_vunmap, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_delete, "", "");
KSYMTAB_FUNC(drm_client_framebuffer_flush, "", "");
KSYMTAB_FUNC(drm_client_modeset_probe, "", "");
KSYMTAB_FUNC(drm_client_rotation, "", "");
KSYMTAB_FUNC(drm_client_modeset_check, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit_locked, "", "");
KSYMTAB_FUNC(drm_client_modeset_commit, "", "");
KSYMTAB_FUNC(drm_client_modeset_dpms, "", "");
KSYMTAB_FUNC(drm_color_ctm_s31_32_to_qm_n, "", "");
KSYMTAB_FUNC(drm_crtc_enable_color_mgmt, "", "");
KSYMTAB_FUNC(drm_mode_crtc_set_gamma_size, "", "");
KSYMTAB_FUNC(drm_plane_create_color_properties, "", "");
KSYMTAB_FUNC(drm_color_lut_check, "", "");
KSYMTAB_FUNC(drm_get_connector_type_name, "", "");
KSYMTAB_FUNC(drm_connector_init, "", "");
KSYMTAB_FUNC(drm_connector_init_with_ddc, "", "");
KSYMTAB_FUNC(drmm_connector_init, "", "");
KSYMTAB_FUNC(drmm_connector_hdmi_init, "", "");
KSYMTAB_FUNC(drm_connector_attach_edid_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_encoder, "", "");
KSYMTAB_FUNC(drm_connector_has_possible_encoder, "", "");
KSYMTAB_FUNC(drm_connector_cleanup, "", "");
KSYMTAB_FUNC(drm_connector_register, "", "");
KSYMTAB_FUNC(drm_connector_unregister, "", "");
KSYMTAB_FUNC(drm_get_connector_status_name, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_begin, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_next, "", "");
KSYMTAB_FUNC(drm_connector_list_iter_end, "", "");
KSYMTAB_FUNC(drm_get_subpixel_order_name, "", "");
KSYMTAB_FUNC(drm_display_info_set_bus_formats, "", "");
KSYMTAB_FUNC(drm_get_tv_mode_from_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_broadcast_rgb_name, "", "");
KSYMTAB_FUNC(drm_hdmi_connector_get_output_format_name, "", "");
KSYMTAB_FUNC(drm_mode_create_dvi_i_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_dp_subconnector_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_content_type_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_margin_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties_legacy, "", "");
KSYMTAB_FUNC(drm_mode_create_tv_properties, "", "");
KSYMTAB_FUNC(drm_mode_create_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_scaling_mode_property, "", "");
KSYMTAB_FUNC(drm_mode_create_aspect_ratio_property, "", "");
KSYMTAB_FUNC(drm_mode_create_hdmi_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_dp_colorspace_property, "", "");
KSYMTAB_FUNC(drm_mode_create_content_type_property, "", "");
KSYMTAB_FUNC(drm_mode_create_suggested_offset_properties, "", "");
KSYMTAB_FUNC(drm_connector_set_path_property, "", "");
KSYMTAB_FUNC(drm_connector_set_tile_property, "", "");
KSYMTAB_FUNC(drm_connector_set_link_status_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_max_bpc_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_hdr_output_metadata_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_broadcast_rgb_property, "", "");
KSYMTAB_FUNC(drm_connector_attach_colorspace_property, "", "");
KSYMTAB_FUNC(drm_connector_atomic_hdr_metadata_equal, "", "");
KSYMTAB_FUNC(drm_connector_set_vrr_capable_property, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation, "", "");
KSYMTAB_FUNC(drm_connector_set_panel_orientation_with_quirk, "", "");
KSYMTAB_FUNC(drm_connector_set_orientation_from_panel, "", "");
KSYMTAB_FUNC(drm_connector_create_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_properties, "", "");
KSYMTAB_FUNC(drm_connector_attach_privacy_screen_provider, "", "");
KSYMTAB_FUNC(drm_connector_update_privacy_screen, "", "");
KSYMTAB_FUNC(drm_connector_oob_hotplug_event, "", "");
KSYMTAB_FUNC(drm_mode_put_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_get_tile_group, "", "");
KSYMTAB_FUNC(drm_mode_create_tile_group, "", "");
KSYMTAB_FUNC(drm_crtc_from_index, "", "");
KSYMTAB_FUNC(drm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(drmm_crtc_init_with_planes, "", "");
KSYMTAB_FUNC(__drmm_crtc_alloc_with_planes, "", "");
KSYMTAB_FUNC(drm_crtc_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_set_config_internal, "", "");
KSYMTAB_FUNC(drm_crtc_check_viewport, "", "");
KSYMTAB_FUNC(drm_crtc_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_put_dev, "", "");
KSYMTAB_FUNC(drm_dev_enter, "", "");
KSYMTAB_FUNC(drm_dev_exit, "", "");
KSYMTAB_FUNC(drm_dev_unplug, "", "");
KSYMTAB_FUNC(__devm_drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_alloc, "", "");
KSYMTAB_FUNC(drm_dev_get, "", "");
KSYMTAB_FUNC(drm_dev_put, "", "");
KSYMTAB_FUNC(drm_dev_register, "", "");
KSYMTAB_FUNC(drm_dev_unregister, "", "");
KSYMTAB_FUNC(drm_edid_header_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_is_valid, "", "");
KSYMTAB_FUNC(drm_edid_valid, "", "");
KSYMTAB_FUNC(drm_edid_override_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_raw, "", "");
KSYMTAB_FUNC(drm_edid_alloc, "", "");
KSYMTAB_FUNC(drm_edid_dup, "", "");
KSYMTAB_FUNC(drm_edid_free, "", "");
KSYMTAB_FUNC(drm_probe_ddc, "", "");
KSYMTAB_FUNC(drm_get_edid, "", "");
KSYMTAB_FUNC(drm_edid_read_custom, "", "");
KSYMTAB_FUNC(drm_edid_read_ddc, "", "");
KSYMTAB_FUNC(drm_edid_read, "", "");
KSYMTAB_FUNC(drm_edid_get_product_id, "", "");
KSYMTAB_FUNC(drm_edid_print_product_id, "", "");
KSYMTAB_FUNC(drm_edid_get_panel_id, "", "");
KSYMTAB_FUNC(drm_edid_read_base_block, "", "");
KSYMTAB_FUNC(drm_get_edid_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_read_switcheroo, "", "");
KSYMTAB_FUNC(drm_edid_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_find_dmt, "", "");
KSYMTAB_FUNC(drm_match_cea_mode, "", "");
KSYMTAB_FUNC(drm_display_mode_from_cea_vic, "", "");
KSYMTAB_FUNC(drm_edid_match, "", "");
KSYMTAB_FUNC(drm_edid_get_monitor_name, "", "");
KSYMTAB_FUNC(drm_edid_to_sad, "", "");
KSYMTAB_FUNC(drm_edid_to_speaker_allocation, "", "");
KSYMTAB_FUNC(drm_av_sync_delay, "", "");
KSYMTAB_FUNC(drm_detect_hdmi_monitor, "", "");
KSYMTAB_FUNC(drm_detect_monitor_audio, "", "");
KSYMTAB_FUNC(drm_default_rgb_quant_range, "", "");
KSYMTAB_FUNC(drm_edid_connector_update, "", "");
KSYMTAB_FUNC(drm_edid_connector_add_modes, "", "");
KSYMTAB_FUNC(drm_connector_update_edid_property, "", "");
KSYMTAB_FUNC(drm_add_edid_modes, "", "");
KSYMTAB_FUNC(drm_add_modes_noedid, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_quant_range, "", "");
KSYMTAB_FUNC(drm_hdmi_vendor_infoframe_from_display_mode, "", "");
KSYMTAB_FUNC(drm_edid_is_digital, "", "");
KSYMTAB_FUNC(drm_eld_sad_get, "", "");
KSYMTAB_FUNC(drm_eld_sad_set, "", "");
KSYMTAB_FUNC(drm_encoder_init, "", "");
KSYMTAB_FUNC(drm_encoder_cleanup, "", "");
KSYMTAB_FUNC(__drmm_encoder_alloc, "", "");
KSYMTAB_FUNC(drmm_encoder_init, "", "");
KSYMTAB_FUNC(drm_open, "", "");
KSYMTAB_FUNC(drm_release, "", "");
KSYMTAB_FUNC(drm_release_noglobal, "", "");
KSYMTAB_FUNC(drm_read, "", "");
KSYMTAB_FUNC(drm_poll, "", "");
KSYMTAB_FUNC(drm_event_reserve_init_locked, "", "");
KSYMTAB_FUNC(drm_event_reserve_init, "", "");
KSYMTAB_FUNC(drm_event_cancel_free, "", "");
KSYMTAB_FUNC(drm_send_event_timestamp_locked, "", "");
KSYMTAB_FUNC(drm_send_event_locked, "", "");
KSYMTAB_FUNC(drm_send_event, "", "");
KSYMTAB_FUNC(drm_print_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_memory_stats, "", "");
KSYMTAB_FUNC(drm_show_fdinfo, "", "");
KSYMTAB_FUNC(mock_drm_getfile, "", "");
KSYMTAB_FUNC(drm_mode_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_driver_legacy_fb_format, "", "");
KSYMTAB_FUNC(drm_format_info, "", "");
KSYMTAB_FUNC(drm_get_format_info, "", "");
KSYMTAB_FUNC(drm_format_info_block_width, "", "");
KSYMTAB_FUNC(drm_format_info_block_height, "", "");
KSYMTAB_FUNC(drm_format_info_bpp, "", "");
KSYMTAB_FUNC(drm_format_info_min_pitch, "", "");
KSYMTAB_FUNC(drm_internal_framebuffer_create, "", "");
KSYMTAB_FUNC(drm_framebuffer_init, "", "");
KSYMTAB_FUNC(drm_framebuffer_lookup, "", "");
KSYMTAB_FUNC(drm_framebuffer_unregister_private, "", "");
KSYMTAB_FUNC(drm_framebuffer_cleanup, "", "");
KSYMTAB_FUNC(drm_framebuffer_remove, "", "");
KSYMTAB_FUNC(drm_gem_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_init, "", "");
KSYMTAB_FUNC(drm_gem_private_object_fini, "", "");
KSYMTAB_FUNC(drm_gem_handle_delete, "", "");
KSYMTAB_FUNC(drm_gem_dumb_map_offset, "_gpl", "");
KSYMTAB_FUNC(drm_gem_handle_create, "", "");
KSYMTAB_FUNC(drm_gem_free_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset_size, "", "");
KSYMTAB_FUNC(drm_gem_create_mmap_offset, "", "");
KSYMTAB_FUNC(drm_gem_get_pages, "", "");
KSYMTAB_FUNC(drm_gem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_objects_lookup, "", "");
KSYMTAB_FUNC(drm_gem_object_lookup, "", "");
KSYMTAB_FUNC(drm_gem_dma_resv_wait, "", "");
KSYMTAB_FUNC(drm_gem_object_release, "", "");
KSYMTAB_FUNC(drm_gem_object_free, "", "");
KSYMTAB_FUNC(drm_gem_vm_open, "", "");
KSYMTAB_FUNC(drm_gem_vm_close, "", "");
KSYMTAB_FUNC(drm_gem_mmap_obj, "", "");
KSYMTAB_FUNC(drm_gem_mmap, "", "");
KSYMTAB_FUNC(drm_gem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_lock, "", "");
KSYMTAB_FUNC(drm_gem_unlock, "", "");
KSYMTAB_FUNC(drm_gem_vmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_vunmap_unlocked, "", "");
KSYMTAB_FUNC(drm_gem_lock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_unlock_reservations, "", "");
KSYMTAB_FUNC(drm_gem_lru_init, "", "");
KSYMTAB_FUNC(drm_gem_lru_remove, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail_locked, "", "");
KSYMTAB_FUNC(drm_gem_lru_move_tail, "", "");
KSYMTAB_FUNC(drm_gem_lru_scan, "", "");
KSYMTAB_FUNC(drm_gem_evict, "", "");
KSYMTAB_FUNC(drm_noop, "", "");
KSYMTAB_FUNC(drm_invalid_op, "", "");
KSYMTAB_FUNC(drm_ioctl_kernel, "", "");
KSYMTAB_FUNC(drm_ioctl, "", "");
KSYMTAB_FUNC(drm_ioctl_flags, "", "");
KSYMTAB_FUNC(__drmm_add_action, "", "");
KSYMTAB_FUNC(__drmm_add_action_or_reset, "", "");
KSYMTAB_FUNC(drmm_release_action, "", "");
KSYMTAB_FUNC(drmm_kmalloc, "", "");
KSYMTAB_FUNC(drmm_kstrdup, "_gpl", "");
KSYMTAB_FUNC(drmm_kfree, "", "");
KSYMTAB_FUNC(__drmm_mutex_release, "", "");
KSYMTAB_FUNC(__drm_mm_interval_first, "", "");
KSYMTAB_FUNC(drm_mm_reserve_node, "", "");
KSYMTAB_FUNC(drm_mm_insert_node_in_range, "", "");
KSYMTAB_FUNC(drm_mm_remove_node, "", "");
KSYMTAB_FUNC(drm_mm_scan_init_with_range, "", "");
KSYMTAB_FUNC(drm_mm_scan_add_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_remove_block, "", "");
KSYMTAB_FUNC(drm_mm_scan_color_evict, "", "");
KSYMTAB_FUNC(drm_mm_init, "", "");
KSYMTAB_FUNC(drm_mm_takedown, "", "");
KSYMTAB_FUNC(drm_mm_print, "", "");
KSYMTAB_FUNC(drm_mode_config_reset, "", "");
KSYMTAB_FUNC(drmm_mode_config_init, "", "");
KSYMTAB_FUNC(drm_mode_config_cleanup, "", "");
KSYMTAB_FUNC(drm_mode_object_find, "", "");
KSYMTAB_FUNC(drm_mode_object_put, "", "");
KSYMTAB_FUNC(drm_mode_object_get, "", "");
KSYMTAB_FUNC(drm_object_attach_property, "", "");
KSYMTAB_FUNC(drm_object_property_set_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_value, "", "");
KSYMTAB_FUNC(drm_object_property_get_default_value, "", "");
KSYMTAB_FUNC(drm_mode_obj_find_prop_id, "", "");
KSYMTAB_FUNC(drm_mode_debug_printmodeline, "", "");
KSYMTAB_FUNC(drm_mode_create, "", "");
KSYMTAB_FUNC(drm_mode_destroy, "", "");
KSYMTAB_FUNC(drm_mode_probed_add, "", "");
KSYMTAB_FUNC(drm_analog_tv_mode, "", "");
KSYMTAB_FUNC(drm_cvt_mode, "", "");
KSYMTAB_FUNC(drm_gtf_mode_complex, "", "");
KSYMTAB_FUNC(drm_gtf_mode, "", "");
KSYMTAB_FUNC(drm_mode_set_name, "", "");
KSYMTAB_FUNC(drm_mode_vrefresh, "", "");
KSYMTAB_FUNC(drm_mode_get_hv_timing, "", "");
KSYMTAB_FUNC(drm_mode_set_crtcinfo, "", "");
KSYMTAB_FUNC(drm_mode_copy, "", "");
KSYMTAB_FUNC(drm_mode_init, "", "");
KSYMTAB_FUNC(drm_mode_duplicate, "", "");
KSYMTAB_FUNC(drm_mode_match, "", "");
KSYMTAB_FUNC(drm_mode_equal, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks, "", "");
KSYMTAB_FUNC(drm_mode_equal_no_clocks_no_stereo, "", "");
KSYMTAB_FUNC(drm_mode_validate_driver, "", "");
KSYMTAB_FUNC(drm_mode_validate_size, "", "");
KSYMTAB_FUNC(drm_mode_validate_ycbcr420, "", "");
KSYMTAB_FUNC(drm_mode_prune_invalid, "", "");
KSYMTAB_FUNC(drm_mode_sort, "", "");
KSYMTAB_FUNC(drm_connector_list_update, "", "");
KSYMTAB_FUNC(drm_mode_parse_command_line_for_connector, "", "");
KSYMTAB_FUNC(drm_mode_create_from_cmdline_mode, "", "");
KSYMTAB_FUNC(drm_mode_is_420_only, "", "");
KSYMTAB_FUNC(drm_mode_is_420_also, "", "");
KSYMTAB_FUNC(drm_mode_is_420, "", "");
KSYMTAB_FUNC(drm_set_preferred_mode, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all, "", "");
KSYMTAB_FUNC(drm_modeset_unlock_all, "", "");
KSYMTAB_FUNC(drm_warn_on_modeset_not_all_locked, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_init, "", "");
KSYMTAB_FUNC(drm_modeset_acquire_fini, "", "");
KSYMTAB_FUNC(drm_modeset_drop_locks, "", "");
KSYMTAB_FUNC(drm_modeset_backoff, "", "");
KSYMTAB_FUNC(drm_modeset_lock_init, "", "");
KSYMTAB_FUNC(drm_modeset_lock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_single_interruptible, "", "");
KSYMTAB_FUNC(drm_modeset_unlock, "", "");
KSYMTAB_FUNC(drm_modeset_lock_all_ctx, "", "");
KSYMTAB_FUNC(drm_universal_plane_init, "", "");
KSYMTAB_FUNC(__drmm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(__drm_universal_plane_alloc, "", "");
KSYMTAB_FUNC(drm_plane_cleanup, "", "");
KSYMTAB_FUNC(drm_plane_from_index, "", "");
KSYMTAB_FUNC(drm_plane_force_disable, "", "");
KSYMTAB_FUNC(drm_mode_plane_set_obj_prop, "", "");
KSYMTAB_FUNC(drm_plane_has_format, "", "");
KSYMTAB_FUNC(drm_any_plane_has_format, "", "");
KSYMTAB_FUNC(drm_plane_enable_fb_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips_count, "", "");
KSYMTAB_FUNC(drm_plane_get_damage_clips, "", "");
KSYMTAB_FUNC(drm_plane_create_scaling_filter_property, "", "");
KSYMTAB_FUNC(drm_plane_add_size_hints_property, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_export, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_release, "", "");
KSYMTAB_FUNC(drm_gem_prime_fd_to_handle, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_dmabuf, "", "");
KSYMTAB_FUNC(drm_gem_prime_handle_to_fd, "", "");
KSYMTAB_FUNC(drm_gem_map_attach, "", "");
KSYMTAB_FUNC(drm_gem_map_detach, "", "");
KSYMTAB_FUNC(drm_gem_map_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_unmap_dma_buf, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_prime_mmap, "", "");
KSYMTAB_FUNC(drm_gem_dmabuf_mmap, "", "");
KSYMTAB_FUNC(drm_prime_pages_to_sg, "", "");
KSYMTAB_FUNC(drm_prime_get_contiguous_size, "", "");
KSYMTAB_FUNC(drm_gem_prime_export, "", "");
KSYMTAB_FUNC(drm_gem_prime_import_dev, "", "");
KSYMTAB_FUNC(drm_gem_prime_import, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_page_array, "", "");
KSYMTAB_FUNC(drm_prime_sg_to_dma_addr_array, "", "");
KSYMTAB_FUNC(drm_prime_gem_destroy, "", "");
KSYMTAB_DATA(__drm_debug, "", "");
KSYMTAB_FUNC(__drm_puts_coredump, "", "");
KSYMTAB_FUNC(__drm_printfn_coredump, "", "");
KSYMTAB_FUNC(__drm_puts_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_seq_file, "", "");
KSYMTAB_FUNC(__drm_printfn_info, "", "");
KSYMTAB_FUNC(__drm_printfn_dbg, "", "");
KSYMTAB_FUNC(__drm_printfn_err, "", "");
KSYMTAB_FUNC(drm_puts, "", "");
KSYMTAB_FUNC(drm_printf, "", "");
KSYMTAB_FUNC(drm_print_bits, "", "");
KSYMTAB_FUNC(drm_dev_printk, "", "");
KSYMTAB_FUNC(__drm_dev_dbg, "", "");
KSYMTAB_FUNC(__drm_err, "", "");
KSYMTAB_FUNC(drm_print_regset32, "", "");
KSYMTAB_FUNC(drm_property_create, "", "");
KSYMTAB_FUNC(drm_property_create_enum, "", "");
KSYMTAB_FUNC(drm_property_create_bitmask, "", "");
KSYMTAB_FUNC(drm_property_create_range, "", "");
KSYMTAB_FUNC(drm_property_create_signed_range, "", "");
KSYMTAB_FUNC(drm_property_create_object, "", "");
KSYMTAB_FUNC(drm_property_create_bool, "", "");
KSYMTAB_FUNC(drm_property_add_enum, "", "");
KSYMTAB_FUNC(drm_property_destroy, "", "");
KSYMTAB_FUNC(drm_property_create_blob, "", "");
KSYMTAB_FUNC(drm_property_blob_put, "", "");
KSYMTAB_FUNC(drm_property_blob_get, "", "");
KSYMTAB_FUNC(drm_property_lookup_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_global_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob, "", "");
KSYMTAB_FUNC(drm_property_replace_blob_from_id, "", "");
KSYMTAB_FUNC(drm_syncobj_find, "", "");
KSYMTAB_FUNC(drm_syncobj_add_point, "", "");
KSYMTAB_FUNC(drm_syncobj_replace_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_find_fence, "", "");
KSYMTAB_FUNC(drm_syncobj_free, "", "");
KSYMTAB_FUNC(drm_syncobj_create, "", "");
KSYMTAB_FUNC(drm_syncobj_get_handle, "", "");
KSYMTAB_FUNC(drm_syncobj_get_fd, "", "");
KSYMTAB_FUNC(drm_timeout_abs_to_jiffies, "", "");
KSYMTAB_FUNC(drm_sysfs_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_sysfs_connector_property_event, "", "");
KSYMTAB_FUNC(drm_class_device_register, "_gpl", "");
KSYMTAB_FUNC(drm_class_device_unregister, "_gpl", "");
KSYMTAB_FUNC(drm_crtc_vblank_crtc, "", "");
KSYMTAB_FUNC(drm_crtc_accurate_vblank_count, "", "");
KSYMTAB_FUNC(drm_vblank_init, "", "");
KSYMTAB_FUNC(drm_dev_has_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_waitqueue, "", "");
KSYMTAB_FUNC(drm_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_helper_get_vblank_timestamp, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_count_and_time, "", "");
KSYMTAB_FUNC(drm_crtc_next_vblank_start, "", "");
KSYMTAB_FUNC(drm_crtc_arm_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_send_vblank_event, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_get, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_put, "", "");
KSYMTAB_FUNC(drm_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_wait_one_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_off, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_reset, "", "");
KSYMTAB_FUNC(drm_crtc_set_max_vblank_count, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on_config, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_on, "", "");
KSYMTAB_FUNC(drm_crtc_vblank_restore, "", "");
KSYMTAB_FUNC(drm_handle_vblank, "", "");
KSYMTAB_FUNC(drm_crtc_handle_vblank, "", "");
KSYMTAB_FUNC(drm_vblank_work_schedule, "", "");
KSYMTAB_FUNC(drm_vblank_work_cancel_sync, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush, "", "");
KSYMTAB_FUNC(drm_vblank_work_flush_all, "", "");
KSYMTAB_FUNC(drm_vblank_work_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_init, "", "");
KSYMTAB_FUNC(drm_vma_offset_manager_destroy, "", "");
KSYMTAB_FUNC(drm_vma_offset_lookup_locked, "", "");
KSYMTAB_FUNC(drm_vma_offset_add, "", "");
KSYMTAB_FUNC(drm_vma_offset_remove, "", "");
KSYMTAB_FUNC(drm_vma_node_allow, "", "");
KSYMTAB_FUNC(drm_vma_node_allow_once, "", "");
KSYMTAB_FUNC(drm_vma_node_revoke, "", "");
KSYMTAB_FUNC(drm_vma_node_is_allowed, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init, "", "");
KSYMTAB_FUNC(drm_writeback_connector_init_with_encoder, "", "");
KSYMTAB_FUNC(drm_writeback_prepare_job, "", "");
KSYMTAB_FUNC(drm_writeback_queue_job, "", "");
KSYMTAB_FUNC(drm_writeback_cleanup_job, "", "");
KSYMTAB_FUNC(drm_writeback_signal_completion, "", "");
KSYMTAB_FUNC(drm_writeback_get_out_fence, "", "");
KSYMTAB_FUNC(drm_prandom_u32_max_state, "", "");
KSYMTAB_FUNC(drm_random_reorder, "", "");
KSYMTAB_FUNC(drm_random_order, "", "");
KSYMTAB_FUNC(drm_panel_init, "", "");
KSYMTAB_FUNC(drm_panel_add, "", "");
KSYMTAB_FUNC(drm_panel_remove, "", "");
KSYMTAB_FUNC(drm_panel_prepare, "", "");
KSYMTAB_FUNC(drm_panel_unprepare, "", "");
KSYMTAB_FUNC(drm_panel_enable, "", "");
KSYMTAB_FUNC(drm_panel_disable, "", "");
KSYMTAB_FUNC(drm_panel_get_modes, "", "");
KSYMTAB_FUNC(of_drm_find_panel, "", "");
KSYMTAB_FUNC(of_drm_get_panel_orientation, "", "");
KSYMTAB_FUNC(drm_is_panel_follower, "", "");
KSYMTAB_FUNC(drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_remove_follower, "", "");
KSYMTAB_FUNC(devm_drm_panel_add_follower, "", "");
KSYMTAB_FUNC(drm_panel_of_backlight, "", "");
KSYMTAB_FUNC(drm_of_crtc_port_mask, "", "");
KSYMTAB_FUNC(drm_of_find_possible_crtcs, "", "");
KSYMTAB_FUNC(drm_of_component_match_add, "_gpl", "");
KSYMTAB_FUNC(drm_of_component_probe, "", "");
KSYMTAB_FUNC(drm_of_encoder_active_endpoint, "_gpl", "");
KSYMTAB_FUNC(drm_of_find_panel_or_bridge, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_dual_link_pixel_order, "_gpl", "");
KSYMTAB_FUNC(drm_of_lvds_get_data_mapping, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_data_lanes_count_ep, "_gpl", "");
KSYMTAB_FUNC(drm_of_get_dsi_bus, "_gpl", "");
KSYMTAB_FUNC(drm_debugfs_gpuva_info, "", "");
KSYMTAB_FUNC(drm_debugfs_create_files, "", "");
KSYMTAB_FUNC(drm_debugfs_remove_files, "", "");
KSYMTAB_FUNC(drm_debugfs_add_file, "", "");
KSYMTAB_FUNC(drm_debugfs_add_files, "", "");
KSYMTAB_FUNC(drm_crtc_add_crc_entry, "_gpl", "");

SYMBOL_CRC(devm_aperture_acquire_from_firmware, 0xbd5a1b17, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_framebuffers, 0xdb79f42a, "");
SYMBOL_CRC(drm_aperture_remove_conflicting_pci_framebuffers, 0x7a85f591, "");
SYMBOL_CRC(__drm_crtc_commit_free, 0xae277372, "");
SYMBOL_CRC(drm_crtc_commit_wait, 0x59a2ccae, "");
SYMBOL_CRC(drm_atomic_state_default_release, 0xf6ac12a3, "");
SYMBOL_CRC(drm_atomic_state_init, 0x27add569, "");
SYMBOL_CRC(drm_atomic_state_alloc, 0x72e6cccb, "");
SYMBOL_CRC(drm_atomic_state_default_clear, 0xa2673dae, "");
SYMBOL_CRC(drm_atomic_state_clear, 0xaf827177, "");
SYMBOL_CRC(__drm_atomic_state_free, 0xb9cad492, "");
SYMBOL_CRC(drm_atomic_get_crtc_state, 0xa1aa44ce, "");
SYMBOL_CRC(drm_atomic_get_plane_state, 0xe1f7f888, "");
SYMBOL_CRC(drm_atomic_private_obj_init, 0x6e653e6d, "");
SYMBOL_CRC(drm_atomic_private_obj_fini, 0x1897d038, "");
SYMBOL_CRC(drm_atomic_get_private_obj_state, 0x5411ee8a, "");
SYMBOL_CRC(drm_atomic_get_old_private_obj_state, 0x7277ca67, "");
SYMBOL_CRC(drm_atomic_get_new_private_obj_state, 0xf3068870, "");
SYMBOL_CRC(drm_atomic_get_old_connector_for_encoder, 0x7c07d33b, "");
SYMBOL_CRC(drm_atomic_get_new_connector_for_encoder, 0xfd76912c, "");
SYMBOL_CRC(drm_atomic_get_old_crtc_for_encoder, 0xd44ebbd5, "");
SYMBOL_CRC(drm_atomic_get_new_crtc_for_encoder, 0xde1c13c7, "");
SYMBOL_CRC(drm_atomic_get_connector_state, 0xc681f5f1, "");
SYMBOL_CRC(drm_atomic_get_bridge_state, 0x03f36d69, "");
SYMBOL_CRC(drm_atomic_get_old_bridge_state, 0x5dbe70ac, "");
SYMBOL_CRC(drm_atomic_get_new_bridge_state, 0xae0d534c, "");
SYMBOL_CRC(drm_atomic_add_encoder_bridges, 0x061e27a4, "");
SYMBOL_CRC(drm_atomic_add_affected_connectors, 0xeac6fd0a, "");
SYMBOL_CRC(drm_atomic_add_affected_planes, 0x3cc8c302, "");
SYMBOL_CRC(drm_atomic_check_only, 0xe8de3bb7, "");
SYMBOL_CRC(drm_atomic_commit, 0xdd77c0f9, "");
SYMBOL_CRC(drm_atomic_nonblocking_commit, 0x7943db78, "");
SYMBOL_CRC(__drm_atomic_helper_disable_plane, 0xd117e136, "");
SYMBOL_CRC(__drm_atomic_helper_set_config, 0xda1c95c3, "");
SYMBOL_CRC(drm_atomic_print_new_state, 0x5da5a38f, "");
SYMBOL_CRC(drm_state_dump, 0x5338bd7e, "");
SYMBOL_CRC(drm_atomic_set_mode_for_crtc, 0xadb495e6, "");
SYMBOL_CRC(drm_atomic_set_mode_prop_for_crtc, 0x1bdb49a3, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_plane, 0x9e91ae4f, "");
SYMBOL_CRC(drm_atomic_set_fb_for_plane, 0xb933e464, "");
SYMBOL_CRC(drm_atomic_set_crtc_for_connector, 0x7f6ad5e7, "");
SYMBOL_CRC(drm_is_current_master, 0x28a0cddd, "");
SYMBOL_CRC(drm_master_get, 0xa06263c6, "");
SYMBOL_CRC(drm_file_get_master, 0x2aa0a661, "");
SYMBOL_CRC(drm_master_put, 0xe79bbc6d, "");
SYMBOL_CRC(drm_master_internal_acquire, 0x5893e49a, "");
SYMBOL_CRC(drm_master_internal_release, 0x643828a5, "");
SYMBOL_CRC(drm_plane_create_alpha_property, 0xaba410f2, "");
SYMBOL_CRC(drm_plane_create_rotation_property, 0x2fc354c3, "");
SYMBOL_CRC(drm_rotation_simplify, 0xdf666902, "");
SYMBOL_CRC(drm_plane_create_zpos_property, 0xb5dcf88a, "");
SYMBOL_CRC(drm_plane_create_zpos_immutable_property, 0xdad4e2ce, "");
SYMBOL_CRC(drm_atomic_normalize_zpos, 0xb877f1db, "");
SYMBOL_CRC(drm_plane_create_blend_mode_property, 0x5a27385d, "");
SYMBOL_CRC(drm_bridge_add, 0xaa64ca0d, "");
SYMBOL_CRC(devm_drm_bridge_add, 0x7b5d3c0e, "");
SYMBOL_CRC(drm_bridge_remove, 0x4d19efb0, "");
SYMBOL_CRC(drm_bridge_attach, 0x10b6cd1e, "");
SYMBOL_CRC(drm_bridge_chain_mode_valid, 0x7bd7b0c9, "");
SYMBOL_CRC(drm_bridge_chain_mode_set, 0x7a1c4186, "");
SYMBOL_CRC(drm_atomic_bridge_chain_disable, 0xd03a42a6, "");
SYMBOL_CRC(drm_atomic_bridge_chain_post_disable, 0x56edeed0, "");
SYMBOL_CRC(drm_atomic_bridge_chain_pre_enable, 0x33771139, "");
SYMBOL_CRC(drm_atomic_bridge_chain_enable, 0xec054d86, "");
SYMBOL_CRC(drm_atomic_bridge_chain_check, 0xec208e30, "");
SYMBOL_CRC(drm_bridge_detect, 0x15cfa733, "_gpl");
SYMBOL_CRC(drm_bridge_get_modes, 0x0005e508, "_gpl");
SYMBOL_CRC(drm_bridge_edid_read, 0xaec6822b, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_enable, 0xa557e55d, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_disable, 0x7c01ee5c, "_gpl");
SYMBOL_CRC(drm_bridge_hpd_notify, 0xefae7aa4, "_gpl");
SYMBOL_CRC(of_drm_find_bridge, 0x24a7c80a, "");
SYMBOL_CRC(drm_clflush_pages, 0x6bd35ec0, "");
SYMBOL_CRC(drm_clflush_sg, 0x69e1bf40, "");
SYMBOL_CRC(drm_clflush_virt_range, 0x0a72f765, "");
SYMBOL_CRC(drm_need_swiotlb, 0xb6127243, "");
SYMBOL_CRC(drm_memcpy_from_wc, 0xa38c4c94, "");
SYMBOL_CRC(drm_client_init, 0x389b46bd, "");
SYMBOL_CRC(drm_client_register, 0x6ca85736, "");
SYMBOL_CRC(drm_client_release, 0x8706ad63, "");
SYMBOL_CRC(drm_client_dev_unregister, 0x6289f11d, "");
SYMBOL_CRC(drm_client_dev_hotplug, 0xed61ac34, "");
SYMBOL_CRC(drm_client_buffer_vmap_local, 0x44d3c71e, "");
SYMBOL_CRC(drm_client_buffer_vunmap_local, 0x438d42cf, "");
SYMBOL_CRC(drm_client_buffer_vmap, 0x8167d0e9, "");
SYMBOL_CRC(drm_client_buffer_vunmap, 0xef8a6d93, "");
SYMBOL_CRC(drm_client_framebuffer_create, 0x540b0217, "");
SYMBOL_CRC(drm_client_framebuffer_delete, 0x75252c5b, "");
SYMBOL_CRC(drm_client_framebuffer_flush, 0xbca82e05, "");
SYMBOL_CRC(drm_client_modeset_probe, 0xb6bf9951, "");
SYMBOL_CRC(drm_client_rotation, 0x8836b638, "");
SYMBOL_CRC(drm_client_modeset_check, 0x4932a489, "");
SYMBOL_CRC(drm_client_modeset_commit_locked, 0x84524738, "");
SYMBOL_CRC(drm_client_modeset_commit, 0x2405de21, "");
SYMBOL_CRC(drm_client_modeset_dpms, 0xf67c3b87, "");
SYMBOL_CRC(drm_color_ctm_s31_32_to_qm_n, 0xad4e902b, "");
SYMBOL_CRC(drm_crtc_enable_color_mgmt, 0xccfb5916, "");
SYMBOL_CRC(drm_mode_crtc_set_gamma_size, 0xff36c8c1, "");
SYMBOL_CRC(drm_plane_create_color_properties, 0x9b13adc2, "");
SYMBOL_CRC(drm_color_lut_check, 0x3426b66f, "");
SYMBOL_CRC(drm_get_connector_type_name, 0xf406e46a, "");
SYMBOL_CRC(drm_connector_init, 0x5be0e92f, "");
SYMBOL_CRC(drm_connector_init_with_ddc, 0x4ac50ffe, "");
SYMBOL_CRC(drmm_connector_init, 0xa3083e09, "");
SYMBOL_CRC(drmm_connector_hdmi_init, 0x69f1bf31, "");
SYMBOL_CRC(drm_connector_attach_edid_property, 0x1827b857, "");
SYMBOL_CRC(drm_connector_attach_encoder, 0xfb766c75, "");
SYMBOL_CRC(drm_connector_has_possible_encoder, 0x05ac770e, "");
SYMBOL_CRC(drm_connector_cleanup, 0x5f0eab48, "");
SYMBOL_CRC(drm_connector_register, 0x9931210e, "");
SYMBOL_CRC(drm_connector_unregister, 0x9236c48b, "");
SYMBOL_CRC(drm_get_connector_status_name, 0x0fd60df2, "");
SYMBOL_CRC(drm_connector_list_iter_begin, 0x4f76e34a, "");
SYMBOL_CRC(drm_connector_list_iter_next, 0xb9d6a8a6, "");
SYMBOL_CRC(drm_connector_list_iter_end, 0x5d1323e5, "");
SYMBOL_CRC(drm_get_subpixel_order_name, 0x107742a9, "");
SYMBOL_CRC(drm_display_info_set_bus_formats, 0xd4099a0b, "");
SYMBOL_CRC(drm_get_tv_mode_from_name, 0xf095dc96, "");
SYMBOL_CRC(drm_hdmi_connector_get_broadcast_rgb_name, 0x4e966c75, "");
SYMBOL_CRC(drm_hdmi_connector_get_output_format_name, 0x273dc9d6, "");
SYMBOL_CRC(drm_mode_create_dvi_i_properties, 0xc6acd32b, "");
SYMBOL_CRC(drm_connector_attach_dp_subconnector_property, 0xc002b5af, "");
SYMBOL_CRC(drm_connector_attach_content_type_property, 0xf9265a50, "");
SYMBOL_CRC(drm_connector_attach_tv_margin_properties, 0xb6798cc1, "");
SYMBOL_CRC(drm_mode_create_tv_margin_properties, 0xa5c2d3e8, "");
SYMBOL_CRC(drm_mode_create_tv_properties_legacy, 0xb0edc8a1, "");
SYMBOL_CRC(drm_mode_create_tv_properties, 0x72b31996, "");
SYMBOL_CRC(drm_mode_create_scaling_mode_property, 0x974e0c1e, "");
SYMBOL_CRC(drm_connector_attach_vrr_capable_property, 0x851039b4, "");
SYMBOL_CRC(drm_connector_attach_scaling_mode_property, 0xf85f7544, "");
SYMBOL_CRC(drm_mode_create_aspect_ratio_property, 0xe075f56a, "");
SYMBOL_CRC(drm_mode_create_hdmi_colorspace_property, 0x66493340, "");
SYMBOL_CRC(drm_mode_create_dp_colorspace_property, 0xff788dde, "");
SYMBOL_CRC(drm_mode_create_content_type_property, 0x62ff4336, "");
SYMBOL_CRC(drm_mode_create_suggested_offset_properties, 0x01b2785c, "");
SYMBOL_CRC(drm_connector_set_path_property, 0x34d40ed4, "");
SYMBOL_CRC(drm_connector_set_tile_property, 0x9a9836fd, "");
SYMBOL_CRC(drm_connector_set_link_status_property, 0xac8e5f04, "");
SYMBOL_CRC(drm_connector_attach_max_bpc_property, 0x69594a32, "");
SYMBOL_CRC(drm_connector_attach_hdr_output_metadata_property, 0x393b45c4, "");
SYMBOL_CRC(drm_connector_attach_broadcast_rgb_property, 0xf456e1c3, "");
SYMBOL_CRC(drm_connector_attach_colorspace_property, 0xecbeb088, "");
SYMBOL_CRC(drm_connector_atomic_hdr_metadata_equal, 0xf36450ae, "");
SYMBOL_CRC(drm_connector_set_vrr_capable_property, 0x496918fe, "");
SYMBOL_CRC(drm_connector_set_panel_orientation, 0x8517f1e3, "");
SYMBOL_CRC(drm_connector_set_panel_orientation_with_quirk, 0xa0a4b5e7, "");
SYMBOL_CRC(drm_connector_set_orientation_from_panel, 0x5facb792, "");
SYMBOL_CRC(drm_connector_create_privacy_screen_properties, 0xbe67f88f, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_properties, 0x4280dc05, "");
SYMBOL_CRC(drm_connector_attach_privacy_screen_provider, 0x4c668678, "");
SYMBOL_CRC(drm_connector_update_privacy_screen, 0x41ad5989, "");
SYMBOL_CRC(drm_connector_oob_hotplug_event, 0xc87ce3c6, "");
SYMBOL_CRC(drm_mode_put_tile_group, 0x2d07152a, "");
SYMBOL_CRC(drm_mode_get_tile_group, 0xc8be35d4, "");
SYMBOL_CRC(drm_mode_create_tile_group, 0x6db6ac96, "");
SYMBOL_CRC(drm_crtc_from_index, 0xb89a0097, "");
SYMBOL_CRC(drm_crtc_init_with_planes, 0x57460df5, "");
SYMBOL_CRC(drmm_crtc_init_with_planes, 0xc53df0b1, "");
SYMBOL_CRC(__drmm_crtc_alloc_with_planes, 0xdaf78603, "");
SYMBOL_CRC(drm_crtc_cleanup, 0x93ba2c83, "");
SYMBOL_CRC(drm_mode_set_config_internal, 0x6501a205, "");
SYMBOL_CRC(drm_crtc_check_viewport, 0x0be5ea57, "");
SYMBOL_CRC(drm_crtc_create_scaling_filter_property, 0x35b26351, "");
SYMBOL_CRC(drm_put_dev, 0x2794c650, "");
SYMBOL_CRC(drm_dev_enter, 0x001fa868, "");
SYMBOL_CRC(drm_dev_exit, 0xe8a034df, "");
SYMBOL_CRC(drm_dev_unplug, 0xbba1f7ef, "");
SYMBOL_CRC(__devm_drm_dev_alloc, 0x1f967367, "");
SYMBOL_CRC(drm_dev_alloc, 0xa9953a14, "");
SYMBOL_CRC(drm_dev_get, 0x9fa642ed, "");
SYMBOL_CRC(drm_dev_put, 0x77e88cff, "");
SYMBOL_CRC(drm_dev_register, 0x0cc86d7b, "");
SYMBOL_CRC(drm_dev_unregister, 0xa2201d2d, "");
SYMBOL_CRC(drm_edid_header_is_valid, 0x9b9de1c1, "");
SYMBOL_CRC(drm_edid_is_valid, 0xc4200dab, "");
SYMBOL_CRC(drm_edid_valid, 0xb3750192, "");
SYMBOL_CRC(drm_edid_override_connector_update, 0x6f49e5ec, "");
SYMBOL_CRC(drm_edid_raw, 0x98fed39f, "");
SYMBOL_CRC(drm_edid_alloc, 0x79c00fa2, "");
SYMBOL_CRC(drm_edid_dup, 0xb212dc3e, "");
SYMBOL_CRC(drm_edid_free, 0x397c3d27, "");
SYMBOL_CRC(drm_probe_ddc, 0x841f053d, "");
SYMBOL_CRC(drm_get_edid, 0xa1c9cb4b, "");
SYMBOL_CRC(drm_edid_read_custom, 0xa5e0b292, "");
SYMBOL_CRC(drm_edid_read_ddc, 0x7bf0cade, "");
SYMBOL_CRC(drm_edid_read, 0xc267b87b, "");
SYMBOL_CRC(drm_edid_get_product_id, 0x38d55d21, "");
SYMBOL_CRC(drm_edid_print_product_id, 0xb2f44400, "");
SYMBOL_CRC(drm_edid_get_panel_id, 0xe75a9a81, "");
SYMBOL_CRC(drm_edid_read_base_block, 0xb1710cf0, "");
SYMBOL_CRC(drm_get_edid_switcheroo, 0x527e4f76, "");
SYMBOL_CRC(drm_edid_read_switcheroo, 0x9cd890b4, "");
SYMBOL_CRC(drm_edid_duplicate, 0x5f7137ba, "");
SYMBOL_CRC(drm_mode_find_dmt, 0xcb4dc972, "");
SYMBOL_CRC(drm_match_cea_mode, 0x9b285573, "");
SYMBOL_CRC(drm_display_mode_from_cea_vic, 0x280572ff, "");
SYMBOL_CRC(drm_edid_match, 0x05eb4392, "");
SYMBOL_CRC(drm_edid_get_monitor_name, 0x5e5128bf, "");
SYMBOL_CRC(drm_edid_to_sad, 0x4124e206, "");
SYMBOL_CRC(drm_edid_to_speaker_allocation, 0x47e22e1f, "");
SYMBOL_CRC(drm_av_sync_delay, 0x7c7bbf88, "");
SYMBOL_CRC(drm_detect_hdmi_monitor, 0xa44eb44e, "");
SYMBOL_CRC(drm_detect_monitor_audio, 0xe4116245, "");
SYMBOL_CRC(drm_default_rgb_quant_range, 0x65702bd6, "");
SYMBOL_CRC(drm_edid_connector_update, 0xf9a55ac1, "");
SYMBOL_CRC(drm_edid_connector_add_modes, 0x079cd519, "");
SYMBOL_CRC(drm_connector_update_edid_property, 0xd17d14ab, "");
SYMBOL_CRC(drm_add_edid_modes, 0x74fd23ac, "");
SYMBOL_CRC(drm_add_modes_noedid, 0x39372d69, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_from_display_mode, 0x6a3a728c, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_quant_range, 0xa2a76fdd, "");
SYMBOL_CRC(drm_hdmi_vendor_infoframe_from_display_mode, 0x93b81be2, "");
SYMBOL_CRC(drm_edid_is_digital, 0xc518d486, "");
SYMBOL_CRC(drm_eld_sad_get, 0xe8fa400a, "");
SYMBOL_CRC(drm_eld_sad_set, 0xc53a8214, "");
SYMBOL_CRC(drm_encoder_init, 0x1a3d610c, "");
SYMBOL_CRC(drm_encoder_cleanup, 0x8fcf1393, "");
SYMBOL_CRC(__drmm_encoder_alloc, 0x373b568b, "");
SYMBOL_CRC(drmm_encoder_init, 0x1100f462, "");
SYMBOL_CRC(drm_open, 0x7d97fbbd, "");
SYMBOL_CRC(drm_release, 0xca84af16, "");
SYMBOL_CRC(drm_release_noglobal, 0x58d53753, "");
SYMBOL_CRC(drm_read, 0x6f276187, "");
SYMBOL_CRC(drm_poll, 0x39f61fff, "");
SYMBOL_CRC(drm_event_reserve_init_locked, 0x9f813fa0, "");
SYMBOL_CRC(drm_event_reserve_init, 0xd473589a, "");
SYMBOL_CRC(drm_event_cancel_free, 0xd7a44ca9, "");
SYMBOL_CRC(drm_send_event_timestamp_locked, 0x970af556, "");
SYMBOL_CRC(drm_send_event_locked, 0xf0d11a91, "");
SYMBOL_CRC(drm_send_event, 0x323cf26d, "");
SYMBOL_CRC(drm_print_memory_stats, 0x9bfc9dc7, "");
SYMBOL_CRC(drm_show_memory_stats, 0x25dc9a14, "");
SYMBOL_CRC(drm_show_fdinfo, 0xff65e55e, "");
SYMBOL_CRC(mock_drm_getfile, 0x34e431dc, "");
SYMBOL_CRC(drm_mode_legacy_fb_format, 0x29f078d1, "");
SYMBOL_CRC(drm_driver_legacy_fb_format, 0x378e779f, "");
SYMBOL_CRC(drm_format_info, 0x55eb38da, "");
SYMBOL_CRC(drm_get_format_info, 0x5ad50915, "");
SYMBOL_CRC(drm_format_info_block_width, 0x74fc6fbd, "");
SYMBOL_CRC(drm_format_info_block_height, 0x982d09b3, "");
SYMBOL_CRC(drm_format_info_bpp, 0xe633a4cd, "");
SYMBOL_CRC(drm_format_info_min_pitch, 0x6910e4cd, "");
SYMBOL_CRC(drm_internal_framebuffer_create, 0x286d0dbe, "");
SYMBOL_CRC(drm_framebuffer_init, 0x6b555671, "");
SYMBOL_CRC(drm_framebuffer_lookup, 0xb8d0d174, "");
SYMBOL_CRC(drm_framebuffer_unregister_private, 0xff23a514, "");
SYMBOL_CRC(drm_framebuffer_cleanup, 0x87159cc8, "");
SYMBOL_CRC(drm_framebuffer_remove, 0x194b513b, "");
SYMBOL_CRC(drm_gem_object_init, 0xf89cd7d8, "");
SYMBOL_CRC(drm_gem_private_object_init, 0x818378a4, "");
SYMBOL_CRC(drm_gem_private_object_fini, 0x421f2ae3, "");
SYMBOL_CRC(drm_gem_handle_delete, 0x222fdc5e, "");
SYMBOL_CRC(drm_gem_dumb_map_offset, 0x4ea45aff, "_gpl");
SYMBOL_CRC(drm_gem_handle_create, 0x731cf6ec, "");
SYMBOL_CRC(drm_gem_free_mmap_offset, 0x90c86843, "");
SYMBOL_CRC(drm_gem_create_mmap_offset_size, 0x9e3b41fb, "");
SYMBOL_CRC(drm_gem_create_mmap_offset, 0x73fb1735, "");
SYMBOL_CRC(drm_gem_get_pages, 0xcec47bd4, "");
SYMBOL_CRC(drm_gem_put_pages, 0xd642600b, "");
SYMBOL_CRC(drm_gem_objects_lookup, 0x98beebfd, "");
SYMBOL_CRC(drm_gem_object_lookup, 0xd5d335e3, "");
SYMBOL_CRC(drm_gem_dma_resv_wait, 0x21f13ef2, "");
SYMBOL_CRC(drm_gem_object_release, 0xaa7efcc3, "");
SYMBOL_CRC(drm_gem_object_free, 0xd680a377, "");
SYMBOL_CRC(drm_gem_vm_open, 0xb5b182a0, "");
SYMBOL_CRC(drm_gem_vm_close, 0xeb5e4556, "");
SYMBOL_CRC(drm_gem_mmap_obj, 0x1074fc73, "");
SYMBOL_CRC(drm_gem_mmap, 0x303c3922, "");
SYMBOL_CRC(drm_gem_vmap, 0x669f1ac7, "");
SYMBOL_CRC(drm_gem_vunmap, 0x22d43b7e, "");
SYMBOL_CRC(drm_gem_lock, 0x6c28e9a9, "");
SYMBOL_CRC(drm_gem_unlock, 0x9b3b1670, "");
SYMBOL_CRC(drm_gem_vmap_unlocked, 0x91fe9ea6, "");
SYMBOL_CRC(drm_gem_vunmap_unlocked, 0x9220e351, "");
SYMBOL_CRC(drm_gem_lock_reservations, 0xf20decf5, "");
SYMBOL_CRC(drm_gem_unlock_reservations, 0x67da61f8, "");
SYMBOL_CRC(drm_gem_lru_init, 0xe60e35d5, "");
SYMBOL_CRC(drm_gem_lru_remove, 0x0670af0b, "");
SYMBOL_CRC(drm_gem_lru_move_tail_locked, 0x12f912bf, "");
SYMBOL_CRC(drm_gem_lru_move_tail, 0xe72a4a71, "");
SYMBOL_CRC(drm_gem_lru_scan, 0x2e7fa13e, "");
SYMBOL_CRC(drm_gem_evict, 0x0cd5c764, "");
SYMBOL_CRC(drm_noop, 0x8856cfe2, "");
SYMBOL_CRC(drm_invalid_op, 0xa8bb76ab, "");
SYMBOL_CRC(drm_ioctl_kernel, 0x2f7a158a, "");
SYMBOL_CRC(drm_ioctl, 0x324dd405, "");
SYMBOL_CRC(drm_ioctl_flags, 0x57b6efe3, "");
SYMBOL_CRC(__drmm_add_action, 0xf1f79dca, "");
SYMBOL_CRC(__drmm_add_action_or_reset, 0x1a986ddb, "");
SYMBOL_CRC(drmm_release_action, 0x8bb894b5, "");
SYMBOL_CRC(drmm_kmalloc, 0x94646c08, "");
SYMBOL_CRC(drmm_kstrdup, 0x6e8ddcaf, "_gpl");
SYMBOL_CRC(drmm_kfree, 0xa6360330, "");
SYMBOL_CRC(__drmm_mutex_release, 0xfdab618b, "");
SYMBOL_CRC(__drm_mm_interval_first, 0x25daad93, "");
SYMBOL_CRC(drm_mm_reserve_node, 0x2754dad8, "");
SYMBOL_CRC(drm_mm_insert_node_in_range, 0xb4032484, "");
SYMBOL_CRC(drm_mm_remove_node, 0x4b7ebf95, "");
SYMBOL_CRC(drm_mm_scan_init_with_range, 0x2a962499, "");
SYMBOL_CRC(drm_mm_scan_add_block, 0x2183c08c, "");
SYMBOL_CRC(drm_mm_scan_remove_block, 0x5f7985a5, "");
SYMBOL_CRC(drm_mm_scan_color_evict, 0xdf3f760d, "");
SYMBOL_CRC(drm_mm_init, 0xf0517d7a, "");
SYMBOL_CRC(drm_mm_takedown, 0x57698a50, "");
SYMBOL_CRC(drm_mm_print, 0x384b280d, "");
SYMBOL_CRC(drm_mode_config_reset, 0x3e024f31, "");
SYMBOL_CRC(drmm_mode_config_init, 0x462258cd, "");
SYMBOL_CRC(drm_mode_config_cleanup, 0xa6077520, "");
SYMBOL_CRC(drm_mode_object_find, 0x17d116f3, "");
SYMBOL_CRC(drm_mode_object_put, 0x3271d7b8, "");
SYMBOL_CRC(drm_mode_object_get, 0xd93e6d38, "");
SYMBOL_CRC(drm_object_attach_property, 0x318e5e30, "");
SYMBOL_CRC(drm_object_property_set_value, 0x8caec38e, "");
SYMBOL_CRC(drm_object_property_get_value, 0xc8df0abd, "");
SYMBOL_CRC(drm_object_property_get_default_value, 0x2ca822b3, "");
SYMBOL_CRC(drm_mode_obj_find_prop_id, 0x86b36709, "");
SYMBOL_CRC(drm_mode_debug_printmodeline, 0x2ed3c600, "");
SYMBOL_CRC(drm_mode_create, 0x02eb547d, "");
SYMBOL_CRC(drm_mode_destroy, 0x9c4a4eb6, "");
SYMBOL_CRC(drm_mode_probed_add, 0x59c7249a, "");
SYMBOL_CRC(drm_analog_tv_mode, 0x80b2b242, "");
SYMBOL_CRC(drm_cvt_mode, 0xff791e62, "");
SYMBOL_CRC(drm_gtf_mode_complex, 0xb43df048, "");
SYMBOL_CRC(drm_gtf_mode, 0xce20b6bd, "");
SYMBOL_CRC(drm_mode_set_name, 0x4a35d30d, "");
SYMBOL_CRC(drm_mode_vrefresh, 0xf1b5340a, "");
SYMBOL_CRC(drm_mode_get_hv_timing, 0x4403a9c3, "");
SYMBOL_CRC(drm_mode_set_crtcinfo, 0x4575a0ca, "");
SYMBOL_CRC(drm_mode_copy, 0x9ce050be, "");
SYMBOL_CRC(drm_mode_init, 0xcdb99cc9, "");
SYMBOL_CRC(drm_mode_duplicate, 0xb443961b, "");
SYMBOL_CRC(drm_mode_match, 0x9b95c885, "");
SYMBOL_CRC(drm_mode_equal, 0x0d9b4753, "");
SYMBOL_CRC(drm_mode_equal_no_clocks, 0x3ab87110, "");
SYMBOL_CRC(drm_mode_equal_no_clocks_no_stereo, 0x24d124ac, "");
SYMBOL_CRC(drm_mode_validate_driver, 0x94a40030, "");
SYMBOL_CRC(drm_mode_validate_size, 0xd7a9cf42, "");
SYMBOL_CRC(drm_mode_validate_ycbcr420, 0x5b308b9c, "");
SYMBOL_CRC(drm_mode_prune_invalid, 0x72454363, "");
SYMBOL_CRC(drm_mode_sort, 0xf1421d13, "");
SYMBOL_CRC(drm_connector_list_update, 0x74bd8501, "");
SYMBOL_CRC(drm_mode_parse_command_line_for_connector, 0x33e42ad0, "");
SYMBOL_CRC(drm_mode_create_from_cmdline_mode, 0xc8aceb14, "");
SYMBOL_CRC(drm_mode_is_420_only, 0xe7a9ecea, "");
SYMBOL_CRC(drm_mode_is_420_also, 0xace169b3, "");
SYMBOL_CRC(drm_mode_is_420, 0x784d6883, "");
SYMBOL_CRC(drm_set_preferred_mode, 0x2565cdb2, "");
SYMBOL_CRC(drm_modeset_lock_all, 0xe3528b0e, "");
SYMBOL_CRC(drm_modeset_unlock_all, 0x932f3854, "");
SYMBOL_CRC(drm_warn_on_modeset_not_all_locked, 0xb89a6c7d, "");
SYMBOL_CRC(drm_modeset_acquire_init, 0x30d66283, "");
SYMBOL_CRC(drm_modeset_acquire_fini, 0x015131af, "");
SYMBOL_CRC(drm_modeset_drop_locks, 0x1e9ebaea, "");
SYMBOL_CRC(drm_modeset_backoff, 0xd5e2d89b, "");
SYMBOL_CRC(drm_modeset_lock_init, 0x43e8642e, "");
SYMBOL_CRC(drm_modeset_lock, 0x03d8bdce, "");
SYMBOL_CRC(drm_modeset_lock_single_interruptible, 0x216af94a, "");
SYMBOL_CRC(drm_modeset_unlock, 0x8d8f5497, "");
SYMBOL_CRC(drm_modeset_lock_all_ctx, 0x956aadf6, "");
SYMBOL_CRC(drm_universal_plane_init, 0x3af6e1aa, "");
SYMBOL_CRC(__drmm_universal_plane_alloc, 0x49a22373, "");
SYMBOL_CRC(__drm_universal_plane_alloc, 0xe2e34179, "");
SYMBOL_CRC(drm_plane_cleanup, 0x945382a2, "");
SYMBOL_CRC(drm_plane_from_index, 0xb8675f58, "");
SYMBOL_CRC(drm_plane_force_disable, 0xe461a653, "");
SYMBOL_CRC(drm_mode_plane_set_obj_prop, 0x14672b01, "");
SYMBOL_CRC(drm_plane_has_format, 0x8dfc91ea, "");
SYMBOL_CRC(drm_any_plane_has_format, 0xe334c405, "");
SYMBOL_CRC(drm_plane_enable_fb_damage_clips, 0xda9488c9, "");
SYMBOL_CRC(drm_plane_get_damage_clips_count, 0x506748ca, "");
SYMBOL_CRC(drm_plane_get_damage_clips, 0x69516e1e, "");
SYMBOL_CRC(drm_plane_create_scaling_filter_property, 0xeb38a267, "");
SYMBOL_CRC(drm_plane_add_size_hints_property, 0xa8bf4ec0, "");
SYMBOL_CRC(drm_gem_dmabuf_export, 0x745c555c, "");
SYMBOL_CRC(drm_gem_dmabuf_release, 0x40e20ac3, "");
SYMBOL_CRC(drm_gem_prime_fd_to_handle, 0x4d2ff5c7, "");
SYMBOL_CRC(drm_gem_prime_handle_to_dmabuf, 0x924ad657, "");
SYMBOL_CRC(drm_gem_prime_handle_to_fd, 0x93bc5692, "");
SYMBOL_CRC(drm_gem_map_attach, 0x31695bf1, "");
SYMBOL_CRC(drm_gem_map_detach, 0xd49376f7, "");
SYMBOL_CRC(drm_gem_map_dma_buf, 0x74ced42b, "");
SYMBOL_CRC(drm_gem_unmap_dma_buf, 0x140e0ee4, "");
SYMBOL_CRC(drm_gem_dmabuf_vmap, 0x0b061cdf, "");
SYMBOL_CRC(drm_gem_dmabuf_vunmap, 0x48235e42, "");
SYMBOL_CRC(drm_gem_prime_mmap, 0x2c68fa1a, "");
SYMBOL_CRC(drm_gem_dmabuf_mmap, 0xf2a5ad23, "");
SYMBOL_CRC(drm_prime_pages_to_sg, 0x9a8b233d, "");
SYMBOL_CRC(drm_prime_get_contiguous_size, 0xdad9c8b1, "");
SYMBOL_CRC(drm_gem_prime_export, 0xb630f7f5, "");
SYMBOL_CRC(drm_gem_prime_import_dev, 0xc624ff94, "");
SYMBOL_CRC(drm_gem_prime_import, 0x125e9876, "");
SYMBOL_CRC(drm_prime_sg_to_page_array, 0x669a1dd7, "");
SYMBOL_CRC(drm_prime_sg_to_dma_addr_array, 0x4e2a621e, "");
SYMBOL_CRC(drm_prime_gem_destroy, 0x64e3121e, "");
SYMBOL_CRC(__drm_debug, 0x69353664, "");
SYMBOL_CRC(__drm_puts_coredump, 0xc9f4f448, "");
SYMBOL_CRC(__drm_printfn_coredump, 0x95bf149b, "");
SYMBOL_CRC(__drm_puts_seq_file, 0x25b1a326, "");
SYMBOL_CRC(__drm_printfn_seq_file, 0x2140e8a1, "");
SYMBOL_CRC(__drm_printfn_info, 0x4488028a, "");
SYMBOL_CRC(__drm_printfn_dbg, 0x5fafb06f, "");
SYMBOL_CRC(__drm_printfn_err, 0x51a893c2, "");
SYMBOL_CRC(drm_puts, 0x4925085d, "");
SYMBOL_CRC(drm_printf, 0xbc0d826d, "");
SYMBOL_CRC(drm_print_bits, 0x1a01342e, "");
SYMBOL_CRC(drm_dev_printk, 0x353528bf, "");
SYMBOL_CRC(__drm_dev_dbg, 0xbe21c0fd, "");
SYMBOL_CRC(__drm_err, 0xb11ac7a7, "");
SYMBOL_CRC(drm_print_regset32, 0xec741399, "");
SYMBOL_CRC(drm_property_create, 0xa720a28a, "");
SYMBOL_CRC(drm_property_create_enum, 0x8b2a8ec9, "");
SYMBOL_CRC(drm_property_create_bitmask, 0x9dfcbf21, "");
SYMBOL_CRC(drm_property_create_range, 0x0c48cb41, "");
SYMBOL_CRC(drm_property_create_signed_range, 0xb3c34ced, "");
SYMBOL_CRC(drm_property_create_object, 0x086766fa, "");
SYMBOL_CRC(drm_property_create_bool, 0x84e2191a, "");
SYMBOL_CRC(drm_property_add_enum, 0xdf224814, "");
SYMBOL_CRC(drm_property_destroy, 0x5667084e, "");
SYMBOL_CRC(drm_property_create_blob, 0x1c76f4c4, "");
SYMBOL_CRC(drm_property_blob_put, 0x4415c3fa, "");
SYMBOL_CRC(drm_property_blob_get, 0x1d05d900, "");
SYMBOL_CRC(drm_property_lookup_blob, 0xed14dbe6, "");
SYMBOL_CRC(drm_property_replace_global_blob, 0xa0d13d1a, "");
SYMBOL_CRC(drm_property_replace_blob, 0xc1e7b6b0, "");
SYMBOL_CRC(drm_property_replace_blob_from_id, 0xaecd4a1c, "");
SYMBOL_CRC(drm_syncobj_find, 0xcbb7a738, "");
SYMBOL_CRC(drm_syncobj_add_point, 0x45deb6b2, "");
SYMBOL_CRC(drm_syncobj_replace_fence, 0x5e625630, "");
SYMBOL_CRC(drm_syncobj_find_fence, 0xffbcdb09, "");
SYMBOL_CRC(drm_syncobj_free, 0x1a411479, "");
SYMBOL_CRC(drm_syncobj_create, 0xa7c4ad4a, "");
SYMBOL_CRC(drm_syncobj_get_handle, 0x3d5c9035, "");
SYMBOL_CRC(drm_syncobj_get_fd, 0xe60a399e, "");
SYMBOL_CRC(drm_timeout_abs_to_jiffies, 0x50674de7, "");
SYMBOL_CRC(drm_sysfs_hotplug_event, 0x1ea1bbf5, "");
SYMBOL_CRC(drm_sysfs_connector_hotplug_event, 0xbfd629fd, "");
SYMBOL_CRC(drm_sysfs_connector_property_event, 0x5086556f, "");
SYMBOL_CRC(drm_class_device_register, 0x5635539f, "_gpl");
SYMBOL_CRC(drm_class_device_unregister, 0xd2e5080d, "_gpl");
SYMBOL_CRC(drm_crtc_vblank_crtc, 0x547da537, "");
SYMBOL_CRC(drm_crtc_accurate_vblank_count, 0x59818607, "");
SYMBOL_CRC(drm_vblank_init, 0x6af297af, "");
SYMBOL_CRC(drm_dev_has_vblank, 0xd262e0b7, "");
SYMBOL_CRC(drm_crtc_vblank_waitqueue, 0xd37ddeb0, "");
SYMBOL_CRC(drm_calc_timestamping_constants, 0xce07e453, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp_internal, 0x55ddeb26, "");
SYMBOL_CRC(drm_crtc_vblank_helper_get_vblank_timestamp, 0xef3f9ad9, "");
SYMBOL_CRC(drm_crtc_vblank_count, 0x12bc42d3, "");
SYMBOL_CRC(drm_crtc_vblank_count_and_time, 0x8aafc199, "");
SYMBOL_CRC(drm_crtc_next_vblank_start, 0x7d997215, "");
SYMBOL_CRC(drm_crtc_arm_vblank_event, 0x7c099e67, "");
SYMBOL_CRC(drm_crtc_send_vblank_event, 0x1bfcb2fc, "");
SYMBOL_CRC(drm_crtc_vblank_get, 0x7c12add6, "");
SYMBOL_CRC(drm_crtc_vblank_put, 0x9a9efb2c, "");
SYMBOL_CRC(drm_wait_one_vblank, 0x50850dd4, "");
SYMBOL_CRC(drm_crtc_wait_one_vblank, 0xe8eed412, "");
SYMBOL_CRC(drm_crtc_vblank_off, 0x28eb7730, "");
SYMBOL_CRC(drm_crtc_vblank_reset, 0x7114b0e0, "");
SYMBOL_CRC(drm_crtc_set_max_vblank_count, 0x45437f8a, "");
SYMBOL_CRC(drm_crtc_vblank_on_config, 0xae7e1170, "");
SYMBOL_CRC(drm_crtc_vblank_on, 0xf91583f5, "");
SYMBOL_CRC(drm_crtc_vblank_restore, 0xbc046069, "");
SYMBOL_CRC(drm_handle_vblank, 0xe5caea21, "");
SYMBOL_CRC(drm_crtc_handle_vblank, 0x75f26ff6, "");
SYMBOL_CRC(drm_vblank_work_schedule, 0x3dd41bd2, "");
SYMBOL_CRC(drm_vblank_work_cancel_sync, 0x48584d7a, "");
SYMBOL_CRC(drm_vblank_work_flush, 0xd3ce59fe, "");
SYMBOL_CRC(drm_vblank_work_flush_all, 0x8146337b, "");
SYMBOL_CRC(drm_vblank_work_init, 0x88265d64, "");
SYMBOL_CRC(drm_vma_offset_manager_init, 0x0b19b675, "");
SYMBOL_CRC(drm_vma_offset_manager_destroy, 0xc2f15369, "");
SYMBOL_CRC(drm_vma_offset_lookup_locked, 0x2ccea029, "");
SYMBOL_CRC(drm_vma_offset_add, 0xa9a2da33, "");
SYMBOL_CRC(drm_vma_offset_remove, 0x2d937949, "");
SYMBOL_CRC(drm_vma_node_allow, 0xe4034ce5, "");
SYMBOL_CRC(drm_vma_node_allow_once, 0x0e242e79, "");
SYMBOL_CRC(drm_vma_node_revoke, 0xddd4f745, "");
SYMBOL_CRC(drm_vma_node_is_allowed, 0x497cfca1, "");
SYMBOL_CRC(drm_writeback_connector_init, 0xcb2860a2, "");
SYMBOL_CRC(drm_writeback_connector_init_with_encoder, 0x161eb742, "");
SYMBOL_CRC(drm_writeback_prepare_job, 0x7b4fc149, "");
SYMBOL_CRC(drm_writeback_queue_job, 0x34d780d0, "");
SYMBOL_CRC(drm_writeback_cleanup_job, 0x4e725ba6, "");
SYMBOL_CRC(drm_writeback_signal_completion, 0x7d735dd5, "");
SYMBOL_CRC(drm_writeback_get_out_fence, 0x38b7cbbe, "");
SYMBOL_CRC(drm_prandom_u32_max_state, 0xd392c35c, "");
SYMBOL_CRC(drm_random_reorder, 0x1ce755b6, "");
SYMBOL_CRC(drm_random_order, 0xd5164270, "");
SYMBOL_CRC(drm_panel_init, 0x1f9568d7, "");
SYMBOL_CRC(drm_panel_add, 0x7606158d, "");
SYMBOL_CRC(drm_panel_remove, 0x34dd524b, "");
SYMBOL_CRC(drm_panel_prepare, 0x3b55ca54, "");
SYMBOL_CRC(drm_panel_unprepare, 0x77da41b6, "");
SYMBOL_CRC(drm_panel_enable, 0x55a8ce58, "");
SYMBOL_CRC(drm_panel_disable, 0x22b12612, "");
SYMBOL_CRC(drm_panel_get_modes, 0x2111ad13, "");
SYMBOL_CRC(of_drm_find_panel, 0x35eb137a, "");
SYMBOL_CRC(of_drm_get_panel_orientation, 0x48502f1d, "");
SYMBOL_CRC(drm_is_panel_follower, 0x074fcfe3, "");
SYMBOL_CRC(drm_panel_add_follower, 0x8279bac2, "");
SYMBOL_CRC(drm_panel_remove_follower, 0x9d7cd891, "");
SYMBOL_CRC(devm_drm_panel_add_follower, 0x55c47fcf, "");
SYMBOL_CRC(drm_panel_of_backlight, 0x23d9d7d3, "");
SYMBOL_CRC(drm_of_crtc_port_mask, 0x0802ae64, "");
SYMBOL_CRC(drm_of_find_possible_crtcs, 0xa948e9de, "");
SYMBOL_CRC(drm_of_component_match_add, 0xb5c1bcd3, "_gpl");
SYMBOL_CRC(drm_of_component_probe, 0xba5e68a4, "");
SYMBOL_CRC(drm_of_encoder_active_endpoint, 0x596c5934, "_gpl");
SYMBOL_CRC(drm_of_find_panel_or_bridge, 0x0f24d344, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_dual_link_pixel_order, 0xeda0069c, "_gpl");
SYMBOL_CRC(drm_of_lvds_get_data_mapping, 0x0ec0028e, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count, 0xcbd1e4ec, "_gpl");
SYMBOL_CRC(drm_of_get_data_lanes_count_ep, 0xb566891f, "_gpl");
SYMBOL_CRC(drm_of_get_dsi_bus, 0x0cddd928, "_gpl");
SYMBOL_CRC(drm_debugfs_gpuva_info, 0xb727f1e5, "");
SYMBOL_CRC(drm_debugfs_create_files, 0xd759ca3a, "");
SYMBOL_CRC(drm_debugfs_remove_files, 0x8dbc2990, "");
SYMBOL_CRC(drm_debugfs_add_file, 0x70c788fc, "");
SYMBOL_CRC(drm_debugfs_add_files, 0x2888fd18, "");
SYMBOL_CRC(drm_crtc_add_crc_entry, 0x5a099351, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x27e178fa, "ida_alloc_range" },
	{ 0xa12162ef, "try_module_get" },
	{ 0xb26a71e5, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbceedd68, "ww_mutex_lock_interruptible" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa68c9fae, "alloc_anon_inode" },
	{ 0x83c39c7e, "show_class_attr_string" },
	{ 0x1332ea7d, "kthread_cancel_work_sync" },
	{ 0x46dd8487, "is_acpi_device_node" },
	{ 0x4e329763, "kthread_create_worker" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x73e46e94, "kthread_flush_work" },
	{ 0xcfc32941, "bpf_trace_run4" },
	{ 0x84e0d6a8, "ida_destroy" },
	{ 0x1c4ecf38, "idr_find" },
	{ 0x76252665, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x59f2edda, "of_property_read_variable_u32_array" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x485dd47, "shmem_read_folio_gfp" },
	{ 0xe336f928, "__folio_batch_release" },
	{ 0xf70962d0, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x84a63b30, "component_master_add_with_match" },
	{ 0xe397caf5, "seq_buf_printf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6375aec2, "trace_raw_output_prep" },
	{ 0x5c172fdd, "dma_resv_init" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xbf4f5b6e, "dma_resv_wait_timeout" },
	{ 0x20f64cd4, "device_unregister" },
	{ 0xb8c8cd68, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x41ac1f7e, "kthread_flush_worker" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x4b306dbe, "finish_wait" },
	{ 0x6749d53f, "hdmi_vendor_infoframe_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x30fe9f6c, "request_firmware" },
	{ 0x1b106254, "class_destroy" },
	{ 0x9194764a, "trace_event_printf" },
	{ 0xa013ca03, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0xc5bd66f6, "idr_replace" },
	{ 0x35e3665e, "ww_mutex_unlock" },
	{ 0x8a2fb383, "device_initialize" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0xfe038961, "fd_install" },
	{ 0x24dcd4f, "dma_fence_chain_ops" },
	{ 0xd2498110, "of_graph_parse_endpoint" },
	{ 0x53428e3b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x85581bac, "component_del" },
	{ 0xf427e746, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x3e8e5a8c, "iput" },
	{ 0x73b63f55, "seq_lseek" },
	{ 0x2b46d815, "of_graph_get_remote_port_parent" },
	{ 0xc5583a33, "prepare_to_wait_event" },
	{ 0xd75a5420, "of_graph_get_remote_port" },
	{ 0xb8e4c5de, "dma_buf_unmap_attachment_unlocked" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xdde3232f, "event_triggers_call" },
	{ 0xbb480c17, "__wake_up" },
	{ 0x2fd03718, "dma_fence_add_callback" },
	{ 0x8be0a8c3, "synchronize_srcu" },
	{ 0x7cbed196, "dma_fence_set_deadline" },
	{ 0x73d1ed90, "get_device" },
	{ 0xc58e8b8d, "dma_buf_attach" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2813c1d9, "class_create_file_ns" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5e0fcdf4, "of_graph_get_endpoint_by_regs" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xfbb55662, "wake_up_process" },
	{ 0x735c143c, "dev_driver_string" },
	{ 0x38f011b1, "dma_buf_map_attachment_unlocked" },
	{ 0xb213e00b, "trace_event_buffer_commit" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x418a7e13, "ww_mutex_trylock" },
	{ 0x3c2081b9, "register_acpi_bus_type" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x57353ea1, "devm_of_find_backlight" },
	{ 0xafe56e99, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xb94bf194, "dma_max_mapping_size" },
	{ 0xe325d3e7, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xdbb59025, "trace_event_ignore_this_pid" },
	{ 0xb1cc9cc6, "dma_buf_export" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xee0118df, "aperture_remove_conflicting_devices" },
	{ 0x36f28f96, "kthread_queue_work" },
	{ 0xcb4e8647, "idr_get_next" },
	{ 0x22c45dd3, "dma_fence_remove_callback" },
	{ 0x90f4c888, "rt_write_unlock" },
	{ 0x741ef8c0, "_dev_info" },
	{ 0xd655630b, "folio_mark_dirty" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeb52fa64, "atomic_dec_and_mutex_lock" },
	{ 0x4b38d6b7, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3a576945, "sysfs_create_link" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x88e3e1c, "idr_remove" },
	{ 0x1f92f67e, "dma_fence_chain_walk" },
	{ 0xa581bad2, "debugfs_lookup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x496cf521, "__task_pid_nr_ns" },
	{ 0xaec714de, "kobject_uevent_env" },
	{ 0x4ea5d10, "ksize" },
	{ 0x7246708c, "__xa_alloc" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xa044fd7b, "shmem_file_setup" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6775939f, "dma_fence_get_stub" },
	{ 0x2e439142, "drm_get_panel_orientation_quirk" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd2a13aa4, "perf_trace_run_bpf_submit" },
	{ 0x5736d245, "fput" },
	{ 0x17e2cc26, "down_write" },
	{ 0xf12ee599, "_dev_err" },
	{ 0xe547e4fc, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x148bae46, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xc19a9e4c, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4f761646, "__of_parse_phandle_with_args" },
	{ 0x62dabca5, "sysfs_remove_link" },
	{ 0xacf09f4b, "idr_alloc" },
	{ 0x43c8cbf6, "pid_task" },
	{ 0x3d305b6, "__srcu_read_lock" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x7d146cb3, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5d68d448, "xa_load" },
	{ 0xfcdedb64, "noop_llseek" },
	{ 0x30aa12c1, "dma_fence_signal" },
	{ 0xf2135434, "folio_mark_accessed" },
	{ 0x978c4d9e, "dma_resv_fini" },
	{ 0xef3aaac7, "class_create" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7ef4bddc, "__sg_page_iter_next" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x4cc1ae1, "dma_buf_get" },
	{ 0x9dc850f7, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x5415faf4, "aperture_remove_conflicting_pci_devices" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x337f8655, "ww_mutex_lock" },
	{ 0x59e6838b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x2cc9212b, "of_property_count_elems_of_size" },
	{ 0x81afb6d, "dma_buf_put" },
	{ 0x3751d750, "ida_free" },
	{ 0x3de73801, "of_property_read_string" },
	{ 0x751862bf, "of_find_property" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6a88089c, "of_graph_get_next_endpoint" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xa9e1a5f8, "of_device_is_available" },
	{ 0xf02a6a7f, "dma_fence_init" },
	{ 0x1116bc74, "mutex_lock_interruptible" },
	{ 0xd5ce8a0c, "of_graph_get_remote_node" },
	{ 0x11089ac7, "_ctype" },
	{ 0x20474d23, "device_register" },
	{ 0x31d965f1, "device_del" },
	{ 0x8e4a6d20, "idr_destroy" },
	{ 0xc5be1f71, "sg_alloc_table_from_pages_segment" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0x31ce226f, "_dev_warn" },
	{ 0x6b1958fa, "unregister_acpi_bus_type" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xedd943bf, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9cb2ac27, "component_release_of" },
	{ 0xc8ce0d0e, "devm_aperture_acquire_for_platform_device" },
	{ 0x203c6fc1, "init_pseudo" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x49101b6f, "xa_erase" },
	{ 0xa75ad565, "check_move_unevictable_folios" },
	{ 0x62cb49b2, "bpf_trace_run3" },
	{ 0xb62a9b1e, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4eb2b066, "hdmi_avi_infoframe_init" },
	{ 0x5106ece2, "idr_for_each" },
	{ 0xbe3c2eb6, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc0327b79, "debugfs_create_file" },
	{ 0x2784247b, "trace_event_buffer_reserve" },
	{ 0x1e9536dd, "of_find_mipi_dsi_host_by_node" },
	{ 0x675b2e, "dma_map_sgtable" },
	{ 0x6399742c, "kthread_destroy_worker" },
	{ 0x1d02859, "component_match_add_release" },
	{ 0x85df9b6c, "strsep" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xc7e99363, "__dma_fence_unwrap_merge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa6457c89, "hdmi_infoframe_pack" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x1a46671f, "dentry_open" },
	{ 0xe091c977, "list_sort" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8025a83c, "__register_chrdev" },
	{ 0x562dc30, "__sg_page_iter_start" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x73d88c9e, "seq_write" },
	{ 0x4a1d81bd, "rt_read_unlock" },
	{ 0x7a239bfd, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3e78390f, "radix_tree_tagged" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x774d1720, "seq_printf" },
	{ 0xa50f1545, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x837014d7, "__rt_mutex_init" },
	{ 0x99aec0ee, "__srcu_read_unlock" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9cf2a52f, "rt_write_lock" },
	{ 0x3dee3e0b, "i2c_transfer" },
	{ 0xfa339907, "dma_fence_allocate_private_stub" },
	{ 0x97219c31, "dma_buf_detach" },
	{ 0x1c8bb454, "dma_fence_signal_timestamp" },
	{ 0xbc1d14af, "dma_fence_chain_init" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xe227d033, "seq_puts" },
	{ 0xc0c39ab6, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb07aebe0, "dev_printk" },
	{ 0x3839cce3, "pid_vnr" },
	{ 0xeb8f782e, "sched_set_fifo" },
	{ 0xfc64cacc, "of_node_name_eq" },
	{ 0x2bb1f420, "simple_release_fs" },
	{ 0x188c0d9, "dev_err_probe" },
	{ 0xd9472955, "dma_unmap_sg_attrs" },
	{ 0xc780c995, "kill_anon_super" },
	{ 0x8191825d, "from_kuid_munged" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x450f8a22, "__devm_add_action" },
	{ 0xe270e9ec, "component_add" },
	{ 0x522a7091, "dma_resv_test_signaled" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x35c35e79, "dma_fence_chain_find_seqno" },
	{ 0x9ad0f6d0, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6a1fcc1e, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xe8f4172b, "debugfs_create_dir" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x46bd5d6e, "video_get_options" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x43205019, "sync_file_get_fence" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xc85fb44b, "put_pid" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6cbfa1e1, "__dev_fwnode" },
	{ 0x69ecb631, "pci_bus_type" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x9d07dc66, "class_remove_file_ns" },
	{ 0x4a63117f, "simple_pin_fs" },
	{ 0x3f42abd5, "sync_file_create" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe3ad3046, "__sg_page_iter_dma_next" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "drm_panel_orientation_quirks");


MODULE_INFO(srcversion, "7A609F28B07BE5573A484C1");
MODULE_INFO(rhelversion, "9.6");
