#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xecd46b91, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xbf137d89, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x8f329273, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x8b755443, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xb8c1bc98, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x97b41134, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x1e2e6cb9, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x563477c5, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xd5019158, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xb891d924, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xba86fd34, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x3368a796, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xd378aae2, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x12cb67d2, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x461e2396, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xccbb1b09, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x018c43f3, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xb12a7920, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xcf73f3dd, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x6b145ac6, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x4cd6691b, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x6840a2a1, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x4c95009f, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xf1d29175, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x47fbc404, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xac2c98f4, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xf03f5e64, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x1f810a7a, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x72bde2a2, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xacdfc847, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x6efe9af1, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xe64e3a72, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xb3f46e23, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x3a1183e5, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x3d10169a, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x5b84812b, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x6085ee2b, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xde3a332e, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xc6d85dd4, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x2faa359a, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x67c87dbc, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x2cea4def, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xbbae603c, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x9febb1a0, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x77c050f6, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x6eb7866c, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x1cf09589, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x36596e11, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0xc4e8d517, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xfd0224e9, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xb4b2d0b5, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xb8b8be8c, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xd4c67969, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x7ae2999a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x4e76f0a6, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x86901241, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x9c3af225, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x3e0c3e71, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x19275f2f, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xcb2e59f4, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x48a1a1d3, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x6097b0a5, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x6f224c59, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xdbe5c79c, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x40b0cff4, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x95913991, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x1761dfba, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x24546119, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xc2efcdfe, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x2180bbfd, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xd9917665, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x8f1dfd20, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x909f0756, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x4ca4b49e, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x12216c41, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x25efa72d, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xa3ec3ad1, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x0f4506e8, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xfa72ad49, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x4abdc470, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x2b36f1ba, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x4bb5b742, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xac23dbec, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x493ba1df, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x638d507c, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x7728bfe3, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xbf7ccdcb, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x0082fbb5, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xac1a8ce2, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xd04b0421, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x65907a85, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xdedf4255, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x81b0d9f0, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xb74bc2e2, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x81530a2a, "");
SYMBOL_CRC(drm_flip_work_queue, 0x37d4dca8, "");
SYMBOL_CRC(drm_flip_work_commit, 0xe5ecfba3, "");
SYMBOL_CRC(drm_flip_work_init, 0xfbd44823, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x14e11da6, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xfea37aba, "");
SYMBOL_CRC(drm_fb_swab, 0xa5f32f35, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x0a69ecb8, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x43860c7a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x58bc8630, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x03d327ba, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x6322ad72, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x326bda03, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xa6a1293b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x113e8273, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x978ded1f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x09e0caa7, "");
SYMBOL_CRC(drm_fb_blit, 0x3e47d326, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x0d1a5d60, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x22bf57e3, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xb3a68438, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x01c57baf, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x75eeb6b9, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x7e523ca0, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xbb74d3d9, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x8d99a8dc, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xb75cd930, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x2a0948eb, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x658958f5, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x2ef80f3a, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x1df1007b, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x11bec664, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xefc7e66c, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x0f4f1a89, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xcd4cb1be, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x6f9efe2c, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x7084a961, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x3800820a, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x7f37a08e, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x1c096490, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xa4b760d8, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xf798a4f5, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x30414526, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x98030121, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x0a3b5a7b, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x478ca893, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x47e4a6ca, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x637e6965, "");
SYMBOL_CRC(drm_crtc_init, 0x82117895, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xc35211c5, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x917d2dcc, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x7d0dcaf6, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xcaae4d11, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xd7476c9a, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x4ccbd941, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xb4fb0fb8, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x141bfd5d, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x51998455, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x3e426c4e, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x87ce6417, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0xb2e84bb3, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x7b56b6d1, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x00c96f5e, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xe238e141, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x9c62c843, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x53afe0bf, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x4fb9768a, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x33da9475, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x018a1438, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xa0ae3b6f, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x5a1b1bda, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x85d85683, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xae5eb7e2, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x79df611f, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x41190062, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xd8afadbe, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xe8760043, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x166b319a, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x987fa446, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xe152180a, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xcec93ed7, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xc7019c03, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x3836bd0f, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x973a3c87, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x81695878, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x8a0408a7, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x8e9d63c3, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x5124f671, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0x54db597b, "");
SYMBOL_CRC(drmm_of_get_bridge, 0x2c1aab2b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd44ebbd5, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x87159cc8, "drm_framebuffer_cleanup" },
	{ 0x7b4fc149, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2111ad13, "drm_panel_get_modes" },
	{ 0x91fe9ea6, "drm_gem_vmap_unlocked" },
	{ 0xa12162ef, "try_module_get" },
	{ 0x74bd8501, "drm_connector_list_update" },
	{ 0xaa64ca0d, "drm_bridge_add" },
	{ 0x7bd7b0c9, "drm_bridge_chain_mode_valid" },
	{ 0x9931210e, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf4494314, "devm_kmalloc" },
	{ 0x55a8ce58, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6b555671, "drm_framebuffer_init" },
	{ 0x94a40030, "drm_mode_validate_driver" },
	{ 0x3cc8c302, "drm_atomic_add_affected_planes" },
	{ 0xdb9db836, "dma_buf_end_cpu_access" },
	{ 0x932f3854, "drm_modeset_unlock_all" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x59c7249a, "drm_mode_probed_add" },
	{ 0xeac6fd0a, "drm_atomic_add_affected_connectors" },
	{ 0x9220e351, "drm_gem_vunmap_unlocked" },
	{ 0x12bc42d3, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x4b306dbe, "finish_wait" },
	{ 0xe3528b0e, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xec054d86, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xd93e6d38, "drm_mode_object_get" },
	{ 0x6f49e5ec, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x93ba2c83, "drm_crtc_cleanup" },
	{ 0x4f76e34a, "drm_connector_list_iter_begin" },
	{ 0x6501a205, "drm_mode_set_config_internal" },
	{ 0xc5583a33, "prepare_to_wait_event" },
	{ 0x8fcf1393, "drm_encoder_cleanup" },
	{ 0x30d66283, "drm_modeset_acquire_init" },
	{ 0x7cbed196, "dma_fence_set_deadline" },
	{ 0xb89a6c7d, "drm_warn_on_modeset_not_all_locked" },
	{ 0x69516e1e, "drm_plane_get_damage_clips" },
	{ 0xf242e8c5, "devres_add" },
	{ 0x28ea1500, "dma_fence_wait_timeout" },
	{ 0x39372d69, "drm_add_modes_noedid" },
	{ 0x4d19efb0, "drm_bridge_remove" },
	{ 0x3271d7b8, "drm_mode_object_put" },
	{ 0x735c143c, "dev_driver_string" },
	{ 0x7c12add6, "drm_crtc_vblank_get" },
	{ 0xd5d335e3, "drm_gem_object_lookup" },
	{ 0x1bfcb2fc, "drm_crtc_send_vblank_event" },
	{ 0xfb766c75, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xb877f1db, "drm_atomic_normalize_zpos" },
	{ 0xf9a55ac1, "drm_edid_connector_update" },
	{ 0x1ea1bbf5, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1a986ddb, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7114b0e0, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x5d1323e5, "drm_connector_list_iter_end" },
	{ 0x9e91ae4f, "drm_atomic_set_crtc_for_plane" },
	{ 0x72454363, "drm_mode_prune_invalid" },
	{ 0xed61ac34, "drm_client_dev_hotplug" },
	{ 0xead66c99, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x945382a2, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x4b38d6b7, "module_put" },
	{ 0x52683a18, "dma_buf_begin_cpu_access" },
	{ 0xa1aa44ce, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7d997215, "drm_crtc_next_vblank_start" },
	{ 0x373b568b, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x3d8bdce, "drm_modeset_lock" },
	{ 0x8d8f5497, "drm_modeset_unlock" },
	{ 0x22b12612, "drm_panel_disable" },
	{ 0xc1e7b6b0, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5be0e92f, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x74112383, "devm_kfree" },
	{ 0xf12ee599, "_dev_err" },
	{ 0x4e725ba6, "drm_writeback_cleanup_job" },
	{ 0x956aadf6, "drm_modeset_lock_all_ctx" },
	{ 0xe057f513, "i2c_unregister_device" },
	{ 0xb933e464, "drm_atomic_set_fb_for_plane" },
	{ 0xe2e34179, "__drm_universal_plane_alloc" },
	{ 0x79cd519, "drm_edid_connector_add_modes" },
	{ 0x841f053d, "drm_probe_ddc" },
	{ 0x25882c53, "mutex_lock" },
	{ 0xd4e5ceeb, "__devres_alloc_node" },
	{ 0xc267b87b, "drm_edid_read" },
	{ 0x59a2ccae, "drm_crtc_commit_wait" },
	{ 0xd262e0b7, "drm_dev_has_vblank" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd117e136, "__drm_atomic_helper_disable_plane" },
	{ 0x5facb792, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x731cf6ec, "drm_gem_handle_create" },
	{ 0x7f6ad5e7, "drm_atomic_set_crtc_for_connector" },
	{ 0x80b2b242, "drm_analog_tv_mode" },
	{ 0x57460df5, "drm_crtc_init_with_planes" },
	{ 0xb443961b, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x9a9efb2c, "drm_crtc_vblank_put" },
	{ 0x8e41bd7, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xbe21c0fd, "__drm_dev_dbg" },
	{ 0x506748ca, "drm_plane_get_damage_clips_count" },
	{ 0xdd77c0f9, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x72e6cccb, "drm_atomic_state_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0x31ce226f, "_dev_warn" },
	{ 0x56edeed0, "drm_atomic_bridge_chain_post_disable" },
	{ 0xd17d14ab, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xde1c13c7, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xda1c95c3, "__drm_atomic_helper_set_config" },
	{ 0x1d25c0ea, "mutex_trylock" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x1bdb49a3, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x5f0eab48, "drm_connector_cleanup" },
	{ 0x5ad50915, "drm_get_format_info" },
	{ 0x3af6e1aa, "drm_universal_plane_init" },
	{ 0xe334c405, "drm_any_plane_has_format" },
	{ 0xb9d6a8a6, "drm_connector_list_iter_next" },
	{ 0x15131af, "drm_modeset_acquire_fini" },
	{ 0x1a3d610c, "drm_encoder_init" },
	{ 0x2ca822b3, "drm_object_property_get_default_value" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xecf6d78b, "param_ops_bool" },
	{ 0xf24d344, "drm_of_find_panel_or_bridge" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd5e2d89b, "drm_modeset_backoff" },
	{ 0x3b55ca54, "drm_panel_prepare" },
	{ 0x7a1c4186, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xe1f7f888, "drm_atomic_get_plane_state" },
	{ 0xec208e30, "drm_atomic_bridge_chain_check" },
	{ 0xbc1d14af, "dma_fence_chain_init" },
	{ 0x1d05d900, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x4415c3fa, "drm_property_blob_put" },
	{ 0x9c4a4eb6, "drm_mode_destroy" },
	{ 0x10b6cd1e, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2565cdb2, "drm_set_preferred_mode" },
	{ 0x33771139, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xaf827177, "drm_atomic_state_clear" },
	{ 0x3e024f31, "drm_mode_config_reset" },
	{ 0x1c76f4c4, "drm_property_create_blob" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x1e9ebaea, "drm_modeset_drop_locks" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xd03a42a6, "drm_atomic_bridge_chain_disable" },
	{ 0xc8aceb14, "drm_mode_create_from_cmdline_mode" },
	{ 0x5b308b9c, "drm_mode_validate_ycbcr420" },
	{ 0x7943db78, "drm_atomic_nonblocking_commit" },
	{ 0xe8f4172b, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xce07e453, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x77da41b6, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x61e27a4, "drm_atomic_add_encoder_bridges" },
	{ 0xc681f5f1, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbfd629fd, "drm_sysfs_connector_hotplug_event" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "E6F29E0A47D8BCD515E367C");
MODULE_INFO(rhelversion, "9.6");
