#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0xd1b32ecf, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x4de54b27, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x7ae81d40, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x3e63eb0c, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0x04d6608a, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xcec11d45, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0xda0c8400, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x37ab43dc, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x1440ceec, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x793903c5, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x9eb9cb44, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x83400b9a, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x3d56ae3a, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x2c2db358, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x8a317595, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x4be68aaf, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0xfda5e8d8, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0x4a2c6124, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0xb66cdb33, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x78a63972, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0xf6ee38b6, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0xcae29b34, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x06ce4bd7, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0xfb283386, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9f705e04, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf4494314, "devm_kmalloc" },
	{ 0x59f2edda, "of_property_read_variable_u32_array" },
	{ 0xf70962d0, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20f64cd4, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x8a2fb383, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xc42fd0d2, "of_get_next_available_child" },
	{ 0xbce68759, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe325d3e7, "put_device" },
	{ 0x242f2196, "i2c_del_adapter" },
	{ 0x88e3e1c, "idr_remove" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1abcd881, "bus_unregister" },
	{ 0x17e2cc26, "down_write" },
	{ 0xf12ee599, "_dev_err" },
	{ 0xe547e4fc, "up_write" },
	{ 0xc19a9e4c, "device_add" },
	{ 0xacf09f4b, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x9bd5f3bd, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8e41bd7, "i2c_new_client_device" },
	{ 0x20474d23, "device_register" },
	{ 0x31d965f1, "device_del" },
	{ 0x8e4a6d20, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x1a6158a7, "down_read" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x1d4de008, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x261fa87b, "of_i2c_get_board_info" },
	{ 0xdd49ccf4, "up_read" },
	{ 0xe79d946c, "driver_register" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x3337d3f6, "bus_register" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2CAED58C89902178FD59920");
MODULE_INFO(rhelversion, "9.6");
