#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_snap_origin, "", "");
KSYMTAB_FUNC(dm_snap_cow, "", "");
KSYMTAB_FUNC(dm_exception_store_type_register, "", "");
KSYMTAB_FUNC(dm_exception_store_type_unregister, "", "");
KSYMTAB_FUNC(dm_exception_store_create, "", "");
KSYMTAB_FUNC(dm_exception_store_destroy, "", "");

SYMBOL_CRC(dm_snap_origin, 0x4efc8d86, "");
SYMBOL_CRC(dm_snap_cow, 0x71468d7e, "");
SYMBOL_CRC(dm_exception_store_type_register, 0xe2f5287c, "");
SYMBOL_CRC(dm_exception_store_type_unregister, 0xb33ddd44, "");
SYMBOL_CRC(dm_exception_store_create, 0x94628338, "");
SYMBOL_CRC(dm_exception_store_destroy, 0xed2e2d8b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6a80c2f3, "bio_associate_blkg" },
	{ 0xa38157f, "dm_internal_resume_fast" },
	{ 0xa12162ef, "try_module_get" },
	{ 0x9f705e04, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x988431ab, "param_ops_uint" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xf2a8efae, "dm_kcopyd_do_callback" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x90590833, "dm_per_bio_data" },
	{ 0xf0c05399, "dm_put_device" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb5103243, "dm_table_get_size" },
	{ 0x6cdb2d56, "dm_bufio_prefetch" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x4b306dbe, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x490226d9, "mempool_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xca61d847, "dm_hold" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1f88a0e, "dm_kcopyd_prepare_callback" },
	{ 0xb04f56ab, "dm_bufio_read" },
	{ 0x601f665f, "dm_io_client_create" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc5583a33, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xbb480c17, "__wake_up" },
	{ 0xf68bce4c, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x84095af7, "mempool_free" },
	{ 0x92997ed8, "_printk" },
	{ 0x9dd9df13, "dm_kcopyd_client_create" },
	{ 0x1000e51, "schedule" },
	{ 0x4dde8cb2, "dm_accept_partial_bio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b49bbe5, "mempool_alloc" },
	{ 0x67e85bfc, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x4b38d6b7, "module_put" },
	{ 0xeca7949e, "dm_bufio_client_destroy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x29b64123, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x17e2cc26, "down_write" },
	{ 0xe547e4fc, "up_write" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x6abea6e2, "__wake_up_locked" },
	{ 0x6e1f45a, "dm_suspended" },
	{ 0xb375960b, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xbdb8e294, "kmem_cache_free" },
	{ 0x7d27e504, "dm_shift_arg" },
	{ 0x187b3a3c, "dm_bufio_client_create" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xe6024e59, "dm_bufio_release" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x86bb95ec, "dm_unregister_target" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x11089ac7, "_ctype" },
	{ 0x56e49ef2, "dm_set_target_max_io_len" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x8bc5dc88, "dm_kcopyd_zero" },
	{ 0xdcb764ad, "memset" },
	{ 0x8eba7724, "dm_table_event" },
	{ 0xe53422ac, "dm_internal_suspend_fast" },
	{ 0x39c74235, "dm_read_arg_group" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x9c8a6b7a, "dm_put" },
	{ 0x9e4faeef, "dm_io_client_destroy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a6158a7, "down_read" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x33aad726, "dm_kcopyd_copy" },
	{ 0xa848f5eb, "dm_register_target" },
	{ 0x999e8297, "vfree" },
	{ 0x154c6338, "dm_kcopyd_client_destroy" },
	{ 0x394ee81, "dm_table_get_mode" },
	{ 0x91f00abc, "dm_bufio_set_minimum_buffers" },
	{ 0xa0504f74, "blkdev_issue_flush" },
	{ 0x7451cb4d, "remove_wait_queue" },
	{ 0x257991cb, "dm_table_get_md" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd991e3b9, "dm_bufio_get_device_size" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x68b21cdd, "dm_io" },
	{ 0x816e43ec, "dm_get_device" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xdd49ccf4, "up_read" },
	{ 0xcd2ba798, "dm_bufio_forget" },
	{ 0xdc08ef14, "dm_bio_get_target_bio_nr" },
	{ 0x669c191b, "dm_consume_args" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xf1e69635, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x32636b1a, "kmem_cache_destroy" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "dm-mod,dm-bufio");


MODULE_INFO(srcversion, "E733703757C08D5A4B8DEBE");
MODULE_INFO(rhelversion, "9.6");
