#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x14a78602, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0xf50962a4, "_gpl");
SYMBOL_CRC(media_device_init, 0xb4384093, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xca1b2541, "_gpl");
SYMBOL_CRC(__media_device_register, 0x39cb5676, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x29069cbe, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x5eaabed3, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xb6c8a2a4, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x2c639817, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x6d15b370, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x88afecdd, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x1477fa66, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x2d4d1cad, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xe43b12ae, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x0c58bead, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x0ea46fc8, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x96ca15ca, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xf5bfe9c3, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xcc01efea, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xd057faf8, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x017c8e8b, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x78610e8c, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x4b9206a0, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x689fcc17, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x2001a536, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xffdd55f6, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x119520ff, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x491a2d07, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xcb6666d2, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x69a67f69, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0xadff0271, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xca2d525f, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x4af98478, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xc48bc76d, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x2e8a445e, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x7684852d, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x9c2941cf, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xf24b4701, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x00d2ac49, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xc7f025fa, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xea0b8f84, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xba1ddb10, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xa2008302, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x2f259d2a, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xd91ec73a, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x85a348be, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x318c080d, "_gpl");
SYMBOL_CRC(media_request_put, 0xda82bff4, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xa22dd0c3, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xab55bff6, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x8b8420ee, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xcd33f5d3, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xb336fb27, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x138d479d, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x6abca045, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x81de8466, "_gpl");
SYMBOL_CRC(media_device_delete, 0x1219b80e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x27e178fa, "ida_alloc_range" },
	{ 0xa12162ef, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb26a71e5, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x84e0d6a8, "ida_destroy" },
	{ 0xf70962d0, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96dac065, "cdev_device_del" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8a2fb383, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfe038961, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbb480c17, "__wake_up" },
	{ 0x73d1ed90, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbce68759, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0x2bb12230, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe325d3e7, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb5972a08, "fwnode_graph_parse_endpoint" },
	{ 0x4b38d6b7, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xeece82cc, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1abcd881, "bus_unregister" },
	{ 0x5736d245, "fput" },
	{ 0xf12ee599, "_dev_err" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x3751d750, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x31ce226f, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x7a239bfd, "platform_bus_type" },
	{ 0x3e0a7a45, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xb1d88ac1, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69ecb631, "pci_bus_type" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xd7348c15, "device_remove_file" },
	{ 0x3337d3f6, "bus_register" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
MODULE_INFO(rhelversion, "9.6");
