#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x0465e404, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x8e829df3, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x32a20efc, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xca784142, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x00a55d3d, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xa574ad2f, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x569ef689, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x57acfad0, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xd60946a6, "_gpl");
SYMBOL_CRC(can_bus_off, 0x8d593318, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xe0d281df, "_gpl");
SYMBOL_CRC(free_candev, 0xcca5a18f, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xc647a320, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x6dc03f7c, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x85262422, "");
SYMBOL_CRC(open_candev, 0xf700ea77, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x67089dc5, "_gpl");
SYMBOL_CRC(close_candev, 0x146cece5, "_gpl");
SYMBOL_CRC(register_candev, 0xfdcd1ff3, "_gpl");
SYMBOL_CRC(unregister_candev, 0x66715dc7, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0xef8af304, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x81d565ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x356e9033, "skb_put" },
	{ 0x1ec0cb9c, "gpiod_set_value" },
	{ 0x732c1256, "skb_tstamp_tx" },
	{ 0x59f2edda, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x233d86b6, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x23d288ef, "unregister_netdev" },
	{ 0x37fa73fa, "rtnl_link_register" },
	{ 0x9cb1d34c, "netdev_warn" },
	{ 0xa737ab4f, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x93c2fc1c, "netdev_err" },
	{ 0x3417dcb0, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x1803b8f0, "device_property_read_u32_array" },
	{ 0xba6c3d91, "of_get_child_by_name" },
	{ 0x66b6264e, "rtnl_link_unregister" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0xf00a075f, "nla_put" },
	{ 0x1dc9623a, "register_netdev" },
	{ 0xd3fee633, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0xf72c0cc6, "sock_efree" },
	{ 0xcb2b1d9f, "netif_rx" },
	{ 0x44f51784, "__netdev_alloc_skb" },
	{ 0x30bfd07d, "skb_trim" },
	{ 0x29e68135, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x53b28fbf, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc828fa38, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x21259bc2, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x188c0d9, "dev_err_probe" },
	{ 0x815e4d37, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x80ebc2f2, "skb_clone_tx_timestamp" },
	{ 0xd93e0126, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C85A0E37287CD8A1D19CA13");
MODULE_INFO(rhelversion, "9.6");
