#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xf1e8052d, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x42ed6ae9, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x5d831224, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x37fa73fa, "rtnl_link_register" },
	{ 0xcfc06d44, "genl_register_family" },
	{ 0x66b6264e, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x56577ffd, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6327e24, "crypto_alloc_aead" },
	{ 0x95e630b3, "crypto_aead_setkey" },
	{ 0xf8b26deb, "crypto_aead_setauthsize" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x8c377f80, "skb_pull" },
	{ 0xb5a367cf, "___pskb_trim" },
	{ 0xb662a61d, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x3ad677da, "dev_mc_sync" },
	{ 0x5394c417, "dev_uc_sync" },
	{ 0x6470ab67, "dev_set_allmulti" },
	{ 0x51a15aaf, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xbeb8177d, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x9ea2634, "__dev_get_by_index" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xc828fa38, "skb_clone" },
	{ 0xddb008da, "__netif_rx" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe7fbaaef, "register_netdevice" },
	{ 0x84e6c49b, "netdev_upper_dev_link" },
	{ 0xcc5d9c11, "netdev_upper_dev_unlink" },
	{ 0x45eddeb4, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa7004b98, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x736ea9a7, "netif_stacked_transfer_operstate" },
	{ 0xecbf19d7, "linkwatch_fire_event" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0xcab8d27f, "netdev_rx_handler_register" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0x25882c53, "mutex_lock" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xa7b3d026, "skb_copy_expand" },
	{ 0x233d86b6, "consume_skb" },
	{ 0xacbdf8b6, "skb_push" },
	{ 0x356e9033, "skb_put" },
	{ 0x7879bd26, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9848b346, "skb_to_sgvec" },
	{ 0x44212d05, "crypto_aead_encrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0x21998ce5, "skb_copy" },
	{ 0x30bfd07d, "skb_trim" },
	{ 0x44b31cfc, "dst_release" },
	{ 0x38d4e31b, "__dev_queue_xmit" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x345f6d73, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x25921fda, "crypto_aead_decrypt" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xb434c3a8, "netdev_rx_handler_unregister" },
	{ 0xc17ded6b, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x53b28fbf, "netif_carrier_off" },
	{ 0x5c933a6a, "dev_mc_unsync" },
	{ 0x70af181d, "dev_uc_unsync" },
	{ 0x5f82d571, "dev_uc_del" },
	{ 0xd80c10be, "dev_uc_add" },
	{ 0x21259bc2, "netif_carrier_on" },
	{ 0xbc420053, "eth_type_trans" },
	{ 0xedad2f62, "gro_cells_receive" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbc08a92e, "genlmsg_put" },
	{ 0x2c8d44bc, "__pskb_pull_tail" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.6");
