#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x0cd6d687, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xe777c5a0, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x8356b5c2, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xb4fe545a, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xe48f3d2f, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x3096a93b, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x893d15ea, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x1c83c74b, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x9a03a107, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbb480c17, "__wake_up" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xacf09f4b, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x93c2fc1c, "netdev_err" },
	{ 0x88e3e1c, "idr_remove" },
	{ 0x866a2cf2, "skb_copy_datagram_iter" },
	{ 0xeb144ddc, "_copy_to_iter" },
	{ 0x84e5059a, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x233d86b6, "consume_skb" },
	{ 0x4b306dbe, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x19b3bc30, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb1d88ac1, "cdev_init" },
	{ 0x23c7439c, "cdev_add" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x526d6948, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e4a6d20, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xacbdf8b6, "skb_push" },
	{ 0x45be5fdd, "__skb_gso_segment" },
	{ 0xc68ba195, "kfree_skb_list_reason" },
	{ 0x2483d586, "skb_checksum_help" },
	{ 0xaa80241, "__skb_get_hash_net" },
	{ 0x9c0a9e96, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1c4ecf38, "idr_find" },
	{ 0xe4173605, "sk_alloc" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0xc094447a, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x171438eb, "__skb_flow_dissect" },
	{ 0x202ba1a1, "skb_partial_csum_set" },
	{ 0x2c8d44bc, "__pskb_pull_tail" },
	{ 0xeace5025, "iov_iter_npages" },
	{ 0x64154485, "_copy_from_iter" },
	{ 0x9d7af243, "sock_alloc_send_pskb" },
	{ 0x356e9033, "skb_put" },
	{ 0x2f35a863, "zerocopy_sg_from_iter" },
	{ 0x38d4e31b, "__dev_queue_xmit" },
	{ 0x5328bc16, "skb_copy_datagram_from_iter" },
	{ 0x2c135fa8, "iov_iter_revert" },
	{ 0x82c20f6c, "skb_copy_bits" },
	{ 0x8008445b, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfe95283d, "dev_set_mac_address_user" },
	{ 0x7c155f41, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.6");
