#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x97ae9915, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x1958295c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x548dcc96, "fasync_helper" },
	{ 0xb28592ed, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd93e0126, "netdev_info" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x86fda67a, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0x8fdd80eb, "from_kgid_munged" },
	{ 0x8191825d, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x844cbdef, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x66ad0e26, "dev_get_tstats64" },
	{ 0x87579591, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x37fa73fa, "rtnl_link_register" },
	{ 0x95147fa6, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x659ba0de, "misc_deregister" },
	{ 0x66b6264e, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0x808f7580, "xdp_return_frame" },
	{ 0xb7fb0c77, "__wake_up_sync_key" },
	{ 0x71d13595, "kill_fasync" },
	{ 0x21259bc2, "netif_carrier_on" },
	{ 0x53b28fbf, "netif_carrier_off" },
	{ 0xb51a8598, "bpf_prog_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbd7d3dcf, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x80ebc2f2, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xef7689d8, "skb_copy_ubufs" },
	{ 0x4f6b4610, "netdev_core_stats_inc" },
	{ 0x7a553c3e, "skb_tx_error" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x732c1256, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb5a367cf, "___pskb_trim" },
	{ 0x7c09e851, "__skb_get_hash_symmetric_net" },
	{ 0x8008445b, "build_skb" },
	{ 0x356e9033, "skb_put" },
	{ 0x6e088484, "skb_set_owner_w" },
	{ 0xe4173605, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0xc094447a, "sock_init_data_uid" },
	{ 0x9c0a9e96, "sk_free" },
	{ 0x6ff17df2, "napi_gro_receive" },
	{ 0x3134afda, "napi_complete_done" },
	{ 0x1bb45f04, "xdp_do_redirect" },
	{ 0xa2ee5748, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe853c6a4, "__traceiter_xdp_exception" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x436c9ac7, "xdp_return_frame_rx_napi" },
	{ 0x186fb54b, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x92a8bc2d, "add_wait_queue" },
	{ 0x7451cb4d, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xe520c0b6, "skb_queue_purge_reason" },
	{ 0x96d3a08, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9f3457ab, "xdp_rxq_info_unreg" },
	{ 0xd4511d9f, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4b38d6b7, "module_put" },
	{ 0x283a0f11, "napi_get_frags" },
	{ 0x3a371eb5, "iov_iter_single_seg_count" },
	{ 0xb0882c31, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x774d1720, "seq_printf" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x342a4be9, "netif_set_real_num_tx_queues" },
	{ 0x94e70f19, "netif_set_real_num_rx_queues" },
	{ 0x45eddeb4, "unregister_netdevice_queue" },
	{ 0x708dc878, "netdev_state_change" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x171438eb, "__skb_flow_dissect" },
	{ 0x202ba1a1, "skb_partial_csum_set" },
	{ 0x2c8d44bc, "__pskb_pull_tail" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0xcffa0232, "xdp_rxq_info_is_reg" },
	{ 0xe1bcfe6b, "__xdp_rxq_info_reg" },
	{ 0xc23eb4a8, "xdp_rxq_info_reg_mem_model" },
	{ 0x4de7ec85, "netif_napi_add_weight" },
	{ 0xf0e73689, "napi_enable" },
	{ 0xc0348ce6, "lock_sock_nested" },
	{ 0x8339fde2, "sk_attach_filter" },
	{ 0xb6917d10, "release_sock" },
	{ 0x7ab6f446, "__dev_get_by_name" },
	{ 0xe77440ed, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x3417dcb0, "alloc_netdev_mqs" },
	{ 0x7d4a1397, "ip_tunnel_header_ops" },
	{ 0xe7fbaaef, "register_netdevice" },
	{ 0xd74a66f2, "netif_tx_wake_queue" },
	{ 0xb662a61d, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd3fee633, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeb144ddc, "_copy_to_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x866a2cf2, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x84e5059a, "iov_iter_advance" },
	{ 0x93c2fc1c, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x233d86b6, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x59df83f3, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x89a36d61, "bpf_prog_get_type_dev" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97d1cdf, "__page_frag_cache_drain" },
	{ 0xbc420053, "eth_type_trans" },
	{ 0xe35ae9aa, "xdp_master_redirect" },
	{ 0x67694145, "do_xdp_generic" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2bfc372f, "__folio_put" },
	{ 0x8cadf3c2, "__put_devmap_managed_page_refs" },
	{ 0x3ad453f5, "skb_page_frag_refill" },
	{ 0x4d864f2b, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x64154485, "_copy_from_iter" },
	{ 0xeace5025, "iov_iter_npages" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x5328bc16, "skb_copy_datagram_from_iter" },
	{ 0x9d7af243, "sock_alloc_send_pskb" },
	{ 0x2f35a863, "zerocopy_sg_from_iter" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xacbdf8b6, "skb_push" },
	{ 0x5bf4234f, "eth_get_headlen" },
	{ 0xc869d253, "napi_schedule_prep" },
	{ 0x49537442, "napi_gro_frags" },
	{ 0x2c135fa8, "iov_iter_revert" },
	{ 0xb542a934, "__napi_schedule" },
	{ 0xd38de3a6, "get_net_ns" },
	{ 0xd612bffb, "open_related_ns" },
	{ 0x7c155f41, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x95917f06, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x957e14a8, "netdev_update_features" },
	{ 0xfe95283d, "dev_set_mac_address_user" },
	{ 0xf481e73b, "make_kuid" },
	{ 0x2a622e6e, "init_user_ns" },
	{ 0xddac37c3, "from_kuid" },
	{ 0xc89e19f4, "sk_detach_filter" },
	{ 0xc86e5548, "call_netdevice_notifiers" },
	{ 0x25d9b7f8, "__module_get" },
	{ 0x7719ab38, "from_kgid" },
	{ 0x14aa82d9, "ethtool_op_get_link" },
	{ 0xe2f6ba39, "ethtool_op_get_ts_info" },
	{ 0x94134626, "passthru_features_check" },
	{ 0xce0ca47c, "eth_mac_addr" },
	{ 0x29c7690b, "eth_validate_addr" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A61D8AF9C02EAEB79D30D39");
MODULE_INFO(rhelversion, "9.6");
