#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x62b0e3bf, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x3d3f791a, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xcab114fd, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x2cfa12b3, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x0567ce12, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xe9289279, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x27e178fa, "ida_alloc_range" },
	{ 0xc13f877c, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1027e8e, "__nlmsg_put" },
	{ 0x356e9033, "skb_put" },
	{ 0xf70962d0, "dev_set_name" },
	{ 0x233d86b6, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x20f64cd4, "device_unregister" },
	{ 0x40e0379d, "skb_dequeue" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x4b306dbe, "finish_wait" },
	{ 0x37fa73fa, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9e683aa, "device_for_each_child" },
	{ 0xc5583a33, "prepare_to_wait_event" },
	{ 0xbb480c17, "__wake_up" },
	{ 0xfa83f43c, "rtnl_create_link" },
	{ 0x45eddeb4, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xe520c0b6, "skb_queue_purge_reason" },
	{ 0x3417dcb0, "alloc_netdev_mqs" },
	{ 0x78cdd9bf, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xe325d3e7, "put_device" },
	{ 0xb539bef2, "__alloc_skb" },
	{ 0x741ef8c0, "_dev_info" },
	{ 0xc8e9d027, "skb_queue_tail" },
	{ 0x83df36ed, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x66b6264e, "rtnl_link_unregister" },
	{ 0x11e8342d, "init_net" },
	{ 0x8c377f80, "skb_pull" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0xfcdedb64, "noop_llseek" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x9dc850f7, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0x3751d750, "ida_free" },
	{ 0xd3fee633, "free_netdev" },
	{ 0xcb63e729, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdf64cc95, "class_dev_iter_init" },
	{ 0x20474d23, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0x8025a83c, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9f2e30b9, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0xa277b8cc, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe8f4172b, "debugfs_create_dir" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0x89f03341, "class_register" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xf756f764, "skb_queue_head" },
	{ 0xd37b9fb6, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe7fbaaef, "register_netdevice" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.6");
