#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x24a9a9c5, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74660ea2, "nvme_remove_admin_tag_set" },
	{ 0x8ced5e80, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x27e178fa, "ida_alloc_range" },
	{ 0x8d0cee7a, "nvme_uninit_ctrl" },
	{ 0x84e0d6a8, "ida_destroy" },
	{ 0xc6ac62bf, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xedb8efd2, "nvme_get_opcode_str" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xef541921, "nvmf_free_options" },
	{ 0x40c373d6, "nvmf_subsystem_reset" },
	{ 0x572eb3ea, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x4b306dbe, "finish_wait" },
	{ 0x538d1a63, "nvme_stop_keep_alive" },
	{ 0x2e19d418, "blk_mq_complete_request_remote" },
	{ 0x5a5189e1, "dma_unmap_page_attrs" },
	{ 0x219a2db4, "nvme_setup_cmd" },
	{ 0xf2822237, "nvme_start_ctrl" },
	{ 0xe1edd5b5, "nvme_get_admin_opcode_str" },
	{ 0xb27e42b, "nvme_alloc_admin_tag_set" },
	{ 0x3660456b, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xc5583a33, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xede32eed, "nvmf_reg_read32" },
	{ 0xbb480c17, "__wake_up" },
	{ 0xf0af3c03, "nvme_delete_ctrl" },
	{ 0x73d1ed90, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x735c143c, "dev_driver_string" },
	{ 0x7886934f, "nvmf_get_address" },
	{ 0x7ce705da, "dma_map_page_attrs" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x401dadd8, "nvme_remove_io_tag_set" },
	{ 0x583c30b5, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x67c9fcc8, "nvme_mpath_start_request" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x45ee6035, "nvmf_unregister_transport" },
	{ 0x68404f24, "blkcg_get_fc_appid" },
	{ 0xe325d3e7, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xbc690a21, "nvme_change_ctrl_state" },
	{ 0x741ef8c0, "_dev_info" },
	{ 0xa806d20, "nvme_init_ctrl" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x2f7c2637, "nvme_alloc_io_tag_set" },
	{ 0xaf3beff9, "nvme_fail_nonready_command" },
	{ 0xaec714de, "kobject_uevent_env" },
	{ 0xe5a96dbd, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf12ee599, "_dev_err" },
	{ 0xa7b9633b, "nvme_get_fabrics_opcode_str" },
	{ 0x63cab64e, "device_create" },
	{ 0xc7d177c9, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x8f75bd4c, "__blk_rq_map_sg" },
	{ 0x3751d750, "ida_free" },
	{ 0xd44cd79e, "nvmf_reg_read64" },
	{ 0xcb63e729, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5f57590b, "nvmf_connect_admin_queue" },
	{ 0xbc687959, "nvme_enable_ctrl" },
	{ 0xaad463fc, "nvme_unquiesce_admin_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0x31ce226f, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x12f7496e, "nvme_unquiesce_io_queues" },
	{ 0xc98a2293, "blk_mq_update_nr_hw_queues" },
	{ 0xb3e4b300, "nvmf_reg_write32" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xccdf3782, "nvmf_should_reconnect" },
	{ 0x784f95c8, "__dma_sync_single_for_device" },
	{ 0x840a949c, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x767bb436, "device_destroy" },
	{ 0x14b33507, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xf68a9141, "nvmf_register_transport" },
	{ 0x467f678e, "blk_mq_start_request" },
	{ 0xbd116511, "nvme_quiesce_io_queues" },
	{ 0xa5363020, "blk_mq_tagset_busy_iter" },
	{ 0xe97563a, "nvme_stop_ctrl" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd9472955, "dma_unmap_sg_attrs" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x608acc15, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xe4ed29e8, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x30abc5c0, "nvme_quiesce_admin_queue" },
	{ 0x89f03341, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1dead03f, "__nvme_check_ready" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x85ebe1a5, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7d8520bf, "nvme_add_ctrl" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "837806316F0ED06192F0363");
MODULE_INFO(rhelversion, "9.6");
