#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x6d59f6c5, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x8dc69a53, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x7539ef52, "_gpl");
SYMBOL_CRC(fat_scan, 0xa563d8a2, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x4fe5af71, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xdd1975c5, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x4ce380df, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x19cadbf0, "_gpl");
SYMBOL_CRC(fat_getattr, 0x153735e8, "_gpl");
SYMBOL_CRC(fat_setattr, 0xf1aa736e, "_gpl");
SYMBOL_CRC(fat_attach, 0xaf6160d2, "_gpl");
SYMBOL_CRC(fat_detach, 0xe7d07afe, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x1470baa2, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x3fba6af1, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xd00d8c6f, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x5e4fe668, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xe6d2548d, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x0259590b, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x75d173e3, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xa6813675, "_gpl");
SYMBOL_CRC(fat_update_time, 0x5b1d8e42, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3cf5f3db, "filemap_fdatawrite" },
	{  0x3daaf, "generic_fillattr" },
	{ 0x8a150fb1, "setattr_prepare" },
	{ 0x339c54f5, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9f705e04, "__init_rwsem" },
	{ 0x25353b8, "sync_blockdev_nowait" },
	{ 0x93dc5565, "make_vfsgid" },
	{ 0x7e90b68d, "blk_start_plug" },
	{ 0xb399a5bc, "clear_inode" },
	{ 0xd3d4a788, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x917d80d0, "generic_file_splice_read" },
	{ 0x3597401f, "new_inode" },
	{ 0xd681607, "mark_buffer_dirty" },
	{ 0x6934e263, "security_inode_setattr" },
	{ 0x954fc41b, "__find_get_block" },
	{ 0xe1c1db6d, "filemap_fdatawrite_range" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0xde913c8f, "inode_needs_sync" },
	{ 0x1bf014b6, "__blockdev_direct_IO" },
	{ 0x55803846, "d_make_root" },
	{ 0x89031144, "__bforget" },
	{ 0xfb54019d, "sb_set_blocksize" },
	{ 0xfbd8d02e, "block_truncate_page" },
	{ 0xad33ac46, "write_dirty_buffer" },
	{ 0x45c2aa76, "sync_filesystem" },
	{ 0xcfd53811, "fsnotify" },
	{ 0x4071f932, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd2b03ae2, "from_vfsuid" },
	{ 0x98add0b8, "inode_dio_wait" },
	{ 0x1c7217f1, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x41a63f48, "cont_write_begin" },
	{ 0x3e8e5a8c, "iput" },
	{ 0x175b525a, "iter_file_splice_write" },
	{ 0x81c667eb, "generic_file_write_iter" },
	{ 0xf68bce4c, "kmem_cache_create" },
	{ 0x9ac25e69, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x63e6822b, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x50ec24a8, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xa7e8147, "block_invalidate_folio" },
	{ 0x6f003a68, "__breadahead" },
	{ 0x304a65c1, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x16ec3516, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xba024a89, "generic_cont_expand_simple" },
	{ 0xf481e73b, "make_kuid" },
	{ 0xf96a1e06, "truncate_inode_pages_final" },
	{ 0x51bd23ff, "block_write_full_page" },
	{ 0x57792850, "generic_file_mmap" },
	{ 0xd5257140, "sync_mapping_buffers" },
	{ 0x23b34bbf, "ilookup" },
	{ 0x67e85bfc, "kmem_cache_alloc" },
	{ 0x322d65f2, "invalidate_inode_buffers" },
	{ 0x79a0d491, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3cd86926, "mnt_drop_write_file" },
	{ 0x1ed12353, "inode_init_once" },
	{ 0x7556745d, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xe31f5852, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x17e2cc26, "down_write" },
	{ 0xe547e4fc, "up_write" },
	{ 0x6609009d, "generic_file_read_iter" },
	{ 0x21dacd75, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xcf98045, "truncate_pagecache" },
	{ 0x44ff1268, "sync_dirty_buffer" },
	{ 0xdc6a1cbc, "setattr_copy" },
	{ 0xddb28a49, "__wait_on_buffer" },
	{ 0xae48ec91, "set_nlink" },
	{ 0x25882c53, "mutex_lock" },
	{ 0xbdb8e294, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x47e4dd58, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x6fcfb769, "from_vfsgid" },
	{ 0x8a6dfd0a, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcc479893, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1be2ae53, "__bread_gfp" },
	{ 0xb2b11a9d, "block_dirty_folio" },
	{ 0xbc023680, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0x5b13149f, "__insert_inode_hash" },
	{ 0x95917f06, "make_kgid" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x8fdd80eb, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1a6158a7, "down_read" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0x9e30843e, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98b40aa2, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x457200, "igrab" },
	{ 0xed834e65, "__getblk_gfp" },
	{ 0xf26f04b1, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0x215f2d31, "mpage_readahead" },
	{ 0x7756d344, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x2a622e6e, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x774d1720, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x57e0903f, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xa0504f74, "blkdev_issue_flush" },
	{ 0xe227d033, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x73b2dfb1, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x8191825d, "from_kuid_munged" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x16b738a3, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9747ce9d, "kmem_cache_alloc_lru" },
	{ 0x9e17dc64, "__mark_inode_dirty" },
	{ 0xeb79bf91, "generic_file_llseek" },
	{ 0xd34c0c6d, "unload_nls" },
	{ 0xdd49ccf4, "up_read" },
	{ 0x6093bb08, "mark_buffer_dirty_inode" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xcb412e43, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x32636b1a, "kmem_cache_destroy" },
	{ 0x7ee04c3f, "blkdev_issue_discard" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.6");
