#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x3bd65c94, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x1721857b, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xe2dc0376, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x67d938d4, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xe38c2c6f, "");
SYMBOL_CRC(fuse_abort_conn, 0xb8651d32, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0xc3519dfe, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x8f2c2c96, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xcba3eca0, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x90e702f6, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x0e9b68ee, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xd51bc6c8, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xdbdf09b0, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x8c007bef, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0xbea671b6, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xe055a9e3, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x4b0da61a, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x650a6b97, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0xd26dfd3c, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xc04c9f65, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x6fed46ac, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xf7102183, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x33f35799, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x03470751, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x19c77fdb, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0x97581263, "");
SYMBOL_CRC(fuse_do_ioctl, 0x411b8a9d, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x0979fd18, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x690547f6, "super_setup_bdi_name" },
	{ 0x9f8ac23f, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x14779d24, "truncate_inode_pages" },
	{ 0xcde9ea90, "generic_copy_file_range" },
	{ 0x5eb2492e, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0x487e853e, "pipe_lock" },
	{  0x3daaf, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x7fd4d693, "vfs_fsync_range" },
	{ 0x8a150fb1, "setattr_prepare" },
	{ 0x5b566a27, "clear_nlink" },
	{ 0x5e5f3727, "file_check_and_advance_wb_err" },
	{ 0x4c11336b, "d_alloc_parallel" },
	{ 0xe9c28ea1, "flush_dcache_page" },
	{ 0x9f705e04, "__init_rwsem" },
	{ 0xe2197948, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x659ba0de, "misc_deregister" },
	{ 0x93dc5565, "make_vfsgid" },
	{ 0xb399a5bc, "clear_inode" },
	{ 0x9874d985, "inode_to_bdi" },
	{ 0x493e3fa8, "find_pid_ns" },
	{ 0x96f7c068, "grab_cache_page_write_begin" },
	{ 0xae4a07af, "simple_dir_inode_operations" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1527eee4, "pipe_unlock" },
	{ 0x53429088, "fs_param_is_string" },
	{ 0x8238f3a3, "folio_unlock" },
	{ 0x917d80d0, "generic_file_splice_read" },
	{ 0x3597401f, "new_inode" },
	{ 0x49a708a4, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xfd10655c, "dump_page" },
	{ 0x6163770a, "forget_all_cached_acls" },
	{ 0x8808e299, "init_special_inode" },
	{ 0x22897534, "unregister_filesystem" },
	{ 0x10bcdbbe, "task_active_pid_ns" },
	{ 0x3a371eb5, "iov_iter_single_seg_count" },
	{ 0x7f22e279, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe1c1db6d, "filemap_fdatawrite_range" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x4b306dbe, "finish_wait" },
	{ 0xdccbe737, "d_alloc_name" },
	{ 0x454df538, "replace_page_cache_folio" },
	{ 0x71af0ca1, "inode_query_iversion" },
	{ 0x84e5059a, "iov_iter_advance" },
	{ 0x71d13595, "kill_fasync" },
	{ 0x55803846, "d_make_root" },
	{ 0xfb54019d, "sb_set_blocksize" },
	{ 0x1b827ebc, "fget" },
	{ 0xc20cacbe, "simple_fill_super" },
	{ 0xaa908be5, "xas_find" },
	{ 0xd8f18e50, "invalidate_mapping_pages" },
	{ 0x45c2aa76, "sync_filesystem" },
	{ 0xb19ef64d, "noop_dirty_folio" },
	{ 0xda09a57c, "sget_fc" },
	{ 0x4d90aa89, "param_set_uint" },
	{ 0x7892891, "d_splice_alias" },
	{ 0x68d1e6d5, "iov_iter_get_pages2" },
	{ 0x4071f932, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xd27ca143, "page_get_link" },
	{ 0xe56e9bd8, "generic_permission" },
	{ 0x44d5f62, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x46006535, "invalidate_inode_pages2_range" },
	{ 0x8794d695, "posix_lock_file" },
	{ 0xe1496ba8, "finish_open" },
	{ 0xa9955321, "dax_iomap_rw" },
	{ 0x3e8e5a8c, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xb6093dd7, "logfc" },
	{ 0x8cadf3c2, "__put_devmap_managed_page_refs" },
	{ 0x175b525a, "iter_file_splice_write" },
	{ 0xc5583a33, "prepare_to_wait_event" },
	{ 0x42bba9df, "init_pid_ns" },
	{ 0x6e1c10ad, "dax_iomap_fault" },
	{ 0xee66b6d8, "iov_iter_init" },
	{ 0x44b5e5a5, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xcb27965, "sysfs_create_mount_point" },
	{ 0x81c667eb, "generic_file_write_iter" },
	{ 0xbb480c17, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5f1cefcf, "register_filesystem" },
	{ 0xf68bce4c, "kmem_cache_create" },
	{ 0xf07ae4f1, "folio_add_lru" },
	{ 0x4244f1ec, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9ac25e69, "sync_inode_metadata" },
	{ 0xed4eab9c, "simple_empty" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x2341bc8d, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xadb8be9e, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xd22d59be, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xde3d694d, "get_tree_nodev" },
	{ 0xfef3168c, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa454f359, "fs_param_is_u32" },
	{ 0x36859d57, "inode_newsize_ok" },
	{ 0x6ff9ed8c, "d_drop" },
	{ 0xfb9d7a0a, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x7403fe5a, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x501d8d0f, "bdi_put" },
	{ 0x11bcb715, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x33df0406, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf481e73b, "make_kuid" },
	{ 0xf96a1e06, "truncate_inode_pages_final" },
	{ 0xc1a13ac, "fs_kobj" },
	{ 0x5d64fcb6, "__filemap_set_wb_err" },
	{ 0xb08a49eb, "simple_dir_operations" },
	{ 0x57792850, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x5734a781, "__free_pages" },
	{ 0x67e85bfc, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x1d83c5ec, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xb3d7c814, "setattr_should_drop_suidgid" },
	{ 0xba40005, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1347110b, "__var_waitqueue" },
	{ 0x7ba8068c, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x2b2a7b3, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1ed12353, "inode_init_once" },
	{ 0xfccc5ad5, "file_write_and_wait_range" },
	{ 0xd6e3cd86, "nosteal_pipe_buf_ops" },
	{ 0x8f9762ef, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbe4df11e, "inode_nohighmem" },
	{ 0x3056adf5, "copy_highpage" },
	{ 0x8753062c, "release_pages" },
	{ 0xbdc33896, "generic_file_direct_write" },
	{ 0x5736d245, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x17e2cc26, "down_write" },
	{ 0xe547e4fc, "up_write" },
	{ 0x6609009d, "generic_file_read_iter" },
	{ 0x21dacd75, "inode_maybe_inc_iversion" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x119d6301, "unlock_page" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x47090e2, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xcf98045, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7c22a335, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x463911b3, "dec_node_page_state" },
	{ 0xfa22a1cd, "write_cache_pages" },
	{ 0xc660732, "file_update_time" },
	{ 0xae48ec91, "set_nlink" },
	{ 0x25882c53, "mutex_lock" },
	{ 0xbdb8e294, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x7719ab38, "from_kgid" },
	{ 0x548dcc96, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd657a2af, "file_remove_privs" },
	{ 0x8a6dfd0a, "write_inode_now" },
	{ 0xe9b3fc79, "dax_writeback_mapping_range" },
	{ 0xcc479893, "d_obtain_alias" },
	{ 0xaadfafed, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xabe33161, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x8d6f60a0, "finish_no_open" },
	{ 0x85bf8b06, "__folio_start_writeback" },
	{ 0x63b2e86b, "kill_litter_super" },
	{ 0x7078b9aa, "folio_end_writeback" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xddac37c3, "from_kuid" },
	{ 0xe8e55169, "current_in_userns" },
	{ 0x9b74cfb0, "fc_mount" },
	{ 0xdcb764ad, "memset" },
	{ 0xdfae856d, "sysfs_remove_mount_point" },
	{ 0x95147fa6, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0x95917f06, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x51cd18ed, "d_delete" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0x8fdd80eb, "from_kgid_munged" },
	{ 0x5003bd02, "end_page_writeback" },
	{ 0x31948b02, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x3a2f1f1a, "kobject_create_and_add" },
	{ 0x1a6158a7, "down_read" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0xdf04b066, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x53259595, "nonseekable_open" },
	{ 0xc2f31a4d, "dax_finish_sync_fault" },
	{ 0x7b853bbf, "set_page_dirty" },
	{ 0x4d864f2b, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd4e7f94a, "redirty_page_for_writepage" },
	{ 0xcf5e7768, "noop_direct_IO" },
	{ 0x457200, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf26f04b1, "generic_read_dir" },
	{ 0xbee8ac4, "d_add" },
	{ 0xa631d789, "set_page_writeback" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2a622e6e, "init_user_ns" },
	{ 0x5eb52786, "d_find_alias" },
	{ 0x4fc184ff, "invalidate_inode_pages2" },
	{ 0x46955ec2, "alloc_pages" },
	{ 0x747d7b7a, "inc_nlink" },
	{ 0x2bfc372f, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x41fa4f83, "get_tree_bdev" },
	{ 0x7fc57374, "set_anon_super_fc" },
	{ 0x774d1720, "seq_printf" },
	{ 0xd3cf4f03, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x1d888f51, "generic_delete_inode" },
	{ 0x98e58fc2, "deactivate_locked_super" },
	{ 0x8f592e99, "touch_atime" },
	{ 0x94ceb203, "__percpu_down_read" },
	{ 0xccb0cbce, "__d_lookup_unhash_wake" },
	{ 0x7332d831, "set_page_dirty_lock" },
	{ 0x18b05cc0, "pid_nr_ns" },
	{ 0xe45466e7, "generic_file_open" },
	{ 0x5a275204, "truncate_inode_pages_range" },
	{ 0x9a6cb54c, "__put_user_ns" },
	{ 0xcb3ea72e, "__folio_lock" },
	{ 0x21607612, "filemap_dirty_folio" },
	{ 0xa8a74b38, "pagecache_get_page" },
	{ 0xe227d033, "seq_puts" },
	{ 0x9f2e30b9, "stream_open" },
	{ 0xe942bf7d, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xeccfac8d, "__wake_up_sync" },
	{ 0xf1c1df9c, "add_to_pipe" },
	{ 0xee698d2e, "__fs_parse" },
	{ 0x2de7f386, "dax_layout_busy_page_range" },
	{ 0xb45f40ed, "posix_acl_to_xattr" },
	{ 0xed7518c0, "dget_parent" },
	{ 0xc780c995, "kill_anon_super" },
	{ 0x8191825d, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x9609796e, "iget5_locked" },
	{ 0xefd86e2b, "security_dentry_init_security" },
	{ 0x32d5bff2, "filemap_write_and_wait_range" },
	{ 0x4e2ed3d9, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf3ca097f, "generic_write_checks" },
	{ 0x2c135fa8, "iov_iter_revert" },
	{ 0x4ba7d98c, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8328bdc5, "mntget" },
	{ 0x9747ce9d, "kmem_cache_alloc_lru" },
	{ 0x24a57bd6, "filemap_fault" },
	{ 0x8fb3e0e1, "d_invalidate" },
	{ 0x9e17dc64, "__mark_inode_dirty" },
	{ 0xeb79bf91, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdd49ccf4, "up_read" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xeace5025, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xe186250b, "drop_nlink" },
	{ 0x31c33f4d, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa39e77fb, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xa51a94cf, "bdi_set_max_ratio" },
	{ 0x32636b1a, "kmem_cache_destroy" },
	{ 0xca9716e, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7D7FAEDDA764AC772D6F805");
MODULE_INFO(rhelversion, "9.6");
