#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xcbcb8613, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x9cd46d0f, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x8878d7f2, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xdbf5e79c, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x016edd8c, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x12cd0171, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x22cb3d46, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xb0c728e3, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0xbd8011d1, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x938362dd, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xd3b86c18, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x91f9db60, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xcab894bf, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x6ba44011, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xdd1604b3, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x62ff3c7c, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x6a9fad1d, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x6ac7a784, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xf7c3ecd9, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x38137aea, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x04e34059, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x42999284, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xac1b432d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd437e46f, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x83cd58ec, "icmpv6_ndo_send" },
	{ 0xb64100b4, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3417dcb0, "alloc_netdev_mqs" },
	{ 0xe7fbaaef, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0xd3fee633, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x45eddeb4, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdcb764ad, "memset" },
	{ 0xec8f6d89, "ip_route_output_flow" },
	{ 0x44b31cfc, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ea2634, "__dev_get_by_index" },
	{ 0x93f4069d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x345f6d73, "gro_cells_init" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x708dc878, "netdev_state_change" },
	{ 0xe77440ed, "ns_capable" },
	{ 0xc17ded6b, "dev_set_mtu" },
	{ 0x11e8342d, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x82c20f6c, "skb_copy_bits" },
	{ 0x5aa58847, "iptunnel_xmit" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0xaa80241, "__skb_get_hash_net" },
	{ 0x89b5877f, "dst_cache_get_ip4" },
	{ 0x9413ca28, "dst_cache_set_ip4" },
	{ 0xb0882c31, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3a4af5b0, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2c8d44bc, "__pskb_pull_tail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xfd4053c1, "skb_scrub_packet" },
	{ 0xedad2f62, "gro_cells_receive" },
	{ 0x92997ed8, "_printk" },
	{ 0xbc420053, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8560FCA61B1BB9F08C3E8B1");
MODULE_INFO(rhelversion, "9.6");
