#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0xd79abd6d, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0xbf6aa0e3, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x7dab3a90, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xd2e55286, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x65848ef9, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x9469bc6f, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x6b1b0789, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xf2e2961b, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x6f675ba2, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x77432ff5, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xfeb5df34, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xd6890451, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xc8552143, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x84f2dae6, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x3df27c44, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0xe16a19bc, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x78d6201d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x1ea0a3e0, "flow_rule_alloc" },
	{ 0x9f705e04, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x3767893d, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc769c695, "neigh_xmit" },
	{ 0x87dd14b, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x7b035952, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x1287071e, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x1e11deb1, "proc_create_net_data" },
	{ 0xb0882c31, "pskb_expand_head" },
	{ 0x271d8240, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x17e2cc26, "down_write" },
	{ 0xe547e4fc, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8c377f80, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95ba504f, "dev_get_by_index" },
	{ 0x6fd3b94a, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x25882c53, "mutex_lock" },
	{ 0xd668284b, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x655ac019, "flow_indr_dev_setup_offload" },
	{ 0xf125159d, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xbf2a6161, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xea3df838, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2c8d44bc, "__pskb_pull_tail" },
	{ 0xa4daadb, "rhashtable_destroy" },
	{ 0x1a6158a7, "down_read" },
	{ 0x997f10fa, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2c0fb999, "rhashtable_insert_slow" },
	{ 0xbe3c2eb6, "rt_read_lock" },
	{ 0x38d4e31b, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3a4af5b0, "neigh_destroy" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x63c5076d, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4a1d81bd, "rt_read_unlock" },
	{ 0x5c8fda8d, "remove_proc_entry" },
	{ 0x5a6da9d5, "nf_ct_acct_add" },
	{ 0x774d1720, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x44b31cfc, "dst_release" },
	{ 0xf8e58fda, "nf_ct_l4proto_find" },
	{ 0xe227d033, "seq_puts" },
	{ 0xcabbc4a5, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xdd49ccf4, "up_read" },
	{ 0x3eeab02a, "rhashtable_walk_exit" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "DCF04ED4AAF51C5552BBA3C");
MODULE_INFO(rhelversion, "9.6");
