#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xadb493af, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x3402463b, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x09f10289, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xac5e4c28, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x6d08104e, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x503c3194, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x89b25c60, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xdf305fca, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xd1952210, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x8a61e809, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xb755c9d3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x271d8240, "register_pernet_subsys" },
	{ 0x774d1720, "seq_printf" },
	{ 0xe227d033, "seq_puts" },
	{ 0xbf2a6161, "unregister_pernet_subsys" },
	{ 0xc9dff8e9, "nf_register_net_hooks" },
	{ 0x2c1de72c, "nf_unregister_net_hooks" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xdcb764ad, "memset" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0x5d36bd8c, "nf_ipv6_ops" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0x99ab03d1, "xfrm_lookup" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8744d716, "ip6_local_out" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x674d3b47, "skb_ensure_writable" },
	{ 0x63c5076d, "inet_proto_csum_replace4" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x3775953, "ip_route_me_harder" },
	{ 0xae14c775, "ip_local_out" },
	{ 0xb539bef2, "__alloc_skb" },
	{ 0x356e9033, "skb_put" },
	{ 0x82c20f6c, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xe6de0217, "nf_ct_tmpl_alloc" },
	{ 0xf1ff4dec, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x1e11deb1, "proc_create_net_data" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7df63466, "nf_ct_tmpl_free" },
	{ 0x5c8fda8d, "remove_proc_entry" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xe585728e, "ipv6_skip_exthdr" },
	{ 0xf997898e, "nf_ct_seqadj_init" },
	{ 0x233d86b6, "consume_skb" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "4F2F5B6C696A3F7E7689CE8");
MODULE_INFO(rhelversion, "9.6");
