#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0xfa4a9bfc, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x2690cde6, "_gpl");
SYMBOL_CRC(tls_get_record, 0x98392304, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x82de98c7, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x7ab676d2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x202e88cd, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x71fc0f, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe9c28ea1, "flush_dcache_page" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xa3e17598, "tcp_read_sock" },
	{ 0xcfc32941, "bpf_trace_run4" },
	{ 0x82c20f6c, "skb_copy_bits" },
	{ 0x4577276a, "sk_page_frag_refill" },
	{ 0x356e9033, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x233d86b6, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6375aec2, "trace_raw_output_prep" },
	{ 0x255a9ed6, "sk_psock_msg_verdict" },
	{ 0xcbe98bee, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6bae6a4, "rt_mutex_base_init" },
	{ 0x9194764a, "trace_event_printf" },
	{ 0x68d1e6d5, "iov_iter_get_pages2" },
	{ 0xb5a367cf, "___pskb_trim" },
	{ 0x53428e3b, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x92a8bc2d, "add_wait_queue" },
	{ 0x8cadf3c2, "__put_devmap_managed_page_refs" },
	{ 0xc080395f, "clean_acked_data_enable" },
	{ 0x6b439d57, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd6327e24, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xf8b26deb, "crypto_aead_setauthsize" },
	{ 0x25921fda, "crypto_aead_decrypt" },
	{ 0xdde3232f, "event_triggers_call" },
	{ 0xbb480c17, "__wake_up" },
	{ 0x9fff850e, "sk_stream_error" },
	{ 0xb53dbbfa, "sk_msg_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x865b592e, "sk_msg_memcopy_from_iter" },
	{ 0x60979f5a, "sk_error_report" },
	{ 0x271d8240, "register_pernet_subsys" },
	{ 0xdd999660, "put_cmsg" },
	{ 0xa01eec41, "__sk_flush_backlog" },
	{ 0xb213e00b, "trace_event_buffer_commit" },
	{ 0x56577ffd, "crypto_destroy_tfm" },
	{ 0x83424c4f, "do_tcp_sendpages" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f25263f, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8c75d691, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xdbb59025, "trace_event_ignore_this_pid" },
	{ 0xb539bef2, "__alloc_skb" },
	{ 0x90f4c888, "rt_write_unlock" },
	{ 0x1db2fd2d, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xa2cdb09, "tcp_recv_skb" },
	{ 0x95e630b3, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd2a13aa4, "perf_trace_run_bpf_submit" },
	{ 0x17e2cc26, "down_write" },
	{ 0x72dbea6e, "__traceiter_sk_data_ready" },
	{ 0x3a6ef356, "crypto_req_done" },
	{ 0xe547e4fc, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x44212d05, "crypto_aead_encrypt" },
	{ 0xa2f8f2e8, "sk_skb_reason_drop" },
	{ 0xe6c68f13, "bpf_trace_run5" },
	{ 0x9c0a9e96, "sk_free" },
	{ 0x74aced23, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x25882c53, "mutex_lock" },
	{ 0x42454ef1, "__sk_mem_reclaim" },
	{ 0x66596a79, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0x59e6838b, "trace_event_reg" },
	{ 0x65694868, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x59df83f3, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xc0348ce6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x81c5c7b6, "sk_msg_return_zero" },
	{ 0x1116bc74, "mutex_lock_interruptible" },
	{ 0x866a2cf2, "skb_copy_datagram_iter" },
	{ 0x7f1ea0e6, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xbf2a6161, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xf72c0cc6, "sock_efree" },
	{ 0xc68ba195, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44d3462e, "clean_acked_data_disable" },
	{ 0xd19dccb2, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xf149a46d, "rt_spin_unlock" },
	{ 0xc97c1358, "sk_msg_free_partial" },
	{ 0x1a6158a7, "down_read" },
	{ 0x30bfd07d, "skb_trim" },
	{ 0x1d25c0ea, "mutex_trylock" },
	{ 0xf8c91a0a, "rt_spin_lock" },
	{ 0xbe644829, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x891281cf, "tcp_register_ulp" },
	{ 0x62cb49b2, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x5efedd50, "sk_psock_drop" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3ad453f5, "skb_page_frag_refill" },
	{ 0x2784247b, "trace_event_buffer_reserve" },
	{ 0x83697cc8, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xbc50da7, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x46955ec2, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2bfc372f, "__folio_put" },
	{ 0x5c8fda8d, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x774d1720, "seq_printf" },
	{ 0x266f9197, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc828fa38, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x44b31cfc, "dst_release" },
	{ 0x9cf2a52f, "rt_write_lock" },
	{ 0x64154485, "_copy_from_iter" },
	{ 0xe7d78d5a, "skb_copy_header" },
	{ 0x6e2b00ea, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x7451cb4d, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x596132d1, "netdev_sk_get_lowest_dev" },
	{ 0xdfc9f0c0, "sk_msg_alloc" },
	{ 0xecdb26fb, "kmalloc_trace" },
	{ 0x4465ab37, "_copy_from_iter_nocache" },
	{ 0x3454748b, "tcp_rate_check_app_limited" },
	{ 0x4b1795f5, "tcp_poll" },
	{ 0x2c135fa8, "iov_iter_revert" },
	{ 0x856ac57, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9848b346, "skb_to_sgvec" },
	{ 0xdd49ccf4, "up_read" },
	{ 0x1874b643, "__mutex_rt_init" },
	{ 0xeace5025, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x89da60b4, "kmalloc_caches" },
	{ 0xab23f711, "tcp_read_done" },
	{ 0xb6917d10, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ac562ea, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "067F3DCB7BB9F4023F2149C");
MODULE_INFO(rhelversion, "9.6");
